Fri Nov  1 12:12:48 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/documentation.make: Removed unused rules for autogsdoc.

Thu Oct 31 21:52:45 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/tool.make (internal-install-dirs, install-tool):
	Simplified rules removing these intermediate targets.
	(.PHONY): Removed those targets; added
	internal-tool-copy_into_dir.

Thu Oct 31 13:51:41 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	Warning: removed framework's xxx_TOOLS API; replaced it with
	a new xxx_COPY_INTO_DIR API.
	* Instance/framework.make: Emit a long warning if xxx_TOOLS is
	used.
	* Master/rules.make (.PHONY): Removed %.tools.
	(%.tools): Rule removed.
	* Instance/tool.make: Removed custom FRAMEWORK code; the same
	result can now be obtained by using the xxx_COPY_INTO_DIR API,
	which simplifies framework code, and will soon work for all
	project types.
	* Instance/tool.make (internal-tool-copy_into_dir): Implemented.
	* Instance/rules.make: Recognize new xxx_COPY_INTO_DIR variable.
	Strip it and put it into COPY_INTO_DIR variable.  If non-empty,
	centrally disable installation and execute the new
	internal-$(GNUSTEP_TYPE)-copy_into_dir target at the end of
	compilation.  Added bare implementation of this :: target, which
	creates the COPY_INTO_DIR directory if it does not exist yet.
	* Instance/Shared/bundle.make
	(shared-instance-bundle-copy_into_dir): Implemented.
	* messages.make (ECHO_COPYING_INTO_DIR,
	ECHO_COPYING_BUNDLE_INTO_DIR): New variables.
	
Wed Oct 30 13:16:15 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	Unified link commands for libraries and frameworks.
	* target.make: Changed all the variable names used in all link and
	post-link commands, in such a way that library.make and
	framework.make can use the same commands, and differentiate what
	is done by setting LIB_LINK_* variables.  Documented extensively
	what these variables are.
	* Instance/framework.make: Set the appropriate LIB_LINK_* variables.
	Replaced FRAMEWORK_LINK_CMD with LIB_LINK_CMD.
	* Instance/library.make: Set the appropriate LIB_LINK_* variables.
	* common.make (FRAMEWORK_LINK_CMD): Variable removed.
	* target.make (SHARED_FRAMEWORK_LINK_CMD): Variable removed.
	
Wed Oct 30 12:38:42 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* target.make (AFTER_INSTALL_STATIC_LIB_COMMAND): Renamed
	to AFTER_INSTALL_STATIC_LIB_CMD for consistency with other
	variables.
	(AFTER_INSTALL_SHARED_LIB_COMMAND): Idem.
	* common.make (AFTER_INSTALL_LIBRARY_CMD): Updated for changes.
	
Mon Oct 28 10:48:26 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/framework.make (Resources/Info.plist): Use
	GNUSTEP_INSTANCE, not FRAMEWORK_NAME, when building NSExecutable.

2002-10-26 Richard Frith-Macdonald <rfm@gnu.org>

	* Instance/documentation.make: Fix gsdoc install location

Fri Oct 25 18:25:37 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/rules.make (ADDITIONAL_CFLAGS): Add to it xxx_CFLAGS.
	(ADDITIONAL_OBJCFLAGS): Idem.
	(ADDITIONAL_CCFLAGS): Idem.
	
Fri Oct 25 18:24:30 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/rules.make (ADDITIONAL_CPPFLAGS): Add to it
	XXX_CPPFLAGS (Patch by David Ayers <d.ayers@inode.at>).

Fri Oct 25 18:08:49 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Documentation/readme.texi: Rewritten ultra short description of
	the GNU General Public License by adapting text from the GNU GPL
	FAQ at www.gnu.org - to address complaints that the previous
	description was incorrect/misleading.

Tue Oct 22 02:29:02 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Master/objc.make (internal-clean): Fixed typo, objc_program for
	objc-program.
	(internal-distclean): Idem.

Tue Oct 22 02:11:02 2002  Nicola Pero  <n.pero@mi.flashnet.it>
	
	Implemented 'make strings' target, which runs make_strings to
	create/update .strings files.
	* Master/rules.make (strings, before-strings, internal-strings,
	after-strings): New targets
	* Master/aggregate.make (internal-strings): New target implemented.
	* Master/application.make (internal-strings): Idem.
	* Master/bundle.make (internal-strings): Idem.
	* Master/clibrary.make (internal-strings): Idem.
	* Master/ctool.make (internal-strings): Idem.
	* Master/framework.make (internal-strings): Idem.
	* Master/gswapp.make (internal-strings): Idem.
	* Master/gswbundle.make (internal-all): Idem.
	* Master/library.make (internal-strings): Idem.
	* Master/objc.make (internal-strings): Idem.
	* Master/palette.make (internal-strings): Idem.
	* Master/service.make (internal-strings): Idem.
	* Master/subproject.make (internal-strings): Idem.
	* Master/test-application.make (internal-strings): Idem.
	* Master/test-library.make (internal-strings): Idem.
	* Master/test-tool.make (internal-strings): Idem.
	* Master/tool.make (internal-strings): Idem.
	* Instance/Shared/strings.make: New file.
	* GNUmakefile.in (INSTANCE_SHARED_MAKE_FILES): Added the new file.
	* messages.make (ECHO_MAKING_STRINGS): New variable.
	(ALWAYS_ECHO_NO_LANGUAGES): New variable.
	(ALWAYS_ECHO_NO_FILES): New variable.
	* Instance/application.make: Include Instance/Shared/strings.make.
	* Instance/bundle.make: Idem.
	* Instance/ctool.make: Idem.
	* Instance/framework.make: Idem.
	* Instance/gswapp.make: Idem.
	* Instance/gswbundle.make: Idem.
	* Instance/library.make: Idem.
	* Instance/objc.make: Idem.
	* Instance/palette.make: Idem.
	* Instance/service.make: Idem.
	* Instance/subproject.make: Idem.
	* Instance/test-library.make: Idem.
	* Instance/tool.make: Idem.
		
Tue Oct 22 00:59:28 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* rules.make ($(GNUSTEP_MAKEFILES)/Instance/Shared/*.make): New
	rule to stop make from spending time trying to rebuild the
	Instance/Shared makefiles each time.
	
Tue Oct 22 00:48:21 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/Shared/headers.make (.PHONY): Fixed typo in target
	names, `install' instead of `instance'.
	* Instance/Shared/java.make (.PHONY): Idem.

Thu Oct 17 17:49:51 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Master/aggregate.make: Execute nothing is SUBPROJECTS is empty.
	Removed __done hack; do not pass GNUSTEP_INSTALLATION_DIR to
	submakes on the command line.  Renamed 'target' to 'operation'.
	Use 'aggregate project', not 'subproject', in warning messages.
	Commented extensively.
	* common.make: Export GNUSTEP_INSTALLATION_DIR

Thu Oct 17 02:17:01 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	A further speedup for make all/install/uninstall.
	* Master/rules.make (%.variables): Inlined the %.subprojects rule
	into the %.variables rule.

Wed Oct 16 05:11:48 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUmakefile.in: Renamed `tgz' target to `dist'.

Wed Oct 16 04:47:13 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	A further speedup for make clean/distclean.
	* Master/application.make (APPS_WITH_SUBPROJECTS): New variable -
	set it, by using a make trick, to be the list of all apps having
	subprojects.
	(internal-clean): Only invoke the .subproject clean rule for apps
	with subprojects.
	(internal-distclean): Idem.
	* Master/bundle.make: Similar changes.
	* Master/clibrary.make: Idem.
	* Master/ctool.make: Idem.
	* Master/gswapp.make: Idem.
	* Master/gswbundle.make: Idem.
	* Master/java-tool.make: Idem.
	* Master/java.make: Idem.
	* Master/library.make: Idem.
	* Master/objc.make: Idem.
	* Master/palette.make: Idem.
	* Master/service.make: Idem.
	* Master/subproject.make : Idem.
	* Master/test-application.make : Idem.
	* Master/test-library.make : Idem.
	* Master/test-tool.make: Idem.
	* Master/tool.make: Idem.
	
Mon Oct 14 13:09:09 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Master/rpm.make (rpm): Look for rpmbuild, and use it instead of
	rpm -ba if available; print a warning if neither rpm nor rpmbuild
	is found. (Originated from a suggestion by Jiri Novak
	<Jiri.Novak@i.cz>).
	* GNUmakefile.in (rpm): Similar change.
	
Fri Oct 11 16:31:35 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* spec-debug-alone-rules.template: Remove %install string from
	comment.
	* spec-debug-rules.template: Idem.
	* spec-rules.template: Idem.
	(Suggested by Jiri Novak <Jiri.Novak@i.cz>).
	
Fri Oct 11 11:54:13 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/framework.make ($(DUMMY_FRAMEWORK_FILE)): Rewritten the
	shell code to extract the class names to be faster by using a
	single sed process with multiple commands rather than piping
	through awk.

Fri Oct 11 11:14:28 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* target.make (OBJC_CLASS_SECTION): Removed.

Fri Oct 11 11:13:53 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/framework.make ($(DUMMY_FRAMEWORK_FILE)): Use all
	references to classes not in the U section (Patch by Stefan
	Urbanek <urbanek@host.sk>).
	
Thu Oct 10 18:21:30 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* create_domain_dir_tree.sh: New script to create the domain
	directory tree inside a directory.
	* GNUmakefile.in (install): Rewritten.  Use the
	create_domain_dir_tree.sh to create the System domain; create only
	the top-level directories of the Local and Network domain; print
	short messages about installation rather than displaying the full
	shell commands unless messages=yes is given on the command line.
	(EC): New variable to implement messages=yes.

2002-10-09  Adam Fedor  <fedor@gnu.org>

	* Documentation/GNUmakefile: Add userfaq target
	* Documentation/userfaq.texi: Update.
	* Documentation/machines.texi: Idem.

Wed Oct  9 12:38:27 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUmakefile.in (exec_prefix, bindir, libdir, includedir,
	datadir): Unused variables removed.

Wed Oct  9 12:26:21 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUmakefile.in (librarydir): Unused variable removed.

Wed Oct  9 12:17:19 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUmakefile.in (install): Create $(GNUSTEP_MAKEFILES)/Auxiliary
	directory, for auxiliary makefiles provided by packages.

Mon Oct  7 18:19:27 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/framework.make ($(DUMMY_FRAMEWORK_OBJ_FILE)): Wrap the
	compilation in ECHO_COMPILE / END_ECHO (Patch by Stefan Urbanek
	<urbanek@host.sk>).

Sat Oct  5 01:59:47 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* ld_lib_path.sh (guile_paths): Removed setting up guile_paths
	from here ...
	* GNUstep.sh.in (guile_paths): ... and added it here.  The
	difference is that GNUstep.sh is executed only once at login,
	while ld_lib_path.sh is executed also each time an application is
	started, to setup the additional linker library paths for that
	specific application.
	* ld_lib_path.csh, GNUstep.csh.in (guile_paths): Idem.
	
Sat Oct  5 01:05:47 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* mkinstalldirs (MKDIR): Do not test for 'mkdir -p'; always use
	'mkdir'.  The test for 'mkdir -p' was itself subject to race
	conditions.  Do not echo what is done.

Sat Oct  5 00:50:41 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* executable.template.in (app): Do not run a sed subprocess to
	remove / at the end of name.  Do not run a sed subprocess to
	remove .app at the end of the name.  Run a basename subprocess
	only if the executable name can't be determined from the
	Info-gnustep.plist.  Rewritten a comparison against basename $app,
	no longer meaningful, to be against $0.

Sat Oct  5 00:28:02 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* openapp.in: Removed aesthetical semicolon.

Fri Oct  4 14:45:53 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* configure.ac (clean_target_os, clean_target_cpu,
	clean_target_vendor): New variables: compute them, and subst them
	in the generated files.
	* GNUmakefile.in (GNUSTEP_TARGET_CPU, GNUSTEP_TARGET_OS,
	GNUSTEP_TARGET_VENDOR): Just set to be clean_target_cpu,
	clean_target_os, clean_target_vendor.
	(VERTAG): Compute efficiently.
	* configure: Regenerated
	
2002-10-01 Richard Frith-Macdonald <rfm@gnu.org>

	* Instance/documentation.make: commented out bogus extra running
	of autogsdoc without args, as this was halting install process.

2002-10-01  Adam Fedor  <fedor@gnu.org>

	* Documentation/filesystem.texi: New file.

	* Documentation/README.MinGWOnCygwin: Update troubleshooting.

Tue Oct  1 01:08:23 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/bundle.make: Rewritten build rules so that they are
	simpler, and we drop creating symbolic links in the directory.
	When on GNUstep, we no longer create the OSX bundle; when on OSX,
	we no longer create the GNUstep bundle.  Also, install using
	Instance/Shared/bundle.make; no longer need to try and preserve
	the symbolic link.  Removed rules to build NeXTstep Info.plist.
	(.PHONY): Removed unused targets.
	
Tue Oct  1 01:02:41 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/Shared/bundle.make (shared-instance-bundle-install): Use 'h' option
	to tar when installing.

Fri Sep 27 03:16:57 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	Warning - minor incompatible change/update in API.
	* Master/subproject.make (internal-clean): Do not remove
	Resources/Subproject.
	(internal-distclean): Only remove Resources/ if the subproject has
	xxx_HAS_RESOURCE_BUNDLE = yes.
	* Instance/subproject.make: Only build the Resources/ bundle if
	`xxx_HAS_RESOURCE_BUNDLE = yes' is set in the GNUmakefile.

Fri Sep 27 03:12:46 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Master/subproject.make (SUBPROJECT_NAME): If SUBPROJECT_NAME
	contains more than one word, emit warnings, and drop all words
	except the first one.
	(internal-clean): Simplified expression to compute pswrap files.
	
Thu Sep 26 03:11:42 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	Implemented resource bundles for tools.
	* Master/tool.make (internal-distclean): Wipe out the Resources/
	directory if there is any tool with xxx_HAS_RESOURCE_BUNDLE = yes.
	* Instance/tool.make: If xxx_HAS_RESOURCE_BUNDLE = yes, include
	Shared/Instance/bundle.make with the appropriate parameters and
	use its rules.  All the standard xxx_RESOURCE_FILES etc options
	are then available; the bundle is automatically created in
	./Resources/tool_name, managed and installed in the appropriate
	dir, and automatically available to the tool code -- both before
	and after installation -- via gnustep-base's [NSBundle
	+mainBundle].

Thu Sep 26 03:08:04 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/Shared/bundle.make: Implemented rules to install and
	uninstall.
	* Instance/application.make: Use them.
	* messages.make (ECHO_INSTALLING_BUNDLE): New message used by
	Instance/Shared/bundle.make.
	
Thu Sep 26 02:50:02 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/application.make (APP_INSTALL_DIR): New variable.
	Implemented support for both APP_INSTALL_DIR and xxx_INSTALL_DIR.
	Updated the whole makefile for the change.

Thu Sep 26 02:16:48 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/ctool.make
	($(CTOOL_INSTALLATION_DIR)/$(GNUSTEP_TARGET_LDIR)): Do not echo
	the command; use $@ syntax in command.
	* Instance/tool.make (internal-tool-uninstall_): Do nothing if
	NULL_INSTALL is YES.
	
Thu Sep 26 02:01:04 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	Warning: tiny incompatible API change.
	* Instance/tool.make (TOOL_INSTALL_DIR): New variable replacing
	TOOL_INSTALLATION_DIR, but not including TARGET_LDIR to be
	consistent with LIBRARY_INSTALL_DIR and BUNDLE_INSTALL_DIR, and
	preparing the way for bundle resources for tools.  Updated the
	whole makefile to work with the new variable.
	(TOOL_INSTALLATION_DIR): Emit a deprecation warning if it's used.
	* Instance/ctool.make: Perfectly similar changes.
	* Instance/objc.make: Perfectly similar changes.
	* Instance/java.make (JAVA_INSTALLATION_DIR): Renamed to be
	JAVA_INSTALL_DIR.  We still accept the old name, but the new one
	should be preferred.

Thu Sep 26 01:47:30 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/Shared/bundle.make: Renamed all
	GNUSTEP_SHARED_INSTANCE_XXX variables to be shorter -
	GNUSTEP_SHARED_XXX.
	* Instance/application.make: Updated for change.
	* Instance/bundle.make: Idem.
	* Instance/framework.make: Idem.
	* Instance/palette.make: Idem.
	* Instance/service.make: Idem.
	* Instance/subproject.make: Idem.
	
Mon Sep 23 05:58:52 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* configure.ac: Made message about checking for a shared libobjc
	more explanatory.
	* configure: Regenerated.
	
Mon Sep 23 05:51:56 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Documentation/gnustep-howto.texi: Fixed/updated documentation on
	./configure --prefix for gnustep-make ... was confusing
	GNUSTEP_SYSTEM_ROOT and GNUSTEP_ROOT, and giving an incorrect
	example.  Also, simplified/updated example for sourcing
	GNUstep.sh.
	* GNUstep-HOWTO: Regenerated.
	* FAQ: Regenerated.
	
2002-09-19  Adam Fedor  <fedor@gnu.org>

	* Documentation/faq.texi: Add section on porting to Cocoa.
	* Documentation/userfaq.texi: Update font troubleshooting.
	* Documentation/README.Cygwin: New file
	* Documentation/README.MinGWOnCygwin: Renamed from README.cygwin.

Thu Sep 12 15:53:50 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* target.make (ADDITIONAL_LDFLAGS): All concerned targets: do not
	add -static when shared=no.  We can't perform conditionals on the
	value of shared in this file, since it has not yet been set up!
	(STATIC_LDFLAGS): New variable.  Set it to -static in all
	concerned cases.
	* rules.make (ALL_LDFLAGS): Add STATIC_LDFLAGS.
	* target.make (BUNDLE_CFLAGS): This variable was no longer used, and
	can't be fixed.  Removed for all targets.
	* common.make: Force shared=yes to be used whenever bundles are
	built.  Static bundles are meaningless, and we want the flags for
	shared objects, such as -fPIC, to be automatically used when
	compiling bundle object files, otherwise linking the bundle will
	fail on some platforms.

Thu Sep 12 10:23:19 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* openapp.in: Implemented calling openapp with an application name
	without prefix, as in 'openapp Gorm': openapp will automatically
	look for Gorm.app or Gorm.debug or Gorm.profile.  Implemented
	support for searching applications in subdirectories of
	Applications - only subdirs one level deep are supported.  Other
	simple cleanups such as quoting of variables.

Wed Sep  4 11:34:59 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Documentation/readme.texi: Fixed typo - it's the "GNU General
	Public License", not the "GNU Public License" (Reported by David
	Ayers <d.ayers@inode.at>).
	* README: Regenerated.
	
2002-08-30  Adam Fedor  <fedor@gnu.org>

	* Version: 1.5.0

2002-08-26  Adam Fedor  <fedor@gnu.org>

	* configure.ac: Typo in CPPFLAGS (Reported by Chris Vetter).

2002-08-24  Adam Fedor  <fedor@gnu.org>

	* Documentation/README.MinGW: Update.

2002-08-15  Adam Fedor  <fedor@gnu.org>

	* configure.ac: Save user suplied CPPFLAGS, use INCLUDE_FLAGS
	instead (goes into CONFIG_SYSTEM_INCL).
	* config.make.in (CPPFLAGS): Subst with CPPFLAGS
	(CONFIG_SYSTEM_INCL): Subst with INCLUDE_FLAGS.

Fri Aug  9 11:15:26 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	Patch from Peter Cooper <comrade@obverse.com.au> with minor
	modifications:
	* target.make: Updated netbsdelf code.  In particular,
	LIBRARIES_DEPEND_UPON should now work for netbsdelf.
	* configure.ac: Updated netbsdelf code.
	* conigure: Regenerated.
	
2002-08-08 Richard Frith-Macdonald <rfm@gnu.org>

	* Instance/documentation.make: Order autogsdoc flags so that those
	from the user makefiles override the default values we supply.

2002-08-01  Adam Fedor  <fedor@gnu.org>

	* target.make (Darwin): Don't add flags if using
	NeXT Foundation.

2002-07-29  Adam Fedor  <fedor@gnu.org>

	* Changes from 1.4.0 merged into main branch.

2002-07-27  Adam Fedor  <fedor@gnu.org>

	* Version: 1.4.0

Wed Jul 24 16:31:14 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* debian/: Outdated directory removed - the debian maintainers are
	maintaining the updated one elsewhere.  (Suggested by Matthias
	Klose <doko@cs.tu-berlin.de>).

Mon Jul 22 12:34:49 2002  Georg Fleischmann <georg@vhf.de>

	* Instance/Shared/bundle.make (shared-instance-bundle-all):
	Copying of localized resources from subprojects with multiple
	languages corrected.

2002-07-21  Adam Fedor  <fedor@gnu.org>

	* target.make (Darwin): Changes to compile with GNU compiler/runtime.
	(Irix): Has shared libs. Add OBJ_MERGE_CMD. Remove extra section.
	* Documentation/machines.texi (Darwin): Update ffcall instructions.
	(Reports from Carl Eugen).

2002-07-03  Adam Fedor  <fedor@gnu.org>

	* Version: 1.3.4
	* Documentation/news.texi: Update.
	* Documentation/machines.texi: Update.

Sat Jun 29 12:35:56 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUstep.csh.in: Use source, not `.', to execute the user
	specific GNUstep.csh (Patch by Lars Sonchocky-Helldorf
	<lars.sonchocky-helldorf@hamburg.de).

Wed Jun 26 15:51:33 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUstep-reset.sh: Quoted two variables.

Wed Jun 26 15:05:02 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	Use the gnugc-gnu-gnu library combo for garbage collecting.
	* library-combo.make (OBJC_RUNTIME_LIB): Set to gnugc if gc=yes.
	(LIBRARY_COMBO): Do not add -gc at the end if gc=yes.
	(OBJC_LDFLAGS): Added ObjC flags for the gnugc OBJC_RUNTIME_LIB.
	(OBJC_LIBS): For the gnugc-fd-xxx library-combo, do not add
	-lobjc as that would conflict with -lobjc_gc set elsewhere.
	
Tue Jun 25 18:52:51 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* opentool.in: Rewritten parsing of parameters adding support for
	the --library-combo switch.  Changed inline help to put
	--library-combo=... before the tool name.
	
Wed Jun 19 15:39:15 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Master/rules.make (internal-distclean): Reverted last change.

2002-06-18  Adam Fedor  <fedor@gnu.org>

	* GNUstep-reset.sh: Change GNUSTEP_PATHPREFIX_LIST to
	GNUSTEP_PATHLIST for compatibility with many shells (variable was
	too long).
	* GNUstep.csh.in: Idem
	* GNUstep.sh.in: Idem
	* debugapp.in: Idem
	* executable.template.in: Idem
	* ld_lib_path.sh: Idem
	* openapp.in: Idem
	* opentool.in: Idem
	* Documentation/install.texi: Idem

Mon Jun 17 18:56:39 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Master/rules.make (internal-distclean): Remove program.core as
	well, for BSD systems (Suggestion by Chris B. Vetter
	<chrisv@web4inc.com>).

Thu Jun 13 14:38:20 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	First attempt at user-friendly messages and verbosity levels.  Run
	'make messages=yes' to get full messages.
	* messages.make: New file.
	* GNUmakefile.in: Install messages.make.
	* common.make: Include messages.make.
	* rules.make: Changed all compilation rules to use new echo
	variables when compiling
	* Instance/application.make: Use new echo variables when linking,
	and in some cases when installing; tidy up echoing.
	* Instance/bundle.make: Idem.
	* Instance/ctool.make: Idem.
	* Instance/framework.make: Idem.
	* Instance/gswapp.make: Idem.
	* Instance/gswbundle.make: Idem.
	* Instance/library.make: Idem.
	* Instance/objc.make: Idem.
	* Instance/palette.make: Idem.
	* Instance/service.make: Idem.
	* Instance/subproject.make: Idem.
	* Instance/tool.make: Idem.
	* Instance/Shared/bundle.make: Idem.
	* Instance/Shared/headers.make: Idem.
	* Instance/Shared/java.make: Idem.
	
Thu Jun 13 10:28:56 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/Shared/bundle.make (RESOURCE_FILES): 
	Strip the variables after concatenating them, not before.
	(LOCALIZED_RESOURCE_FILES): Idem.
	(WEBSERVER_RESOURCE_FILES): Idem.
	(WEBSERVER_LOCALIZED_RESOURCE_FILES): Idem.

Wed Jun 12 12:32:40 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/Shared/bundle.make: Fixed typo in ifneq which was
	causing the LOCALIZED_WEBSERVER_RESOURCE_FILES code to be never
	executed.
	(WEBSERVER_LOCALIZED_RESOURCE_DIRS): New variable.
	(shared-instance-bundle-all-localized-webresources): Implemented
	code to create webserver resource dirs.  Fixed installation of
	WEBSERVER_LOCALIZED_RESOURCE_FILES ... yet another typo preventing
	it from working.

Wed Jun 12 12:31:28 2002  Nicola Pero  <n.pero@mi.flashnet.it>	

	* Instance/Shared/bundle.make
	(WEBSERVER_LOCALIZED_RESOURCE_FILES): Support the new variable
	name xxx_WEBSERVER_LOCALIZED_RESOURCE_FILES.
	(WEBSERVER_COMPONENTS, WEBSERVER_LOCALIZED_COMPONENTS):
	Implemented support for these variables, by merging them into
	WEBSERVER_RESOURCE_FILES and WEBSERVER_LOCALIZED_RESOURCE_FILES
	
Wed Jun 12 12:28:07 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/Shared/bundle.make (COMPONENTS, LOCALIZED_COMPONENTS):
	Merge them into RESOURCE_FILES and LOCALIZED_RESOURCE_FILES.
	(shared-instance-bundle-all): Code to manage COMPONENTS and
	LOCALIZED_COMPONENTS removed.
	(shared-instance-bundle-all): When installing RESOURCE_FILES,
	check that the file exists, and is a file or a dir, before
	installing it.  When installing LOCALIZED_RESOURCE_FILES, accept
	directories as well as files.
	(LOCALIZED_RESOURCE_DIRS): New variable.
	(shared-instance-bundle-all): Added code to manage
	LOCALIZED_RESOURCE_DIRS.
	
Wed Jun 12 11:44:47 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* relative_path.sh: Do not run sed to remove the partial_match
	from the paths if partial_match is empty.  This fixes processing
	absolute paths which have no path in common.

Wed Jun 12 11:24:23 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* relative_path.sh: Changed syntax for running subcommands, `xxx`
	is more portable than $(xxx).
	(Patch by Marcus Muller <znek@mulle-kybernetik.com>).
	
2002-06-10  Adam Fedor  <fedor@gnu.org>

	* Version: 1.3.3
	* Documentation/news.texi: Update.

Fri Jun  7 14:29:50 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* executable.template.in (--library-combo): Fixed switching
	library combo to perform a full reset of the environment to the
	new library combo using GNUstep-reset.sh followed by GNUstep.sh.
	* executable.template.in: If a binary for the currently specified
	LIBRARY_COMBO can not be found, automatically search and run the
	first available binary for any other LIBRARY_COMBO for this
	machine/os.

Fri Jun  7 13:39:37 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	Patch by Manuel Guesdom <ml@sbuilders.com>:
	* Instance/Shared/bundle.make (LOCALIZED_COMPONENTS): New
	variable.
	(shared-instance-bundle-all): Install LOCALIZED_COMPONENTS.

2002-06-06  Adam Fedor  <fedor@gnu.org>

	* Documentation/machines.texi: Update

Fri May 24 18:23:37 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/documentation.make (internal-doc-install_): Fixed
	installation of info files (Suggestion by Evan Prodromou
	<evan@prodromou.san-francisco.ca.us>).
	(internal-doc-clean): Fixed cleaning info files in similar way.
	(internal-doc-uninstall_): Fixed removal installed info files in
	similar way.

Thu May 23 12:22:05 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/rules.make (OBJ_FILES_TO_LINK): Strip it when it's
	created, so that we can compare it to '' to check if there is
	anything to build/link or not.
	* Instance/bundle.make: Modified everything implementing support
	for bundles which contain resources, but no object file to load.

Tue May 21 17:07:23 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/rules.make (internal-$(GNUSTEP_TYPE)-install):
	Recognize XXX_STANDARD_INSTALL=no to mean we shouldn't perform the
	standard installation procedure and assume the makefile writer has
	provided his own (or none).
	
Tue May 21 00:37:03 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/Shared/bundle.make (shared-instance-bundle-all): Fixed
	quoting in code to copy subproject's resources.

Mon May 20 11:11:29 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/framework.make
	($(FRAMEWORK_VERSION_DIR_NAME)/Resources/Info-gnustep.plist):
	Merge $(GNUSTEP_INSTANCE)Info.plist - if there is one - into the
	framework's gnustep plist.

2002-05-15  Adam Fedor  <fedor@gnu.org>

	* Documentation/machines.texi: Updated info re Win98
	* Documentation/README.MinGW: Updated.
	* Documentation/userfaq.texi. Idem.

2002-05-15 Richard Frith-Macdonald <rfm@gnu.org>

	* common.make: Define AUTOGSDOC
	* Instance/documentation.make: Use AUTOGSDOC

2002-05-14 Richard Frith-Macdonald <rfm@gnu.org>

	* Documentation/README.MinGW: Update and correct libtiff info so
	instructions work for gui as well as base.

2002-05-10 Richard Frith-Macdonald <rfm@gnu.org>

	* configure.ac: Remove FORCE_USER_ROOT and FORCE_DEFAULTS_ROOT
	* GNUmakefile.in: ditto
	* config.make.in: ditto
	* common.make: regenerate
	* configure: ditto
	* user_home.c: Implement system-wide .GNUsteprc
	* Documentation/install.texi: Document use of system-wide .GNUsteprc

2002-05-08 Richard Frith-Macdonald <rfm@gnu.org>

	* Documentation/README.MinGW: Mention need to ensure we use
	MSYS make rather than MinGW make.

2002-05-07 Richard Frith-Macdonald <rfm@gnu.org>

	* Documentation/README.MinGW: Updated to reflect experience of a full
	rebuild this morning ... including the GUI code!

2002-05-02  Adam Fedor  <fedor@gnu.org>

	* configure.ac: Updated using autoconf 2.53 from configure.in
	* configure, config.h.in: Regenerate.
	* GNUmakefile.in: Add @configure_input@ comment
	* GNUstep.csh.in, GNUstep.sh.in, debugapp.in, fixpath.sh.in, 
	openapp.in, debugapp.in, opentool.in: Idem.
	* aclocal.m4: Remove.

2002-04-30  Adam Fedor  <fedor@gnu.org>

	* Version: 1.3.2
	* Documentation/news.texi, gnustep-howto.texi: Update
	* NEWS: Regen.

Sun Apr 21 11:47:11 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/bundle.make (BUNDLE_LIBS): Readded BUNDLE_LIBS for Windows.

Thu Apr 18 10:54:33 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	Warning - after this change, header files for libraries building
	on Windows must be changed - all symbols are to be marked for
	export if BUILD_lib{library_name}_DLL is defined, else to be
	marked for import if GNUSTEP_WITH_DLL is defined (else you're not
	on windows and you mark nothing).
	* rules.make (ALL_CPPFLAGS): If WITH_DLL, add -DGNUSTEP_WITH_DLL.  
	Do not add any -Dlibxxx_ISDLL=1 flag.
	* Instance/application.make (ALL_CPPFLAGS): Do not add
	any -Dlibxxx_ISDLL=1 flag.
	* Instance/bundle.make (ALL_CPPFLAGS): Idem.
	(ALL_BUNDLE_LIBS): Even on Windows, do not link against
	libraries.
	* Instance/ctool.make (ALL_CPPFLAGS): Idem.
	* Instance/framework.make (ALL_CPPFLAGS): Idem.
	* Instance/objc.make (ALL_CPPFLAGS): Idem.
	* Instance/service.make (ALL_CPPFLAGS): Idem.
	* Instance/tool.make (ALL_CPPFLAGS): Idem.

Thu Apr 18 10:41:26 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/application.make: Removed spurious newline.

Thu Apr 11 23:39:45 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* ld_lib_path.sh (IFS): Fixed bug - was not resetting IFS
	correctly.

2002-04-11  Adam Fedor  <fedor@gnu.org>

	* configure.in (gcc version): Use -dumpversion to check gcc
	version.

	* Documentation/README.MinGW: Minor updates.
	* Documentation/machines.texi: Add FreeBSD 4.x

Wed Apr 10 14:39:24 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/documentation.make (internal-doc-install_): Install all
	xxx.info-* files, not only the root xxx.info file.
	(internal-doc-uninstall_): Remove all xxx.info-* files.
	(Suggestion by Sir Raorn (<raorn@binec.ru>)).
	
Wed Apr 10 14:18:29 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* relative_path.sh: Fixed bug when looping - ignore path
	components which are '.' - fixing problem with frameworks and
	gnustep flattened. (Patch from Sir Raorn (<raorn@binec.ru>)).
	* Instance/documentation.make (internal-doc-install_): Depend on creating
	GNUSTEP_DOCUMENTATION_INFO.
	($(GNUSTEP_DOCUMENTATION_INFO): Rule to create the dir added.
	(Patch from Sir Raorn modified)
	
Wed Apr 10 14:02:55 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Documentation/makedoc.make (internal-doc-install): Depend on
	creating GNUSTEP_DOCUMENTATION_INFO
	(internal-doc-uninstall): Remove the .info files from
	GNUSTEP_DOCUMENTATION_INFO.

	Patch from Sir Raorn (<raorn@binec.ru>):
	* Documentation/GNUmakefile.in (GNUSTEP_DOCUMENTATION_INFO): Define.
	* Documentation/makedoc.make (internal-doc-install): Install the info files
	in GNUSTEP_DOCUMENTATION_INFO.
	($(GNUSTEP_DOCUMENTATION_INFO)): Create the directory if missing.
	
Mon Apr  8 00:45:53 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUstep.sh.in (dir): Unset after using (Reported by Balaton
	Zoltan <balaton@eik.bme.hu>).

Sat Apr  6 15:09:56 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	Fixed bundling frameworks in RPMs or DEBs.
	* relative_path.sh: New script building the relative path
	of a path relative to another one.
	* GNUmakefile.in (install): Install relative_path.sh.
	* common.make (REL_PATH_SCRIPT): set to be
	$GNUSTEP_MAKEFILES/relative_path.sh.
	* Instance/framework.make (internal-framework-install_): Use
	REL_PATH_SCRIPT to build symlinks in a relocatable way.

Sat Apr  6 04:37:36 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/bundle.make (BUNDLE_LIBS): Do not add system libraries
	when we are not building Windows DLLs.

Thu Apr  4 14:57:38 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* configure.in: Quote FORCE_USER_ROOT and FORCE_DEFAULTS_ROOT when
	building the -D preprocessor option.
	* configure: Regenerated.

Thu Apr  4 14:41:53 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUstep.sh.in (temp_path, gnustep_class_path): Partially
	wewritten creating temp_path and gnustep_class_path to avoid
	spurious :.

Thu Apr  4 14:25:51 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* ld_lib_path.sh (lib_paths, guile_paths): Rewritten code building
	lib_paths and guile_paths so that they use GNUSTEP_PATHPREFIX_LIST.

Thu Apr  4 14:19:28 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* ld_lib_path.sh: Only set IFS for the little part which needs it.

Thu Apr  4 14:02:27 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUstep.sh.in: Rewritten code setting GNUSTEP_PATHPREFIX_LIST so
	that duplicated entries are removed.

Thu Apr  4 13:14:35 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	This should fix RPM builds on virgin envs -
	* GNUstep.sh.in: Removed convert_win_paths and other window
	specific variables; simply set GNUSTEP_PATHPREFIX_LIST and use
	that to set CLASSPATH as well.  Made sure we never call unset for
	an unknown variable.  Added verbose comments about technical
	pitfalls of sourced files.
	* ld_lib_path.sh: Make sure we don't unset variables unless we set
	them.

Thu Apr  4 13:10:27 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUstep.sh.in: Quoted paths.

Thu Apr  4 13:01:37 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUstep-reset.sh: Fixed bugs with shell substitutions and other
	technicalities.

2002-04-04  Fred Kiefer <FredKiefer@gmx.de>

	* Instance/bundle.make
	Use a += instead of a = to define BUNDLE_LIBS (Patch by Alexander
	Malmberg) 
	
2002-04-03  Adam Fedor  <fedor@gnu.org>

	* Documentation/gnustep-howto.texi: Update.

2002-04-03  Fred Kiefer <FredKiefer@gmx.de>

	* Instance/bundle.make
	Uncommented the definition of BUNDLE_LIBS, so that bundles work
	under MS Windows.

Tue Apr  2 13:39:17 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* common.make (GNUSTEP_MAKEINFO_FLAGS): Do not use --no-headers.
	* Documentation/GNUmakefile.in (GNUSTEP_MAKEINFO_FLAGS): Idem.
	
Tue Apr  2 13:23:58 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/documentation.make (internal-doc-install_,
	internal-doc-uninstall_): Install/uninstall .info file into
	GNUSTEP_DOCUMENTATION_INFO.

Thu Mar 28 13:19:09 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* config.make.in (AWK, SED): Define.  Added extensive comment
	about why we should not get them from configuration, but simply
	define them to be 'awk' and 'sed'.

Thu Mar 28 13:08:27 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/application.make (TTMP_LIBS): Setup for the benefit of
	Windows.

Tue Mar 26 18:23:32 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* openapp.in: Do not add EXEEXT at the end of the application name
	if we are not flattened; if we are, add it in the proper way.
	Quoted a path.  Exec the application wrapper rather than simply
	running it.  Fixed comment when application script not found.
	* opentool.in: Quoted a path.
	* debugapp.in: Fixed adding EXEEXT at the end of the application
	name.
	
2002-03-26 Richard Frith-Macdonald <rfm@gnu.org>

	* Documentation/README.MinGW: Updated to reflect current state
	of the port and of the MSYS stuff.

Fri Mar 22 16:58:33 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Documentation/install.texi: Tidied part on --disable-import.
	* INSTALL: Regenerated.

2002-03-20 Richard Frith-Macdonald <rfm@gnu.org>

	* Documentation/GNUstep-howto.texi: Correct and expand on the
	instructions for installing gdomap.

Tue Mar 19 13:05:52 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	Simplified implementation of before-$(GNUSTEP_INSTANCE)-all and
	after-$(GNUSTEP_INSTANCE)-all; implemented support for
	before-$(GNUSTEP_INSTANCE)-install and
	after-$(GNUSTEP_INSTANCE)-install.
	* Instance/rules.make (before-$(GNUSTEP_INSTANCE)-install): New 
	target.  
	(after-$(GNUSTEP_INSTANCE)-install): New target.
	(.PHONY): Added the new targets.
	* Instance/rules.make (before-$(GNUSTEP_INSTANCE)-uninstall): New 
	target.  
	(after-$(GNUSTEP_INSTANCE)-uninstall): New target.
	(.PHONY): Added the new targets.
	* Instance/rules.make (internal-$(GNUSTEP_TYPE)-all): New target
	automatically calling before-$(GNUSTEP_INSTANCE)-all, then
	internal-$(GNUSTEP_TYPE)-all_, then after-$(GNUSTEP_INSTANCE)-all.
	(internal-$(GNUSTEP_TYPE)-install): Similar.
	(internal-$(GNUSTEP_TYPE)-uninstall): Similar.
	(.PHONY): Added the new targets.
	* Instance/application.make (internal-app-all): Renamed to
	internal-app-all_; do not run before-$(GNUSTEP_INSTANCE)-all and
	after-$(GNUSTEP_INSTANCE)-all.
	(internal-app-install): Renamed to internal-app-install_.
	(internal-app-uninstall): Renamed to internal-app-uninstall_.
	(.PHONY): Updated for change.
	* Instance/bundle.make: Similar updates.
	* Instance/clibrary.make: Idem.
	* Instance/ctool.make: Idem.
	* Instance/documentation.make: Idem (NB - likely this fixes
	unnoticed errors here with multiple after-xxx-all and
	before-xxx-all too)
	* Instance/framework.make: Idem.
	* Instance/gswapp.make: Idem.
	* Instance/gswbundle.make: Idem.
	* Instance/java-tool.make: Idem.
	* Instance/java.make: Idem.	
	* Instance/library.make: Idem.
	* Instance/objc.make: Idem.
	* Instance/palette.make: Idem.
	* Instance/resource-set.make: Idem.	
	* Instance/service.make: Idem.
	* Instance/subproject.make: Idem.
	* Instance/test-application.make: Idem.
	* Instance/test-library.make: Idem.
	* Instance/test-tool.make: Idem.
	* Instance/tool.make: Idem.
	
	* Instance/bundle.make (.PHONY): Removed nonexisting target
	internal-bundle-clean and internal-bundle-distclean.
	* Instance/clibrary.make (internal-clibrary-clean): Unused
	target removed.
	* Instance/gswbundle.make (.PHONY): Removed nonexisting targets
	internal-gswbundle-clean and internal-gswbundle-distclean.
	
2002-03-19 Richard Frith-Macdonald <rfm@gnu.org>

	* fixpath.sh.in: Restructure slightly so we can easily edit the
	fixpath.sh to force cygwin style paths.
	* Documentation/README.cygwin: Edd note about editing fixpath.sh

Mon Mar 18 16:57:20 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* common.make: If REMOVE_EMPTY_DIRS is yes, remove efficiently all
	empty directories from include and library flags (ie, -I and -L
	flags).	 (Suggestion by Markus Hitter <mah@jump-ing.de>).
	* target.make (REMOVE_EMPTY_DIRS): Set to yes in the case of OS X.

Mon Mar 18 14:07:53 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUstep-reset.sh: New file.  Sourcing this file resets the
	environment from the GNUstep variables.  It can be used to switch
	LIBRARY_COMBO on the fly - you first reset the existing
	environment using this script, then export the new LIBRARY_COMBO,
	then source GNUstep.sh again.
	* GNUmakefile.in (install): Install GNUstep-reset.sh
	
Mon Mar 18 10:37:49 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/test-library.make: Fixed typo, internal-test_lib-*
	targets were called internal-testlib-*.

2002-03-14  Adam Fedor  <fedor@gnu.org>

	* Version: 1.3.0
	* Documentation/README.MinGW: Minor formatting.
	* README, ANNOUNCE, GNUstep-HOWTO, ...: Regenerate.

2002-03-13  Adam Fedor  <fedor@gnu.org>

	* Documentation/gnustep-howto.texi: Update.
	* Documentation/install.texi: Likewise.
	* Documentation/news.texi: Likewise.
	* Documentation/readme.texi: Likewise.

2002-03-13 Richard Frith-Macdonald <rfm@gnu.org>

	* Documentation/README.MinGW: New content describing native MinGW build
	* Documentation/README.cygwin: Old contentnon cross-compiling to MinGW
	* fixpath.sh: Removed
	* fixpath.sh.in: new file
	* configure.in: generate fixpath.sh from fixpath.sh.in to control
	whether it fixes cygwin or mingw/msys style paths.

2002-03-11 Richard Frith-Macdonald <rfm@gnu.org>

	* cygpath.sh: Removed ... replaced by fixpath.sh which should handle
	either cygwin or mingw/msys paths.
	
2002-03-10 Richard Frith-Macdonald <rfm@gnu.org>

	* target.make: Force shared=yes for cygwin and mingw as stuff simply
	doesn't work under windows when built static.
	* configure.in: If hosted under mingw, use 'install' program and 'sh'
	and don't abort if chown is not found.
	* fixpath.sh: new path fixup script for mingw/msys as well as cygwin
	* GNUstep.sh.in: use fixpath
	* common.make: ditto

Sat Mar  9 09:52:51 2002  Adam Fedor  <fedor@yogi.doc.com>

	* configure.in: Move HOST_INSTALL so that prefix is defined before
	it is set.

Fri Mar  8 12:53:05 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/palette.make ($(PALETTE_DIR_NAME)/Resources/palette.table): Fixed 
	typo.

Thu Mar  7 14:06:37 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Master/rules.make (DLL_DEF): Do not pass down to submakes.
	* Instance/library.make (DLL_DEF): Define here instead.

Thu Mar  7 14:05:38 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* rules.make (SUBPROJECT_ROOT_DIR): Unused variable removed.
	* Master/rules.make (SUBPROJECT_ROOT_DIR): Idem.
	
Thu Mar  7 13:43:28 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* rules.make: Include Instance/rules.make before using the
	ADDITIONAL flags.
	* Instance/rules.make (BUNDLE_LIBS, ADDITIONAL_INCLUDE_DIRS,
	ADDITIONAL_GUI_LIBS, ADDITIONAL_TOOL_LIBS, ADDITIONAL_OBJC_LIBS,
	ADDITIONAL_LIB_DIRS, ADDITIONAL_LIBRARY_LIBS, ADDITIONAL_LDFLAGS,
	ADDITIONAL_CLASSPATH, LIBRARIES_DEPEND_UPON): Add instance
	specific flags here.
	* Master/rules.make (BUNDLE_LIBS, ADDITIONAL_INCLUDE_DIRS,
	ADDITIONAL_GUI_LIBS, ADDITIONAL_TOOL_LIBS, ADDITIONAL_OBJC_LIBS,
	ADDITIONAL_LIB_DIRS, ADDITIONAL_LIBRARY_LIBS, ADDITIONAL_LDFLAGS,
	ADDITIONAL_CLASSPATH, LIBRARIES_DEPEND_UPON): Do not pass down to
	submakes.
	
Wed Mar  6 10:15:20 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Master/rules.make (MAIN_MODEL_FILE): Do not pass down to submakes here.
	* Instance/application.make (MAIN_MODEL_FILE): Define here.  Also,
	simplified code to add it to the info plist.
	* Instance/bundle.make: Idem.
	* Instance/framework.make: Idem.
	* Instance/gswapp.make: Idem.
	* Instance/palette.make: Idem.
	
Wed Mar  6 09:45:01 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* clean_os.sh: Remove minor version number for Darwin 5 (Patch
	from Helge Hess <helge.hess@skyrix.com>).

Tue Mar  5 16:05:22 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/Shared/bundle.make (shared-instance-bundle-all): Fixed
	tricky problem when copying resources from subprojects ... * in
	the shell being expanded to itself if no matching file exists.

Tue Mar  5 15:15:41 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/bundle.make (BUNDLE_INSTALL_DIR): Define with =,
	not :=.

Tue Mar  5 14:37:58 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUstep.sh.in (GNUSTEP_USER_ROOT): Fixed setting in case
	GNUSTEP_FLATTENED (Suggestion from Marcus Müller
	<znek@mulle-kybernetik.com>).
	* GNUstep.csh.in: Idem.
	
Tue Mar  5 13:54:36 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Master/rules.make (COMPONENTS, LANGUAGES,
	WEBSERVER_RESOURCE_FILES, LOCALIZED_WEBSERVER_RESOURCE_FILES,
	WEBSERVER_RESOURCE_DIRS, LOCALIZED_RESOURCE_FILES, RESOURCE_FILES,
	RESOURCE_DIRS): Do not pass down to submakes.
	* Instance/Shared/bundle.make: Do not use override when defining
	resource variables.
	* Instance/gswapp.make: Idem.
	* Instance/gswbundle.make: Idem.

Tue Mar  5 13:45:01 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/subproject.make: Modified to have resources, and manage
	them by using Instance/Shared/bundle.make; put them into a
	Resources/Subproject directory.  Removed a lot of framework
	specific code obsoleted by the new more general code - tidied up
	framework code to build headers.
	* Master/subproject.make (internal-clean): Remove Resources/Subproject.
	(internal-distclean): Remove Resources.
	* Instance/Shared/bundle.make: If the instance has subprojects,
	copy recursively resources from the subprojects
	Resources/Subproject dir into the instance resource bundle.
	
Tue Mar  5 13:09:09 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/Shared/headers.make (HEADER_FILES): Do not define
	HEADER variables using override.
	* Instance/framework.make: Idem.
	* Instance/subproject.make: Idem.
	
Tue Mar  5 13:02:19 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Master/rules.make (HEADER_FILES, HEADER_FILES_DIR,
	HEADER_FILES_INSTALL_DIR): Do not pass down to submakes.

Tue Mar  5 13:01:45 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/framework.make (HEADER_FILES): Define here.
	* Instance/subproject.make (HEADER_FILES): Idem.

Tue Mar  5 12:57:08 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/gswapp.make (COMPONENTS, LANGUAGES,
	WEBSERVER_RESORCE_FILES, LOCALIZED_WEBSERVER_RESOURCE_FILES,
	WEBSERVER_RESORCE_DIRS, LOCALIZED_RESOURCE_DIRS, RESOURCE_FILES,
	RESOURCE_DIRS): Define here.

Tue Mar  5 12:50:05 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* config.make.in (HAS_LN_S): Set.

Tue Mar  5 12:34:29 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/framework.make: Major simplification by using
	Instance/Shared/bundle.make to manage resources.

Tue Mar  5 12:20:09 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/Shared/bundle.make: Added support for gsweb resources;
	bug fixes and tidyups everywhere.
	* Instance/application.make (GNUSTEP_SHARED_INSTANCE_BUNDLE_RESOURCE_PATH): Use
	this variable, not GNUSTEP_SHARED_INSTANCE_BUNDLE_PATH.
	* Instance/bundle.make: Idem.
	* Instance/service.make: Idem.
	* Instance/palette.make: Idem.

Tue Mar  5 10:10:45 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/resource-set.make: Added localized resource support, 
	fixed bugs.

Tue Mar  5 09:21:12 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Master/resource-set.make (internal-all): Do nothing, not even
	subproject processing.
	(internal-clean): Idem.
	(internal-distclean): Idem.

Tue Mar  5 07:26:53 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/gswapplication.make: Renamed bundle directory where
	gsweb resources are kept from WebServerResources to
	Resources/WebServer.
	* Instance/gswbundle.make: Idem.
	* Instance/framework.make: Idem.
	* Instance/subproject.make: Idem.

	* Instance/framework.make (framework-webresource-dir): Don't
	create the link for the WebServerResources.  No longer needed
	since it uses the normal Resources link now.
	* Instance/subproject.make (framework-webresource-dir): Idem.
	
Mon Mar  4 16:14:52 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUmakefile.in (MAKE_FILES): Added resource-set.make.
	(MASTER_MAKE_FILES): Added resource-set.make.
	(INSTANCE_MAKE_FILES): Added resource-set.make.
	* resource-set.make: New makefile.
	* Master/resource-set.make: New makefile.
	* Instance/resource-set.make: New makefile.
	
2002-03-02 Richard Frith-Macdonald <rfm@gnu.org>

	* GNUstep.sh.in: Don't define GNUSTEP_DEFAULTS_ROOT
	* GNUstep.csh.in: Don't define GNUSTEP_DEFAULTS_ROOT
	* configure.in: Remove some unused stuff and improve log
	messages for forcing defaults and user roots.

2002-03-01 Richard Frith-Macdonald <rfm@gnu.org>

	* user_home.c: Parse .GNUsteprc in configured GNUSTEP_SYSTEM_ROOT
	if per-user version is not available.  Treat ~ at start of root
	as home directory of user.

Fri Mar  1 15:28:58 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/service.make: Use Instance/Shared/bundle.make to
	install resources.  This automatically implements localizable
	resources for services.  Removed internal targets, simplified
	code.

Fri Mar  1 15:20:09 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/palette.make: Use Instance/Shared/bundle.make to install
	resources.  This automatically implements localizable resources
	for palettes.  Removed internal targets, simplified code.

Fri Mar  1 14:36:43 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/Shared/headers.make: Added specific optimization for
	installing quickly headers during develoment - activated by
	setting GNUSTEP_DEVELOPER=YES in the environment.
	
Fri Mar  1 12:28:52 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/subproject.make: Use Shared/Instance/headers.make
	to install/uninstall headers.

2002-03-01 Richard Frith-Macdonald <rfm@gnu.org>

	* GNUstep.sh.in: Updated to use user_home tool.
	* GNUstep.csh.in: ditto
	* configure.in: Updated comments/instructions to talk about
	forcing common user and defaults root directories.

Fri Mar  1 10:58:58 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUmakefile.in (which_lib$(EXEEXT)): Compile $<, not
	which_lib.c.
	(user_home$(EXEEXT)): Idem.

2002-03-01 Richard Frith-Macdonald <rfm@gnu.org>

	* user_home.c: Port to MINGW.  Added functionality under unix
	to report GNUSTEP_USER_ROOT and GNUSTEP_DEFAULTS_ROOT

2002-02-28  Adam Fedor  <fedor@gnu.org>

	* target.make (darwin5): Correct compile flags. Add
	flags to ignore MacOSX headers if FOUNDATION_LIB is gnu.
	(darwin1): Correct compile flags.
	(nextstep4): Likewise.
	(nextstep3): Likewise.

2002-02-28 Richard Frith-Macdonald <rfm@gnu.org>

	* configure.in: setup variables to force particular paths for user
	and defaults roots.
	* config.make.in: pass configured forced paths on to build process
	* common.make: use path forcing.

Thu Feb 28 18:27:05 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Master/rules.make (PRINCIPAL_CLASS): Do not pass down
	to submakes.
	* Instance/application.make (PRINCIPAL_CLASS): Define in terms of
	$(GNUSTEP_INSTANCE)_PRINCIPAL_CLASS; do not use override when
	fixing it up if it's empty.
	* Instance/bundle.make (PRINCIPAL_CLASS): Idem.
	* Instance/framework.make (PRINCIPAL_CLASS): Idem.
	* Instance/gswbundle.make (PRINCIPAL_CLASS): Idem.
	* Instance/java-tool.make (PRINCIPAL_CLASS): Idem.
	* Instance/palette.make (PRINCIPAL_CLASS): Idem.
	* Instance/gswapp.make (PRINCIPAL_CLASS): Define.

Thu Feb 28 18:16:11 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/gswbundle.make (COMPONENTS, LANGUAGES,
	WEBSERVER_RESORCE_FILES, LOCALIZED_WEBSERVER_RESOURCE_FILES,
	WEBSERVER_RESORCE_DIRS, LOCALIZED_RESOURCE_DIRS, RESOURCE_FILES,
	RESOURCE_DIRS): Define here.

Thu Feb 28 15:22:31 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Instance/application.make: Simplified a lot by using
	Instance/Shared/bundle.make to copy resource files into the
	application bundle.

2002-02-28 Richard Frith-Macdonald <rfm@gnu.org>

	* user_home.c: new utility to report users home directory.
	* configure.in: check for password file stuff etc.
	* GNUmakefile.in: build user_home

Thu Feb 28 14:35:27 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Instance/rules.make (.PHONY): Declare here as .PHONY
	before-$(GNUSTEP_INSTANCE)-all and after-$(GNUSTEP_INSTANCE)-all.
	* Instance/application.make: And not here.
	* Instance/bundle.make: Idem.
	* Instance/ctool.make: Idem.
	* Instance/documentation.make: Idem.
	* Instance/framework.make: Idem.
	* Instance/gswapp.make: Idem.
	* Instance/gswbundle.make: Idem.
	* Instance/java-tool.make: Idem.
	* Instance/java.make: Idem.
	* Instance/library.make: Idem.
	* Instance/objc.make: Idem.
	* Instance/palette.make: Idem.
	* Instance/rules.make: Idem.
	* Instance/service.make: Idem.
	* Instance/subproject.make: Idem.
	* Instance/test-library.make: Idem.
	* Instance/tool.make: Idem.
	
Thu Feb 28 13:24:08 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* GNUmakefile.in (INSTANCE_SHARED_MAKE_FILES): Added bundle.make.
	* Instance/Shared/bundle.make: New file.
	* Instance/bundle.make: Simplified a lot by using
	Instance/Shared/bundle.make to create bundle dirs and copying
	resource files there.
	
Thu Feb 28 13:03:12 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Instance/rules.make (before-$(GNUSTEP_INSTANCE)-all): Added.
	(after-$(GNUSTEP_INSTANCE)-all): Added.
	* Instance/application.make: Removed from here.
	* Instance/bundle.make: Idem.
	* Instance/ctool.make: Idem.
	* Instance/documentation.make: Idem.
	* Instance/framework.make: Idem.
	* Instance/gswapp.make: Idem.
	* Instance/gswbundle.make: Idem.
	* Instance/java-tool.make: Idem.
	* Instance/java.make: Idem.
	* Instance/library.make: Idem.
	* Instance/objc.make: Idem.
	* Instance/palette.make: Idem.
	* Instance/rules.make: Idem.
	* Instance/service.make: Idem.
	* Instance/subproject.make: Idem.
	* Instance/test-library.make: Idem.
	* Instance/tool.make: Idem.
	
Thu Feb 28 11:06:51 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* common.make (GNUSTEP_WOAPPS): Removed.
	
Thu Feb 28 11:01:34 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* GNUmakefile.in: Changed everywhere 'Apps' (used as directory
	name) into 'Applications'.
	* common.make: Idem.
	* debugapp.in: Idem.
	* executable.template.in: Idem.
	* openapp.in: Idem.
	* Documentation/DESIGN: Idem.
	
Thu Feb 28 10:57:14 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Documentation/install.texi (Warnings for deprecated #import):
	Say that MacOS X uses #import.
	* INSTALL: Regenerated.
	
2002-02-28 Richard Frith-Macdonald <rfm@gnu.org>

	* configure.in: Set default user root to $HOME/GNUstep as a
	quick hack solution to problems with LOGNAME

2002-02-27  Adam Fedor  <fedor@gnu.org>

	* Documentation/README.MinGW: Update.
	* Documentation/faq.texi: Likewise.
	* Documentation/machines.texi: Likewise.
	* Documentation/userfaq.texi: Likewise.

Wed Feb 27 16:51:34 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* subproject.make: Broken into Master and Instance.
	* Instance/subproject.make: New file.
	* Master/subproject.make: New file.
	* GNUmakefile.in (MASTER_MAKE_FILES): Added subproject.make.
	(INSTANCE_MAKE_FILES): Added subproject.make.

Wed Feb 27 16:38:36 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Master/rules.make (PALETTE_ICON): Do not pass it to submakes.
	* Instance/palette.make (PALETTE_ICON): Define it here.
	(PALETTE_INSTALL_DIR): Define with =, not :=.

Wed Feb 27 16:33:03 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* palette.make: Broken into Master and Instance.
	* Instance/palette.make: New file.
	* Master/palette.make: New file.
	* GNUmakefile.in (MASTER_MAKE_FILES): Added palette.make.
	(INSTANCE_MAKE_FILES): Added palette.make.
	
Wed Feb 27 16:28:16 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* framework.make: Broken into Master and Instance.
	* Instance/framework.make: New file.
	* Master/framework.make: New file.
	* GNUmakefile.in (MASTER_MAKE_FILES): Added framework.make.
	(INSTANCE_MAKE_FILES): Added framework.make.
	* rules.make (DERIVED_SOURCES): Define.
	
Wed Feb 27 13:54:53 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Documentation/install.texi: Document the --disable-import flag.
	* INSTALL: Regenerated.

Wed Feb 27 13:05:49 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* configure.in: Added configure option --disable-import which
	allows users to turn on/off the compiler warnings against usage of
	#import.  Leave the default to no warnings.
	* configure: Regenerated.
	* config.make.in (OBJC_NO_IMPORT_FLAGS): New flag.
	* common.make (OBJCFLAGS): Set in terms of OBJC_NO_IMPORT_FLAGS.

2002-02-27 Richard Frith-Macdonald <rfm@gnu.org>

	* Documentation/README.MinGW: updated to latest versions of
	things I used.  Describe current state.

2002-02-25 Richard Frith-Macdonald <rfm@gnu.org>

	* target.make: Use winsocks2 library ... we will never support
	systems that only have the old one, and we need the new one
	for our networking.

Sun Feb 24 13:22:09 2002  Matthias Klose <doko@cs.tu-berlin.de>:

	* GNUstep.sh.in, GNUstep.csh.in: Start make_services in a
	subshell, disables "Done" messages for shells with job control.

Fri Feb 22 18:08:39 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* openapp.in: Quote the arguments when executing the app.

Fri Feb 22 15:49:01 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Instance/documentation.make: Removed doubled installation of
	$(GNUSTEP_INSTANCE)_INSTALL_FILES.

Fri Feb 22 13:18:43 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Master/rules.make (SERVICE_INSTALL_DIR): Unused variable
	removed.

Fri Feb 22 13:12:44 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Instance/ctool.make (internal-ctool-uninstall): Use
	GNUSTEP_INSTANCE here.

Fri Feb 22 13:06:18 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* service.make: Broken into Master and Instance.
	* Master/service.make: New file.
	* Instance/service.make: New file.
	* GNUmakefile.in (MASTER_MAKE_FILES): Added service.make
	(INSTANCE_MAKE_FILES): Idem.

Fri Feb 22 12:55:01 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Master/rules.make (SCRIPTS_DIRECTORY, CHECK_SCRIPT_DIRS): Do not
	define here.
	* Instance/test-library.make: But rather here.

Fri Feb 22 12:53:43 2002  Nicola Pero  <nicola@brainstorm.co.uk>
	
	* test-library.make: Broken into Master and Instance.
	* Master/test-library.make: New file.
	* Instance/test-library.make: New file.
	* GNUmakefile.in (MASTER_MAKE_FILES): Added test-library.make.
	(INSTANCE_MAKE_FILES): Idem.

Fri Feb 22 12:38:59 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* tool.make: Broken into Master and Instance.
	* Instance/tool.make: New file.
	* Master/tool.make: New file.

	* test-tool.make: Broken into Master and Instance.
	* Instance/test-tool.make: New file.
	* Master/test-tool.make: New file.

	* GNUmakefile.in (MASTER_MAKE_FILES): Added test-tool.make 
	and tool.make
	(INSTANCE_MAKE_FILES): Idem.
	
Fri Feb 22 12:33:13 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Master/test-application.make: Use test-app, not testapp, as
	GNUSTEP_TYPE.
	* Instance/test-application.make: Updated all rules.
	* test-application.make: Updated.
	
Fri Feb 22 12:24:17 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Master/test-application.make (internal-check): Target removed.

Fri Feb 22 12:14:08 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* test-application.make: Broken into Master and Instance.
	* Master/test-application.make: New file.
	* Instance/test-application.make: New file.
	
Fri Feb 22 12:02:55 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Master/rules.make (APPLICATION_ICON): Do not pass this
	down to submake Instance invocation.
	* Instance/application.make: Define it here instead.

Fri Feb 22 11:55:42 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Instance/library.make: Do not define HEADER_FILES_DIR here.

Fri Feb 22 11:50:17 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Master/rules.make (HAS_GSWCOMPONENTS, GSWAPP_INFO_PLIST): Do not
	pass these to the submake Instance invocation as arguments to
	make.
	* Instance/gswapp.make: Define the appropriate ones here instead.
	* Instance/gswbundle.make: And here.
	
Fri Feb 22 11:36:40 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Instance/gswbundle.make: Updated/modified to use
	Instance/Shared/headers.make to manage headers.

Fri Feb 22 11:34:22 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Master/gswbundle.make: All rules changed to invoke
	internal-gswbundle-* rules rather than internal-bundle-* rules.
	* Instance/gswbundle.make: All internal-bundle-* rules changed
	to be internal-gswbundle-*.
	* gswbundle.make: Corresponding update.

Fri Feb 22 11:33:29 2002  Nicola Pero  <nicola@brainstorm.co.uk>
	
	* gswbundle.make: Broken into Master and Instance.
	* Master/gswbundle.make: New file.
	* Instance/gswbundle.make: New file.
	* GNUmakefile.in (MASTER_MAKE_FILES): Added gswbundle.make
	(INSTANCE_MAKE_FILES): Adde gswbundle.make
	
Fri Feb 22 11:25:36 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* gswapp.make: Broken into Master and Instance.
	* Master/gswapp.make: New file.
	* Instance/gswapp.make: New file.
	* GNUmakefile.in (MASTER_MAKE_FILES): Added gswapp.make.
	(INSTANCE_MAKE_FILES): Added gswapp.make
	
Fri Feb 22 01:10:09 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Master/rules.make (TEXI_FILES, GSDOC_FILES, AGSDOC_FILES,
	AGSDOC_FLAGS, LATEX_FILES, JAVADOC_FILES, JAVADOC_SOURCEPATH,
	DOC_INSTALL_DIR, TEXT_MAIN): Do not manually pass these variables
	down to the Instance submake invocation.
	* Instance/documentation.make: Set them here instead.
	
Fri Feb 22 01:04:04 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* documentation.make: Broken into Master and Instance.
	* Master/documentation.make: New file.
	* Instance/documentation.make: New file.
	* GNUmakefile.in (MASTER_MAKE_FILES): Added documentation.make.
	(INSTANCE_MAKE_FILES): Added documentation.make.

Fri Feb 22 00:42:11 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Master/objc.make (internal-clean): Remove GNUSTEP_OBJ_DIR, not
	GNUSTEP_OBJ_PREFIX.
	* Instance/objc.make Minor simplification of rules by removing
	install-objc_program target.
	(OBJC_PROGRAM_INSTALLATION_DIR): Don't define if already defined.
	(internal-objc_program-uninstall): Implemented.

Fri Feb 22 00:38:47 2002  Nicola Pero  <n.pero@mi.flashnet.it>
	
	* objc.make: Broken into Master and Instance.
	* Master/objc.make: New file.
	* Instance/objc.make: New file.
	* GNUmakefile.in (MASTER_MAKE_FILES): Added objc.make.
	(INSTANCE_MAKE_FILES): Added objc.make.
	
Thu Feb 21 14:37:37 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Instance/Shared/headers.make: Removed
	xxx_EMPTY_HEADER_FILES_INSTALL_DIR.  People can simply set
	xxx_HEADER_FILES_INSTALL_DIR to `.' if they want to force it
	to be like empty.

Wed Feb 20 16:56:43 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Instance/library.make (FINAL_LIBRARY_INSTALL_DIR): Only set 
	if not already set.
	* Instance/clibrary.make: Trivialized.  Set
	FINAL_LIBRARY_INSTALL_DIR, then include Instance/library.make to
	inherit all the makefile code from there ... very cool.  Please
	note that this 'makefile inheritance' wouldn't have been possible
	had I not broken the makefiles into Master and Instance.

Wed Feb 20 16:49:41 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Instance/library.make: Heavily simplified and improved support
	for headers by simply using Instance/Shared/headers.make to manage
	headers.
	* Instance/Shared/headers.make: Modified to support
	$(GNUSTEP_INSTANCE)_EMPTY_HEADER_FILES_INSTALL_DIR to allow
	callers to specify they really want an empty header files install
	dir, which is not otherwise tollerated, and automatically replaced
	with $(GNUSTEP_INSTANCE).
	
Wed Feb 20 15:41:14 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* library.make: Broken into Master and Instance.
	* Master/library.make: New file.
	* Instance/library.make: New file.
	* GNUmakefile.in (MASTER_MAKE_FILES): Added library.make.
	(INSTANCE_MAKE_FILES): Added library.make.

Wed Feb 20 15:29:41 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* clibrary.make: Broken into Master and Instance.
	* Master/clibrary.make: New file.
	* Instance/clibrary.make: New file.
	* GNUmakefile.in (MASTER_MAKE_FILES): Added clibrary.make.
	(INSTANCE_MAKE_FILES): Added clibrary.make.

Wed Feb 20 13:06:17 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Master/rules.make (%.tools): Use --no-print-directory in the
	recursive make invocation.

Wed Feb 20 12:49:55 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Instance/ctool.make: Simplified by removing the install-ctool
	rule.

Wed Feb 20 12:45:32 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* ctool.make: Broken into Master and Instance.
	* Master/ctool.make: New file.
	* Instance/ctool.make: New file.
	* GNUmakefile.in (MASTER_MAKE_FILES): Added ctool.make.
	(INSTANCE_MAKE_FILES): Added ctool.make.
	
Wed Feb 20 11:37:55 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Master/rules.make (internal-distclean): Remove core files.
	
Wed Feb 20 10:48:04 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Master/source-distribution.make (VERTAG): Replace efficiently
	using make function.
	* Master/source-distribution.make: Implemented allowing to change
	the compression program used, and define a standard set of handy
	compressions. (Patch by Stefan Urbanek <stefanurbanek@yahoo.fr>
	modified).
	* Master/source-distribution.make: Added support for a 
	.dist-ignore file specifying files not to include in distribution
	files.  (Suggestion by Stefan Urbanek).
	
2002-02-14 Richard Frith-Macdonald <rfm@gnu.org>

	* configure.in: New option to specify GNUSTEP_DEFAULTS_ROOT
	* configure: Regenerated.
	* GNUstep.sh.in: Use GNUSTEP_DEFAULTS_ROOT

2002-02-13 Richard Frith-Macdonald <rfm@gnu.org>

	* configure: regenerated
	* configure.in: Set default user root to be ~$LOGNAME/GNUstep
	rather than ~/GNUstep so that it is consistent with the operation
	of the NSUserName() function ... ie.  we use the login name in
	preference to any temporarily set user id.
	People wanting the old inconsistent behavior can simply unset
	the LOGNAME environment variable in any subshell they start
	with a new uid.

Tue Feb 12 16:37:51 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* framework.make (INTERNAL_LIBRARIES_DEPEND_UPON): Set this
	variable in the same way as it is done in library.make (Suggestion
	from Stephen Brandon <stephen@brandonitconsulting.co.uk>).

Tue Feb 12 09:04:38 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* config.guess: Updated to latest version.
	* config.sub: Idem.
	
Sun Feb 10 02:06:40 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* library.make (SOVERSION): Fixed typo.

Sat Feb  9 13:05:27 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/application.make: Do not protect against multiple
	inclusions.
	* Instance/bundle.make: Idem.
	* Instance/java.make: Idem.
	* Instance/java-tool.make: Idem.
	* Instance/rules.make: Idem.
	* Master/aggregate.make: Idem.
	* Master/application.make: Idem.
	* Master/bundle.make: Idem.
	* Master/java.make: Idem.
	* Master/java-tool.make: Idem.
	* Master/rules.make: Idem.
	* Master/rpm.make: Idem.
	* Master/source-distribution.make: Idem.
	
Sat Feb  9 11:52:11 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUmakefile.in (clean): Remove Instance/Shared/*~.

Sat Feb  9 11:45:16 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/Shared/headers.make: New file - the code is new, 
	and has improvements over the code found in old makefiles.
	* GNUmakefile.in (INSTANCE_SHARED_MAKE_FILES): Added headers.make.
	* Instance/bundle.make: Simplified and improved management of
	headers by using Instance/Shared/headers.make to manage headers.
	
Sat Feb  9 11:22:10 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* bundle.make: Broken into Master and Instance.
	* Master/bundle.make: New file.
	* Instance/bundle.make: New file.
	* GNUmakefile.in (INSTANCE_MAKE_FILES, MASTER_MAKE_FILES): 
	Added bundle.make.

Fri Feb  8 16:15:20 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Master/java-tool.make (internal-distclean): Depend on
	subprojects, not variables, to spare the recursive make
	invocation.
	* Master/java.make (internal-distclean): Idem.

Fri Feb  8 13:32:33 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/java.make (internal-java_package-uninstall): Added.

Fri Feb  8 13:19:37 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/Shared/java.make (shared-instance-java-uninstall):
	Implemented.

Fri Feb  8 13:17:45 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/Shared/java.make: New makefile fragment built from
	code common in java.make and java-tool.make.
	* Instance/java-tool.make: Simplified a lot by using
	Instance/Shared/java.make to do most of the work.
	* Instance/java.make: Idem.
	* GNUmakefile.in (INSTANCE_SHARED_MAKE_FILES): Install 
	Instance/Shared/java.make.
	
Fri Feb  8 12:36:01 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/Shared: New directory.
	* Instance/Shared/README: New file.
	* GNUmakefile.in (INSTANCE_SHARED_MAKE_FILES): New variable.
	(install): Create the GNUSTEP_MAKEFILES/Instance/Shared directory.
	Install INSTANCE_SHARED_MAKE_FILES in there.

Fri Feb  8 12:37:56 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/rules.make (JAVA_JNI_OBJS): Fixed typo/bug - underscore
	in excess.

Fri Feb  8 11:43:27 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* java-tool.make: Broken into Master and Instance.
	* Instance/java-tool.make: New file.
	* Master/jave-tool.make: New file.
	* GNUmakefile.in (INSTANCE_MAKE_FILES): Added java-tool.make
	(MASTER_MAKE_FILES): Added java-tool.make.
	
Fri Feb  8 10:07:42 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* java.make: Broken into Master and Instance.
	* Instance/java.make: New file.
	* Master/java.make: New file.
	* GNUmakefile.in (INSTANCE_MAKE_FILES): Added java.make
	(MASTER_MAKE_FILES): Added java.make.
	
Thu Feb  7 12:58:52 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* java.make (install-java_package): Recognize and install
	xxx_JAVA_PROPERTIES_FILES.
	* java-tool.make (install-java_tool): Idem.
	
2002-02-04 Richard Frith-Macdonald <rfm@gnu.org>

	* opentool.in: Rewrite searching code so that it looks in the
	appropriate host/os/library-combo subdirectory to find tools.

2002-02-03  Adam Fedor  <fedor@gnu.org>

	* configure.in: Remove setting of GCC_SO_DIR. Remove CPPFLAGS
	and LDFLAGS with GNUSTEP paths in them since they are already
	included in default rules. Set OBJC_CPPFLAGS/LDFLAGS for objc 
	thread test.
	* GNUstep.csh.in: Remove GCC_SO_DIR
	* GNUstep.sh.in: Likewise.
	* ld_lib_path.csh: Likewise.
	* ld_lib_path.sh: Likewise.

	* Documentation/userfaq.texi: New file.
	
Sat Feb  2 10:54:35 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUstep.sh.in (GNUSTEP_USER_ROOT): Fixed typo.
	* GNUstep.csh.in: Idem.
	
Fri Feb  1 11:33:11 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Master/aggregate.make: New file with code taken from
	aggregate.make.
	* aggregate.make: If this is a Master invocation, include
	Master/aggregate.make, otherwise include nothing.
	* GNUmakefile.in (MASTER_MAKE_FILES): Install aggregate.make.
	
2002-02-01 Richard Frith-Macdonald <rfm@gnu.org>

	* GNUmakeifle: install Master and Instance versions of
	application.make

Thu Jan 31 17:47:39 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Master/application.make (APP_EXTENSION): Set it in common.make,
	so that it can be overridden at will.
	* Instance/application.make (INTERNAL_app_NAME, TARGET): Replaced
	everywhere by GNUSTEP_INSTANCE.
	
Thu Jan 31 17:38:17 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* application.make: Replaced with a makefile which includes
	Master/application.make or Instance/application.make or nothing
	depending on case.  The original code broken in two and move into
	Master/application.make and Instance/application.make.
	* Master/application.make: New file.
	* Instance/application.make: new file.
	* GNUmakefile.in: Install the new files.
	
Thu Jan 31 11:27:06 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* configure.in: Moved determination of host, target and build
	system at the beginning of the file, so that any GNUstep test can
	use this knowledge.
	* configure.in (OBJC_RUNTIME_LIB): Use -F- option to awk rather
	than piping through an additional tr process.
	(DATE): Unused variable removed.
	(GNUSTEP_SYSTEM_ROOT, GNUSTEP_LOCAL_ROOT, GNUSTEP_NETWORK_ROOT,
	GNUSTEP_USER_ROOT): Print out which directories we are going to
	use for all these variables.
	(GNUSTEP_USER_ROOT): Set it to be ~/GNUstep or
	$HOMEDRIVE/$HOMEPATH/GNUstep on Windows.
	* configure: Regenerated.
	* GNUstep.sh.in (GNUSTEP_USER_ROOT): On Windows, convert \ into /.
	* GNUstep.csh.in: Idem.
	
Wed Jan 30 19:01:11 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUmakefile.in (clean): Remove *~ in Master/ and Instance/ as
	well.

Wed Jan 30 18:57:48 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/README: New file.

Wed Jan 30 18:43:06 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Master/rules.make (%.variables): Do not pass down to the
	Instance submake invocation _SUBPROJECTS, OBJC_FILES, JAVA_FILES
	and similar lists of source units.
	* Instance/rules.make: Set up all those variables here.
	($(GNUSTEP_OBJ_DIR)): Rule to create the compilation directory
	moved into the top-level rules.make as it's not actually dependent
	on the instance.
	
Wed Jan 30 18:13:25 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Instance/rules.make: Code to set generic flags and to build
	objects from sources moved back into the top-level rules.make.
	Code which will - not yet but will - depend on the instance
	retained here instead.
	* rules.make: Only include Instance/rules.make if GNUSTEP_INSTANCE
	is non empty.
	
Wed Jan 30 17:56:44 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Master/rules.make (target): Renamed everywhere to 'instance' to
	avoid confusion.
	(%.variables): Pass down the new variables GNUSTEP_TYPE and
	GNUSTEP_INSTANCE, but not GNUSTEP_MAKE_INSTANCE_INVOCATION.
	* common.make: Unexport GNUSTEP_INSTANCE and GNUSTEP_TYPE
	rather than GNUSTEP_MAKE_INSTANCE_INVOCATION.
	* rules.make: Check for GNUSTEP_INSTANCE to decide whether
	to include Master/rules.make or not.
	
Wed Jan 30 17:54:45 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* rules.make (BUNDLE_EXTENSION, CURRENT_VERSION_NAME,
	DEPLOY_WITH_CURRENT_VERSION): Moved to common.make.

Wed Jan 30 17:53:03 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* rules.make: Always include Instance/rules.make, even if in the
	Master invocation, to allow master rules in GNUmakefile.postamble
	to be written as instance rules.

Wed Jan 30 17:52:15 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* configure.in (PERL): Do not check for PERL; do not generate
	which_lib.pl.
	* GNUmakefile.in (PERL): Do not define.
	(distclean): Do not remove which_lib.pl.
	* which_lib.pl.in: Removed.
	
Wed Jan 30 17:48:57 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* common.make (GNUSTEP_MAKE_INSTANCE_INVOCATION): Unexport the 
	variable.

Wed Jan 30 17:30:04 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* tool.make (install-tool): Do not install the tool shell script
	wrapper.
	(internal-tool-uninstall): Do not remove it.
	* ctool.make (install-ctool, internal-ctool-uninstall): Idem.
	
Wed Jan 30 17:11:34 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* rules.make All global rules, and all %.variables, %.subprojects,
	%.tools rules and everything obviously used only in the Master
	invocation stage moved into Master/rules.make.  All compilation
	rules and everything obviously used only in the Instance
	invocation stage moved into Instance/rules.make.
	* rules.make ($(GNUSTEP_MAKEFILES)/Master/*.make): New rule.
	($(GNUSTEP_MAKEFILES)/Instance/*.make): New rule.

Wed Jan 30 17:00:21 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* Instance/rules.make: New file.
	* GNUmakefile.in (INSTANCE_MAKE_FILES): Install the new file.
	* rules.make ($(GNUSTEP_OBJ_DIR)): Rule moved to
	Instance/rules.make.  Include Instance/rules.make if at the
	instance invocation.
	
Wed Jan 30 16:39:41 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	Started a major reorganization of the package.
	* Master/: New directory.
	* Instance/: New directory.
	* rpm.make: Moved into Master/rpm.make.
	* source-distribution.make: Moved into
	Master/source-distribution.make.
	* Master/rules.make: New file.
	* Master/README: New file.
	* GNUmakefile.in: Create GNUSTEP_MAKEFILES/Master and
	GNUSTEP_MAKEFILES/Instance.  Install rpm.make and
	source-distribution.make and Master/rules.make into
	GNUSTEP_MAKEFILES/Master.
	* rules.make (GNUSTEP_MAKE_INSTANCE_INVOCATION): Pass down
	to the submake with value of YES.
	(source-distribution.make, rpm.make): Code including them
	moved into Master/rules.make.
	(Master/rules.make): Include it, but only if
	GNUSTEP_MAKE_INSTANCE_INVOCATION is undefined.
	
Wed Jan 30 12:50:04 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* rules.make (LIB_DIRS_NO_SYSTEM): Removed.
	* application.make (ALL_GUI_LIBS): Use ALL_LIB_DIRS, not 
	LIB_DIRS_NO_SYSTEM.
	($(APP_FILE)): Do not add ALL_LIB_DIRS when linking.
	* bundle.make (ALL_BUNDLE_LIBS, $(BUNDLE_FILE)): Idem.
	* ctool.make (ALL_TOOL_LIBS,
	$(GNUSTEP_OBJ_DIR)/$(INTERNAL_ctool_NAME)$(EXEEXT)): Idem.
	* framework.make (ALL_FRAMEWORK_LIBS, $(FRAMEWOK_FILE)): Idem.
	* gswapp.make (ALL_GSW_LIBS, $(GSWAPP_FILE)): Idem.
	* gswbundle.make ($(GSWBUNDLE_FILE)): Idem.
	* objc.make (ALL_OBJC_LIBS,
	$(GNUSTEP_OBJ_DIR)/$(INTERNAL_objc_program_NAME)$(EXEEXT)): Idem.
	* palette.make ($(PALETTE_FILE)): Idem.
	* service.make (ALL_SERVICE_LIBS, $(SERVICE_FILE)): Idem.
	* test-library.make (ALL_TEST_LIBRARY_LIBS,
	$(GNUSTEP_OBJ_DIR)/$(INTERNAL_testlib_NAME)): Idem.
	* tool.make (ALL_TOOL_LIBS,
	$(GNUSTEP_OBJ_DIR)/$(INTERNAL_tool_NAME)$(EXEEXT)): Idem.
	* library.make ($(GNUSTEP_OBJ_DIR)/$(DLL_NAME)): Do not 
	add ALL_LIB_DIRS
	(INTERNAL_LIBRARIES_DEPEND_UPON): Do not add
	$($(INTERNAL_library_NAME)_LIB_DIRS) and $(ADDITIONAL_LIB_DIRS).
	* clibrary.make: Similar changes.
	
Tue Jan 29 13:29:26 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* rules.make (LIBRARIES_DEPEND_UPON): Pass only
	target_LIBRARIES_DEPEND_UPON + LIBRARIES_DEPEND_UPON to the
	submake.  Do not run which_lib here.
	* library.make (INTERNAL_LIBRARIES_DEPEND_UPON): New variable.
	Define in terms of LIBRARIES_DEPEND_UPON, after filtering it via
	which_lib.
	($(GNUSTEP_OBJ_DIR)/$(DLL_NAME)): Use
	INTERNAL_LIBRARIES_DEPEND_UPON, not LIBRARIES_DEPEND_UPON.
	* clibrary.make: Same changes as in library.make.
	* target.make: Replaced everywhere LIBRARIES_DEPEND_UPON with
	INTERNAL_LIBRARIES_DEPEND_UPON.
	
Tue Jan 29 13:10:17 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* application.make (ALL_GUI_LIBS): Make sure it's not evaluated -
	which causes a subprocess to be run - unless needed to link.
	* bundle.make (ALL_BUNDLE_LIBS): Idem.
	* ctool.make (ALL_TOOL_LIBS): Idem.
	* framework.make (ALL_FRAMEWORK_LIBS): Idem.
	* gswapp.make (ALL_GSW_LIBS): Idem.
	* objc.make (ALL_OBJC_LIBS): Idem.
	* service.make (ALL_SERVICE_LIBS): Idem.
	* test-library.make (ALL_TEST_LIBRARY_LIBS): Idem.
	* tool.make (ALL_TOOL_LIBS): Idem.

Tue Jan 29 12:39:53 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* objc.make (TTMP_LIBS): Fixed - was using ALL_TOOL_LIBS instead
	of ALL_OBJC_LIBS.
	* service.make (ALL_SERVICE_LIBS): Rename from ALL_GUI_LIBS.
	(TTMP_LIBS): Use ALL_SERVICE_LIBS instead of ALL_GUI_LIBS.
	($(SERVICE_FILE)): Use ALL_SERVICE_LIBS when compiling.
	
2002-01-28  Adam Fedor  <fedor@gnu.org>

	* Documentation/README.MinGW: Update

Sun Jan 27 11:39:38 2002  Gregory John Casamento  <greg_casamento@yahoo.com>

	* library.make: A minor correction was necessary.  The definition 
	of SOVERSION in library.make was missing a right paren which was 
	causing the build to fail when creating shared libraries.   
	
Sat Jan 26 15:02:49 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* library.make: Recognize xxx_SOVERSION to be used to override the
	default SOVERSION (From an idea by Helge Hess).  Added explanation
	of why this is an interesting option to have.
	
Sat Jan 26 14:29:26 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* executable.template.in (appname): Minor tidyup of the sed code
	to extract the executable name.

Fri Jan 25 12:08:30 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* rules.make: Added long comment explaining the difference between
	ADDITIONAL_XXX and AUXILIARY_XXX.

2002-01-25 Richard Frith-Macdonald <rfm@gnu.org>

	* GNUstep.sh.in: Add some quoting to make paths to user GNUstep.sh
	file and make_services files work when there are embedded spaces.

Wed Jan 23 02:53:51 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUstep.csh.in: Fixed setting GNUSTEP_USER_ROOT when it's empty
	from configuration.

Tue Jan 22 21:46:30 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* names.make: Removed unused conditional for internal_name_clean.

Tue Jan 22 21:45:26 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	Simplified: frameworks now install symlinks to their headers and
	libraries in the same directories where libraries install theirs.
	* framework.make: Replaced everywhere GNUSTEP_FRAMEWORK_HEADERS
	with GNUSTEP_HEADERS, and GNUSTEP_FRAMEWORK_LIBRARIES with
	GNUSTEP_LIBRARIES.
	* common.make (GNUSTEP_FRAMEWORKS_HEADERS): Removed.
	(GNUSTEP_FRAMEWORKS_LIBRARIES): Removed.
	(GNUSTEP_FRAMEWORKS_HEADERS_FLAGS): Removed.
	(GNUSTEP_FRAMEWORKS_LIBRARIES_FLAGS): Removed.
	* rules.make (ALL_OBJCFLAGS): Do not use the removed
	flags.  (ALL_CFLAGS): Idem.
	* rules.make (ALL_LIB_DIRS): Added ADDITIONAL_FRAMEWORK_DIRS
	and AUXILIARY_FRAMEWORK_DIRS.  (ALL_FRAMEWORK_DIRS): Removed.
	* application.make: Removed references to ALL_FRAMEWORK_DIRS.
	* bundle.make: Idem.
	* gswapp.make: Idem.
	* tool.make: Idem.
	* target.make (SHARED_FRAMEWORK_LINK_CMD): Removed
	ALL_FRAMEWORK_DIRS.
	* ld_lib_path.sh (lib_paths): Removed xxx/Library/Libraries/yyy 
	paths.  Added missing GNUSTEP_NETWORK/Libraries path.
	(guile_paths): Added missing GNUSTEP_NETWORK paths.
	* ld_lib_path.csh: Removed xxx/Library/Libraries/yyy paths.
	Fixed position of GNUSTEP_NETWORK/Libraries paths.
	(GUILE_LOAD_PATH): Added missing GNUSTEP_NETWORK paths.
	
Tue Jan 22 00:20:12 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUstep.sh.in (cygpath): Moved code to search for cygpath 
	so that it's executed only if it's needed.

Mon Jan 21 23:59:06 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* configure.in (--with-user-root): Improved help message.
	* configure: Regenerated
	* executable.template.in: Removed check that EXEEXT is empty.
	
Mon Jan 21 23:57:28 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* common.make (GNUSTEP_HEADERS_FND_FLAG): Fixed order of flags.
	For libFoundation, added missing network header flag.
	* common.make: Implemented sanity check on GNUSTEP_*_ROOT.  Exit
	with an error if any of those variables is unset.  Simplified all
	the code in the file by removing obsolete checks for empty
	GNUSTEP_*_ROOT and simplified even further by merging all settings
	of library and header flags for different GNUSTEP_*_ROOT into
	simple single commands.

Mon Jan 21 20:34:03 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* config.guess: Updated to latest version.
	
Mon Jan 21 17:34:35 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* MediaBook.sh: Removed.
	* MediaBook.func: Removed.
	* GNUmakefile.in: Removed all references to MediaBook.sh and
	MediaBook.func.
	
Mon Jan 21 17:12:18 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* ctool.make (internal-ctool-uninstall): Uninstall the 
	wrapper script if not flattened.
	* GNUmakefile.in (uninstall): Remove executable.template and 
	cygpath.sh.

Mon Jan 21 16:44:09 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	Support for building gnustep-make in another directory.
	* configure.in (CFLAGS): Add -I$srcdir before the compilation
	test.  
	(Version): Include the file from $srcdir, not ./.
	* configure: Regenerated.
	* GNUmakefile.in (VPATH): Define.
	Run clean_cpu.sh, clean_vendor.sh and clean_os.sh from $srcdir
	rather than ./.
	(which_lib): Use -I. when compiling which_lib.
	When installing, install configure generated files from ./, 
	and other files from $srcdir.
	(Patch from Balaton Zoltan, modified).
	
Mon Jan 21 16:36:58 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* configure.in (objc_threaded): When printing out the results
	of the test, print the thread flags we found as well.
	* configure: Regenerated.

Mon Jan 21 16:09:12 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* executable.template.in (appname): Modified to extract the
	executable name from the Info-gnustep.plist by using a single sed
	command, for performance reasons (Idea by Balaton Zoltan).

Sun Jan 20 03:47:03 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* common.make: Further simplification - removed
	GNUSTEP_USER_FRAMEWORKS_HEADERS_FLAGS,
	GNUSTEP_USER_FRAMEWORKS_LIBRARIES_FLAGS,
	GNUSTEP_USER_HEADERS_FLAGS, GNUSTEP_USER_LIBRARIES_FLAGS and
	similar for LOCAL, NETWORK and ROOT, in favour of new
	GNUSTEP_FRAMEWORKS_HEADERS_FLAGS,
	GNUSTEP_FRAMEWORKS_LIBRARIES_FLAGS, GNUSTEP_HEADERS_FLAGS,
	GNUSTEP_LIBRARIES_FLAGS variables.
	* rules.make (ALL_OBJCFLAGS): Use the new variables.
	 (ALL_CFLAGS): Idem.
	 (ALL_FRAMEWORK_DIRS): Idem.
	 (ALL_LIB_DIRS): Idem.
	 (LIB_DIRS_NO_SYSTEM): Idem.
	
Sun Jan 20 00:19:05 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* common.make: Removed GNUSTEP_SYSTEM_HEADERS,
	GNUSTEP_LOCAL_HEADERS, GNUSTEP_USER_HEADERS,
	GNUSTEP_NETWORK_HEADERS variables.
	(GNUSTEP_HEADERS_FND_FLAG): For the fd foundation, use
	GNUSTEP_TARGET_DIR instead of
	GNUSTEP_TARGET_CPU/GNUSTEP_TARGET_OS.
	
Sun Jan 20 00:02:17 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* common.make: Got rid of the GNUSTEP_HEADERS_TARGET_FLAGS
	variable.
	* rules.make (ALL_OBJCFLAGS, ALL_CFLAGS): Do not include
	GNUSTEP_HEADERS_TARGET_FLAGS.
	
Sat Jan 19 23:58:13 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* common.make (GNUSTEP_FRAMEWORKS_LIBRARIES_ROOT): Removed.
	(GNUSTEP_LIBRARIES_ROOT): Removed.

Sat Jan 19 23:35:13 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* framework.make (ADDITIONAL_INCLUDE_DIRS): Do not add 
	-I$(DERIVED_SOURCES).

Tue Jan 15 00:42:23 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* which_lib.c: Reorganized and rewritten most code again.

	* configure.in (AC_HAVE_HEADERS): Do not check for sys/errno.h.
	* configure: Regenerated.
	
Mon Jan 14 20:06:37 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* which_lib.c (search_for_library_with_type): Bug fix - check that
	the return value of opendir is not NULL.

Mon Jan 14 19:45:50 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* executable.template.in (appname): Fixed extracting executable
	name from Info-gnustep.plist.
	
Mon Jan 14 14:33:12 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* which_lib.c: Rewritten.  The main user visible change is that
	the new version searches libraries in a different -- much more
	logical -- order, which should finally fix the recurrent
	bugs/problems in library searches reported for the old version.  A
	show_all=yes flag is provided for helping people in debugging it.

Mon Jan 14 10:01:07 2002  Nicola Pero  <nicola@brainstorm.co.uk>

	* configure.in: Quoted most paths.
	* configure: Regenerated.
	
Fri Jan 11 10:34:15 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUstep.sh.in (ac_word, ac_dummy, ac_dir, ac_save_ifs): Renamed
	to word, dummy, dir, save_ifs.

Fri Jan 11 09:58:37 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUstep.sh.in (ac_word, ac_dummy, ac_dir, ac_save_ifs): Unset
	each variable after using it.
	* ld_lib_path.sh (host_os, guile_paths): Unset each variable
	after using it.
	
Fri Jan 11 09:04:57 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	Patches by Balaton Zoltan <balaton@eik.bme.hu>, modified:
	* GNUmakefile.in: Do not include Version.
	(distclean): Remove config.h.
	* GNUstep.sh.in: Changed the first line so that it doesnt' run it
	using /bin/sh but it but rather uses /bin/echo to print out a
	message saying that you must source it.
	* GNUstep.csh.in: Idem.
	* GNUstep.sh.in (CYGPATH): Renamed to cygpath.
	(CONVERT_WIN_PATHS): Renamed to convert_win_paths.
	(tmpdir, cygpath, tmp_IFS, dir, temp_path, convert_win_paths,
	G_U_R, G_L_R, G_N_R, G_S_R, gnustep_class_path): Unset each
	variable after using it.
	Check and source $GNUSTEP_USER_ROOT/GNUstep.sh rather than
	~/GNUstep/GNUstep.sh.  Check that make_services is an executable
	file, not only a standard file, before executing it.
	* ld_lib_path.sh (last_path_part, tool_path_part, dir, 
	additional, lib_paths, old_IFS): Unset each variable after using 
	it.
	* GNUstep.csh.in (GNUSTEP_PATHPREFIX): Fixed to be
	GNUSTEP_PATHPREFIX_LIST.
	(tp): Renamed to temp_path.
	(temp_path, dir, gnustep_class_path, TDIR): Unset each variable
	after using it.
	Check that GNUSTEP_FLATTENED is empty by using == "".  For Tools,
	add the LIBRARY_COMBO dir to PATH as well when GNUSTEP_FLATTENED.
	Only set PATH if it doesn't already contain temp_path.  Use
	GNUSTEP_MAKEFILES.  Only set the CLASSPATH if it doesn't already
	contain gnustep_class_path.  Look for and source
	$GNUSTEP_USER_ROOT/GNUstep.csh rather than ~/GNUstep/GNUstep.csh.
	Check that make_services is executable, not only that it exists,
	before executing it.
	* ld_lib_path.csh (tool_path_part, last_path_part, host_os,
	additional, dir, lib_paths): Unset them after using them.
	
Thu Jan 10 15:13:35 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* configure.in: Do not source ../Version.
	* configure: Regenerated.
	
Wed Jan  9 11:08:57 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* config.guess: Updated to latest version.
	* config.sub: Idem.
	
2002-01-07  Adam Fedor  <fedor@gnu.org>

	* Version: 1.2.1
	* Documentation/gnustep-howto.texi, install.texi, news.texi: Update.

2002-01-06 Richard Frith-Macdonald <rfm@gnu.org>

	* documentation.make: quick hack for agsdoc install to ignore failure
	of the re-link operation.

Sat Jan  5 06:55:54 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* documentation.make (internal-doc-install,
	internal-doc-uninstall): New rules with support for
	xxx_INSTALL_FILES, which can be used for non-preprocessed files.

2002-01-05 Richard Frith-Macdonald <rfm@gnu.org>

	* ld_lib_path.sh: Setup GUILE_LOAD_PATH
	* ld_lib_path.csh: ditto

2002-01-04 Richard Frith-Macdonald <rfm@gnu.org>

	* documentation.make: revert to old autogsdoc rules as standard,
	keeping new ruleset as 'experimental' ... should allow people to
	use autogsdoc stuff reliably using the release Adam is planning
	to do real soon and pending us getting the new rules working
	properly.
	Retain checks for libxml for cleaner handling of case where it is
	not present.
	Modify experimental code to have html files depend on the igsdoc
	file so that their cross references get set up correctly.
	Outstanding requirements for experimental rules ...
	need to get dependency on .m files working and probably other things
	(certainly performance improvements needed).

Fri Jan  4 15:37:19 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* documentation.make: autogsdoc rules - rewritten.

Fri Jan  4 08:09:26 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* target.make (SHARED_LIBEXT): For HP-UX IA64, use .so rather than
	.sl as the shared library extension (Patch from Dominique Dumont
	<domi@komarr.grenoble.hp.com>).

2001-12-29  Adam Fedor  <fedor@gnu.org>

	* Documentation/README.NetBSD: Typos.
	* Documentation/faq.texi: Update.
	* Documentation/machines.texi: Likewise.

2001-12-26  Adam Fedor  <fedor@gnu.org>

	* target.make (darwin1): Use NeXT Compiler when using NeXT
	runtime. 

Tue Dec 25 08:57:37 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* which_lib.c (stripstr): Removed check for len == 0.

Fri Dec 21 19:03:49 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* documentation.make ($(INTERNAL_doc_NAME)): New target for
	AGSDOC_FILES.
	(generate-autogsdoc): Depend on it.
	
Thu Dec 20 23:27:42 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* common.make: Disable the check on PATH if we are running on an
	Apple system (Requested by Helge Hess).

Mon Dec 17 11:10:23 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* bundle.make (internal-bundle-install): Another tar option update
	for portability: create a temporary exclude file and use X old
	option instead of --exclude option.

2001-12-15 Richard Frith-Macdonald <rfm@gnu.org>

	* documentation.make: added basic support for building documentation
	using the autogsdoc program.
	* rules.make: ditto

2001-12-14  Adam Fedor  <fedor@gnu.org>

	* application.make: Use pl2link to create a .desktop file. Install
	it in the app package.

Fri Dec 14 12:32:45 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* palette.make (internal-palette-install): If CHOWN_TO is 
	defined, chown the installed dir.

Fri Dec 14 12:22:44 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	Implemented strip=yes.
	* config.make.in (STRIP): New variable.
	* rules.make (INSTALL_PROGRAM): Add -s if strip=yes.
	(strip): Export if defined to be yes.
	* application.make (internal-app-install): Strip the installed
	executable if strip=yes.
	* bundle.make (internal-bundle-install): Idem.
	* framework.make (internal-framework-install): Idem.
	* gswapp.make (internal-gswapp-install): Idem.
	* gswbundle.make (internal-bundle-install): Idem.
	* palette.make (internal-palette-install): Idem.
	* service.make (internal-service-install): Idem.
	
Thu Dec 13 12:27:18 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* java-tool.make
	($(GNUSTEP_INSTALLATION_DIR)/Tools/$(INTERNAL_java_tool_NAME)):
	Run chown on the installed executable template.

Thu Dec 13 12:00:31 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUmakefile.in (install): Create more GNUSTEP_SYSTEM_ROOT 
	and GNUSTEP_LOCAL_ROOT directories.

Thu Dec 13 10:23:19 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* rules.make (INSTALL_AS_USER, INSTALL_AS_GROUP): Export 
	them if they are defined.

2001-12-12  Adam Fedor  <fedor@gnu.org>

	* common.make (ADDITIONAL_FLAGS): Defines for diagnose flag.

Wed Dec 12 22:59:00 2001  Manuel Guesdon <mguesdon@oxymium.net>

	* gswapp.make: adding resource-dirs and webresource-dirs
	   installation

Wed Dec 12 17:12:54 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* common.make: Moved all INSTALL_AS_USER and INSTALL_AS_GROUP
	related code to rules.make so that INSTALL_AS_USER and
	INSTALL_AS_GROUP can be safely defined in the
	GNUmakefile.preamble.

Wed Dec 12 16:00:54 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* common.make (AFTER_INSTALL_LIBRARY_CMD): Append
	AFTER_INSTALL_SHARED_LIB_CHOWN if we are creating shared libs and
	CHOWN_TO is defined.
	* target.make (AFTER_INSTALL_SHARED_LIB_CHOWN): New variable.

Wed Dec 12 14:57:47 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* tool.make ($(TOOL_INSTALLATION_DIR)): Use MKINSTALLDIRS, not
	MKDIRS.

Wed Dec 12 14:44:16 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* mkinstalldirs: Do not run chown if mkdir fails.

Wed Dec 12 13:25:21 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	Implemented INSTALL_AS_USER and INSTALL_AS_GROUP.
	* config.make.in (CHOWN): New variable - define.
	* configure.in (CHOWN): Added test for chown.
	* configure: Regenerated.
	* common.make (INSTALL_AS): New variable - define.
	(INSTALL): Append INSTALL_AS at the end.
	(CHOWN_TO): New variable - define.
	(MKINSTALLDIRS): New variable - define.
	* mkinstalldirs: Modified to recognize a `-c CHOWN_TO' option, 
	running chown as needed when that option is passed.
		
	* tool.make (install-tool): Use INSTALL_DATA, not cp, to install
	executable.template.	
	* ctool.make (install-ctool): Idem.
	
	* application.make (internal-app-install): If CHOWN_TO is defined,
	run chown after installing, to set user and group.
	* bundle.make (internal-bundle-install): Idem.
	* documentation.make (internal-doc-install): Idem - for
	JAVADOC_FILES.
	* Documentation/makedoc.make: Idem.
	* framework.make (internal-framework-install): Idem.
	* gswapp.make (internal-gswapp-install): Idem.
	* gswbundle.make (internal-bundle-install): Idem.
	* service.make (internal-service-install): Idem.

	* application.make ($(GNUSTEP_APPS)): Use MKINSTALLDIRS, not
	MKDIRS, to create the installation directory.
	* bundle.make ($(BUNDLE_INSTALL_DIR)): Idem.
	(internal-bundle-install): Idem.
	* clibrary.make ($(FINAL_LIBRARY_INSTALL_DIR)): Idem.
	($(GNUSTEP_HEADERS)/$(HEADER_FILES_INSTALL_DIR)): Idem.
	($(DLL_INSTALLATION_DIR)): Idem.
	($(ADDITIONAL_INSTALL_DIRS)): Idem.
	* ctool.make ($(CTOOL_INSTALLATION_DIR)): Idem.
	* documentation.make
	($(GNUSTEP_DOCUMENTATION)/$(DOC_INSTALL_DIR)): Idem.
	* framework.make ($(GNUSTEP_FRAMEWORKS_HEADERS)): Idem.
	($(GNUSTEP_FRAMEWORKS_LIBRARIES)/$(GNUSTEP_TARGET_LDIR)): Idem.
	($(FRAMEWORK_INSTALL_DIR)): Idem.
	($(DLL_INSTALLATION_DIR)): Idem.
	(internal-framework-install): Idem.
	* gswapp.make (internal-gswapp-install): Idem.
	* gswbundle.make (internal-bundle-install): Idem.
	($(GSWBUNDLE_INSTALL_DIR)): Idem.
	* java.make ($(JAVA_INSTALLATION_DIR)): Idem.
	(internal-install-java-dirs): Idem.
	* java-tool.make ($(JAVA_TOOL_INSTALLATION_DIR)): Idem.
	(internal-install-java_tool-dirs): Idem.
	* library.make ($(GNUSTEP_HEADERS)/$(HEADER_FILES_INSTALL_DIR)):
	Idem.
	($(FINAL_LIBRARY_INSTALL_DIR)): Idem.
	($(ADDITIONAL_INSTALL_DIRS)): Idem.
	($(DLL_INSTALLATION_DIR)): Idem.
	* objc.make ($(OBJC_PROGRAM_INSTALLATION_DIR)): Idem.
	* palette.make ($(PALETTE_INSTALL_DIR)): Idem.
	* service.make ($(GNUSTEP_SERVICES)): Idem.
	* subproject.make
	($(GNUSTEP_HEADERS)/$(HEADER_FILES_INSTALL_DIR)): Idem.
	($(ADDITIONAL_INSTALL_DIRS)): Idem.

	* framework.make ($(FRAMEWORK_DIR_NAME)/Resources): Now a separate
	rule.
	
Wed Dec 12 11:15:13 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* bundle.make (internal-bundle-install): Added a '/' between
	GNUSTEP_HEADERS and HEADER_FILES_INSTALL_DIR.
	(internal-bundle-uninstall): Idem.
	* framework.make (internal-framework-uninstall): Idem.
	* gswbundle.make (internal-bundle-install): Idem.
	(internal-bundle-uninstall): Idem.
	* subproject.make
	($(GNUSTEP_HEADERS)$(HEADER_FILES_INSTALL_DIR)): Idem.
	(internal-install-headers): Idem.
	(internal-subproject-install): Idem.
	(internal-subproject-uninstall): Idem.

Wed Dec 12 11:07:41 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* gswbundle.make (internal-bundle-install): Removed MKDIRS 
	in excess.

Wed Dec 12 11:04:29 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* service.make (internal-service-clean): Unused target - removed.

Wed Dec 12 11:02:14 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* config.make.in (RCEXT): Unused variable - removed.
	(RESEXT): Unused variable - removed.
	(RC): Unused variable - removed.

Mon Dec 10 23:18:52 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* rules.make (%.h): Added rule to build %.h files from %.psw files,
	needed when installing %.h files generated from %.psw files in
	frameworks (Patch from Jay McCarthy <jay@kenyamountain.com>).

Mon Dec 10 23:02:24 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* bundle.make (internal-bundle-install): Do not attempt to make
	the Contents/Resources --> Resources symbolic link in the
	installation directory if Contents/Resources already exists and is
	a directory - so that we can hopefully work correctly even if tar
	is broken and passing the --exclude and/or h option to it doesn't
	work.

Mon Dec 10 22:04:09 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* bundle.make (internal-bundle-install): Yet another rephrasing of
	tar options to get wider portability.

Mon Dec 10 17:32:52 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* bundle.make (internal-bundle-install): Use `f -' instead 
	of --to-stdout option to tar.

Mon Dec 10 09:54:09 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* application.make (internal-clean): Remove .c and .h files 
	generated by pswrap.
	* clibrary.make (internal-clean): Idem.
	* bundle.make (internal-clean): Idem.
	* framework.make (internal-framework-clean): Idem.
	* library.make (internal-clean): Idem.
	* palette.make (internal-clean): Idem.
	* service.make (internal-clean): Idem.
	* subproject.make (internal-clean): Idem.
	* test-application.make (internal-clean): Idem.
	* test-library.make (internal-clean): Idem.

Mon Dec 10 09:18:33 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* Documentation/makedoc.make: Recreated from the top level
	documentation.make.
	* Documentation/makerules.make: Recreated from the top level
	rules.make.
	* Documentation/GNUmakefile.in (INSTALL, INSTALL_DATA, MKDIRS):
	Define.
	(DOCUMENT_TEXT_NAME): Added FAQ.
	(TOP_DOC_FILES): Added FAQ.
	(GNUstep-HOWTO_DOC_INSTALL_DIR): Define.
	(FAQ_DOC_INSTALL_DIR): Idem.
	(make_DOC_INSTALL_DIR): Idem.
	(faq_DOC_INSTALL_DIR): Idem.
	(machines_DOC_INSTALL_DIR): Idem.
	(gnustep-howto_DOC_INSTALL_DIR): Idem.
	(internals_DOC_INSTALL_DIR): Idem.
	(INSTALL_DOC_INSTALL_DIR): Idem.
	(NEWS_DOC_INSTALL_DIR): Idem.
	(README_DOC_INSTALL_DIR): Idem.
	(ANNOUNCE_DOC_INSTALL_DIR): Idem.
	(DESIGN_DOC_INSTALL_DIR): Idem.
	(GNUSTEP_PREFIX): Removed this unused variable.
	(regenerate): Depend on all.
	(after-install, after-uninstall): Added, to [un]install DESIGN.
	* FAQ: Regenerated.
	* GNUstep-HOWTO: Regenerated.
	
Sat Dec  8 14:22:43 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* library-combo.make (OBJC_RUNTIME_LIB, FOUNDATION_LIB, GUI_LIB):
	Modified code setting these variables to allow the user to
	override their definition manually.
	(runtime, foundation, gui): Variables removed - obsoleted - the
	user should set OBJC_RUNTIME_LIB, FOUNDATION_LIB and GUI_LIB
	directly.
	(library_combo, the_library_combo): Simplified code.
	
Sat Dec  8 13:27:12 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* brain.make: Renamed to library-combo.make.
	* GNUmakefile.in (MAKE_FILES): Updated for change.
	* common.make: Updated for change.
	
Thu Dec  6 09:11:51 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* bundle.make (internal-bundle-install): Use h option with tar to
	dereference symbolic links to external files if any; use --exclude
	Contents/Resources with tar; create the Contents/Resources -->
	Resources link manually after installing the bundle with tar.
	
Mon Dec  3 10:09:08 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* documentation.make ($(INTERNAL_doc_NAME).tar.gz): Bug fix: added
	missing z option to tar.
	
Mon Dec  3 09:44:26 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* target.make: New target - Mac OS X 10.1.1 darwin5.1 (Patch by
	Helge Hess <helge.hess@skyrix.com>).

Wed Nov 28 18:17:50 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* clibrary.make (LIBRARY_FILE): Fixed typo for BUILD_DLL ... 
	library_name being used instead of clibrary_name.

Wed Nov 28 11:18:01 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* configure.in (--with-user-root): New configure option allowing
	to ask for a different GNUSTEP_USER_ROOT to be used.
	* configure: Regenerated.
	* GNUstep.sh.in (GNUSTEP_USER_ROOT): Define from configure if
	needed.
	* GNUstep.csh.in: Idem.	

Wed Nov 28 11:08:07 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* brain.make (WO_LDFLAGS, WO_LIBS, WO_DEFINE): Removed.
	(Suggested by Helge Hess <helge.hess@skyrix.com>).
	
2001-11-26  Adam Fedor  <fedor@gnu.org>

	* Documentation/README.NetBSD: Update from jnqt@fbe.freeserve.ne.jp.

Thu Nov 22 13:28:34 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* configure.in (AUTO_DEPENDENCIES): New configure check which
	automatically sets AUTO_DEPENDENCIES to yes if the compiler is GCC
	=> 3.x.
	* configure: Regenerated.
	* config.make.in (AUTO_DEPENDENCIES): Added.
	* rules.make (AUTO_DEPENDENCIES_FLAGS): Set them only if not
	already set.

Thu Nov 22 10:41:39 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* source-distribution.make (tgz): tgz target renamed to dist.
	(Suggestion by Dan Pascu <dan@services.iiruc.ro>).
	
	* source-distribution.make (.PHONY): Updated for change.  
	* rpm.make (rpm): Updated for change.

	* source-distribution.make (TGZ_MAKE_LOADED): Renamed to 
	SOURCE_DISTRIBUTION_MAKE_LOADED.
	
Thu Nov 22 03:05:33 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	Implemented support for auto dependencies.  Only works with gcc =>
	3.x.
	* rules.make: Include appropriate .d dependency files if
	AUTO_DEPENDENCIES is yes.
	(AUTO_DEPENDENCIES_FLAGS): Define to be -MMD -MP if
	AUTO_DEPENDENCIES is yes.
	(ALL_CPPFLAGS): Add AUTO_DEPENDENCIES_FLAGS.
	(Idea by Malmberg <malmberg@malmberg.org>).

Thu Nov 22 02:52:42 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* depend.make: Obsolete file removed.
	
Thu Nov 22 00:43:33 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* rpm.make (check-RPM_TOPDIR): New target.
	(rpm): Code to check RPM_TOPDIR moved in the new check-RPM_TOPDIR
	target; if RELEASE_DIR is set, copy the .tar.gz file from there.
	(.PHONY): Added check-RPM_TOPDIR.

Thu Nov 22 00:06:02 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* source-distribution.make: Rewritten.  Bug fixes; new features;
	all packages built using gnustep-make should now be able to take
	full advantage of its facilities.

Wed Nov 21 15:34:15 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* common.make (ADDITIONAL_JAVAFLAGS): Removed unused variable.
	(INTERNAL_JAVACFLAGS): Defined to be `-g -deprecation' if
	debug=yes, and `-O' otherwise.
	* rules.make (ALL_JAVACFLAGS): Add INTERNAL_JAVACFLAGS.  Do not
	add -deprecation manually.

2001-11-19  Adam Fedor  <fedor@gnu.org>

	* Documentation/README.NetBSD: Update from jnqt@fbe.freeserve.ne.jp.

2001-11-11  Adam Fedor  <fedor@gnu.org>

	* Version: 1.2.0

Tue Nov 13 16:27:45 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* rules.make (internal-check-install-permissions): Only check for
	permission to write if the installation directory exists.

Tue Nov 13 14:02:06 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* rpm.make: Fixed check for debug variable so that it correctly 
	manages debug = no.

Tue Nov 13 13:57:13 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* common.make: In the check that GNUSTEP_SYSTEM_ROOT/Tools is in
	the PATH, for windows use cygpath not cygpath.sh (Suggested by
	Stephen Brandon).

Fri Nov  9 13:34:50 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* opentool.in: Fixed (again!) the fact that if there is both a
	local and an installed tool, the local one should be used, not the
	installed one.  Rewritten checks for local tools - we now search
	in ./, then in ./obj, then in ./Tools/, then in ./Tools/obj, then
	look for an installed tool.

2001-11-08  Adam Fedor  <fedor@gnu.org>

	* configure.in (TAR): Undo last patch, add configure option
	to set name of tar command.

Wed Nov  7 23:43:19 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* common.make: Moved check that GNUSTEP_SYSTEM_ROOT/Tools is in
	PATH after including names.make.  In the same check, for windows,
	when calling cygpath.sh, use the full path so it should find it
	even if PATH - which we are just checking - is messed up.
	
Wed Nov  7 08:49:18 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* rules.make ($(GNUSTEP_OBJ_DIR)/%${OEXT}): Put the $<_FILE_FLAGS
	after the other flags so that they take precendence over them.
	(%.class, %.h): Idem.
	
Wed Nov  7 08:41:18 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* rules.make ($(GNUSTEP_OBJ_DIR)/%${OEXT}): Implemented support
	for file specific compilation flags - xxx_FILE_FLAGS to add and
	xxx_FILE_FILTER_OUT_FLAGS to filter out flags when compiling file
	xxx.  
	(%.class, %.h): Idem.

2001-11-06  Adam Fedor  <fedor@gnu.org>

	* configure.in: Use tar on freebsd (patch from kim@tinker.com).

Tue Nov  6 20:35:23 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* common.make: When checking that GNUSTEP_SYSTEM_ROOT/Tools is in
	the PATH, fix - if needed - the tools path on mingw before doing
	the check (Suggestion originally from Stephen Brandon
	<stephen@brandonitconsulting.co.uk>).

2001-11-03  Adam Fedor  <fedor@gnu.org>

	* bundle.make ($(BUNDLE_DIR_NAME)/Resources/Info-gnustep.plist): 
	Add *Info.plist (suggestion from stefanurbanek@yahoo.fr).

2001-10-26  Adam Fedor  <fedor@gnu.org>

	* Documentation/news.texi: Update

Thu Oct 25 10:41:04 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* configure.in: Output a message displaying the version of
	gnustep-make we are compiling.
	* configure: Regenerated.
	* GNUmakefile.in (config.make, gnustep-make.spec): Depend on
	Version.  Use the --recheck option for config.status to force the
	new Version to be used whenever it's changed.
	
2001-10-24  Adam Fedor  <fedor@gnu.org>

	* Version: 1.2.0pre1

	* Documentation/README.MinGW: Update.
	* Documentation/machines.texi: Likewise.
	* Documentation/news.texi: Likewise.
	* Documentation/readme.texi: Likewise.

	* target.make (Solaris BUNDLE_LDFLAGS): Change flags to more
	modern version.

Tue Oct 23 10:47:39 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* clibrary.make (FINAL_LIBRARY_INSTALL_DIR): Define and 
	use everywhere.
	* library.make (FINAL_LIBRARY_INSTALL_DIR): Idem.
	* target.make: Replaced everywhere
	$(LIBRARY_INSTALL_DIR)/$(GNUSTEP_TARGET_LDIR) with
	$(FINAL_LIBRARY_INSTALL_DIR).

2001-10-18 Richard Frith-Macdonald <rfm@gnu.org>

	* rules.make: Use -deprecation for java compiles if debug=yes

2001-10-16  Adam Fedor  <fedor@gnu.org>

	* Make paths work correctly on Windows/MinGW
	* GNUmakefile.in: Add cygpath.sh
	* cygpath.sh: New file.
	* GNUstep.sh.in: Use Windows method of getting user dir, use
	cygpath to mangle PATHs.
	* framework.make (internal-framework-install): Windows (DLL)
	specific installation.
	(patches from stephen@brandonitconsulting.co.uk).

	* configure.in: Simple test for Windows - use C:/GNUstep for
	default if true.
	* Documentation/README.MinGW: Updated.

	* debugapp.in: Use argument with read.
	* executable.template.in: Print cpu/os on an error.

2001-10-15  Adam Fedor  <fedor@gnu.org>

	* bundle.make ($(BUNDLE_DIR_NAME)/Contents/Resources): Remove
	-f (Solaris ln -f doesn't work).

	* target.make (LIBRARY_INSTALL_DIR): Update for last change
	removing GNUSTEP_TARGET_DIR.
	
Tue Oct 16 03:30:08 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	Warning - very minor backwards incompatible change in the API, 
	which should only affect gnustep-objc.
	* library.make (LIBRARY_INSTALL_DIR): Changed not to include the
	GNUSTEP_TARGET_LDIR.  All occurrences of LIBRARY_INSTALL_DIR
	updated for this change.
	* clibrary.make: New file derived from library.make.  It does the
	same, but installs in a different way.
	* GNUmakefile.in (MAKE_FILES): Added clibrary.make.
	
2001-10-09  Adam Fedor  <fedor@gnu.org>

	* config.site: Fix for empty target. (suggested by
	Laurent.Julliard@xrce.xerox.com).

Mon Oct  8 14:06:30 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* service.make (CPP_FLAGS): Add the DLL flags for ALL_GUI_LIBS if
	WITH_DLL is yes (patch prepared with Stephen Brandon
	<stephen@brandonitconsulting.co.uk>).
	
Mon Oct  1 03:16:05 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	Warning - backwards incompatible change in API.
	* common.make (GNUSTEP_LIBRARIES): Redefine to be what was called
	GNUSTEP_LIBRARIES_ROOT before.  (GNUSTEP_FRAMEWORKS_LIBRARIES):
	Redefine to be what was called GNUSTEP_FRAMEWORKS_LIBRARIES_ROOT
	before.  (GNUSTEP_LIBRARIES_ROOT): Deprecated.
	(GNUSTEP_FRAMEWORKS_LIBRARIES): Deprecated.
	(GNUSTEP_RESOURCES, GNUSTEP_JAVA): Define standalone without
	relying on GNUSTEP_LIBRARIES.
	* framework.make: Updated for change - all occurrences of
	$(GNUSTEP_FRAMEWORKS_LIBRARIES) replaced with
	$(GNUSTEP_FRAMEWORKS_LIBRARIES)/$(GNUSTEP_TARGET_LDIR).
	* library.make (LIBRARY_INSTALL_DIR): Updated for change - use
	$(GNUSTEP_LIBRARIES)/$(GNUSTEP_TARGET_LDIR) rather than
	$(GNUSTEP_LIBRARIES).
	
Mon Oct  1 02:51:10 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* common.make (GNUSTEP_TARGET_LIBRARIES): Variable removed.
	(GNUSTEP_LIBRARIES): Updated definition.
	(GNUSTEP_FRAMEWORKS_TARGET_LIBRARIES): Variable removed.
	(GNUSTEP_FRAMEWORKS_LIBRARIES): Updated definition.
	
Sun Sep 30 14:50:13 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* common.make (GNUSTEP_SYSTEM_LIBRARIES_ROOT): Variable removed.
	(GNUSTEP_SYSTEM_FRAMEWORKS_LIBRARIES_ROOT): Idem.
	(GNUSTEP_SYSTEM_FRAMEWORKS_HEADERS): Idem.
	(GNUSTEP_SYSTEM_LIBRARIES_FLAGS): Updated definition.
	(GNUSTEP_SYSTEM_FRAMEWORKS_LIBRARIES_FLAGS): Idem.
	(GNUSTEP_SYSTEM_FRAMEWORKS_HEADERS_FLAGS): Idem.

	(GNUSTEP_LOCAL_LIBRARIES_ROOT): Corresponding change.
	(GNUSTEP_LOCAL_FRAMEWORKS_LIBRARIES_ROOT): Idem.
	(GNUSTEP_LOCAL_FRAMEWORKS_HEADERS): Idem.
	(GNUSTEP_LOCAL_LIBRARIES_FLAGS): Idem.
	(GNUSTEP_LOCAL_FRAMEWORKS_LIBRARIES_FLAGS): Idem.
	(GNUSTEP_LOCAL_FRAMEWORKS_HEADERS_FLAGS): Idem.

	(GNUSTEP_USER_LIBRARIES_ROOT): Corresponding change.
	(GNUSTEP_USER_FRAMEWORKS_LIBRARIES_ROOT): Idem.
	(GNUSTEP_USER_FRAMEWORKS_HEADERS): Idem.
	(GNUSTEP_USER_LIBRARIES_FLAGS): Idem.
	(GNUSTEP_USER_FRAMEWORKS_LIBRARIES_FLAGS): Idem.
	(GNUSTEP_USER_FRAMEWORKS_HEADERS_FLAGS): Idem.

	(GNUSTEP_NETWORK_LIBRARIES_ROOT): Corresponding change.
	(GNUSTEP_NETWORK_FRAMEWORKS_LIBRARIES_ROOT): Idem.
	(GNUSTEP_NETWORK_FRAMEWORKS_HEADERS): Idem.
	(GNUSTEP_NETWORK_LIBRARIES_FLAGS): Idem.
	(GNUSTEP_NETWORK_FRAMEWORKS_LIBRARIES_FLAGS): Idem.
	(GNUSTEP_NETWORK_FRAMEWORKS_HEADERS_FLAGS): Idem.
	
Sun Sep 30 14:22:16 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* common.make (GNUSTEP_SYSTEM_FRAMEWORKS_LIBRARIES): Variable
	removed.
	(GNUSTEP_SYSTEM_FRAMEWORKS_LIBRARIES_FLAGS): Updated definition
	for removal of variable.

	(GNUSTEP_LOCAL_FRAMEWORKS_LIBRARIES): Corresponding change.
	(GNUSTEP_LOCAL_FRAMEWORKS_LIBRARIES_FLAGS): Corresponding change.

	(GNUSTEP_USER_FRAMEWORKS_LIBRARIES): Corresponding change.
	(GNUSTEP_USER_FRAMEWORKS_LIBRARIES_FLAGS): Corresponding change.

	(GNUSTEP_NETWORK_FRAMEWORKS_LIBRARIES): Corresponding change.
	(GNUSTEP_NETWORK_FRAMEWORKS_LIBRARIES_FLAGS): Corresponding
	change.
	
Sun Sep 30 14:09:05 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* common.make (GNUSTEP_SYSTEM_LIBRARIES): Variable removed.
	(GNUSTEP_SYSTEM_TARGET_LIBRARIES): Variable removed.
	(GNUSTEP_SYSTEM_LIBRARIES_FLAGS): Updated for removal of
	variables.  Do not duplicate flags in case GNUSTEP_FLATTENED.

	(GNUSTEP_LOCAL_LIBRARIES): Corresponding change.
	(GNUSTEP_LOCAL_TARGET_LIBRARIES): Corresponding change.
	(GNUSTEP_LOCAL_LIBRARIES_FLAGS): Corresponding change.

	(GNUSTEP_NETWORK_LIBRARIES): Corresponding change.
	(GNUSTEP_NETWORK_TARGET_LIBRARIES): Corresponding change.
	(GNUSTEP_NETWORK_LIBRARIES_FLAGS): Corresponding change.

	(GNUSTEP_USER_LIBRARIES): Corresponding change.
	(GNUSTEP_USER_TARGET_LIBRARIES): Corresponding change.
	(GNUSTEP_USER_LIBRARIES_FLAGS): Corresponding change.
	
Sun Sep 30 14:03:02 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* common.make (GNUSTEP_LOCAL_TARGET_LIBRARIES_FLAGS): Variable
	removed.  Flag moved into GNUSTEP_LOCAL_LIBRARIES_FLAGS.
	(GNUSTEP_USER_TARGET_LIBRARIES_FLAGS): Idem.
	(GNUSTEP_NETWORK_TARGET_LIBRARIES_FLAGS): Idem.
	* rules.make (ALL_LIB_DIRS, LIB_DIRS_NO_SYSTEM): No longer need
	to add GNUSTEP_LOCAL_TARGET_LIBRARIES_FLAGS as
	GNUSTEP_LOCAL_LIBRARIES_FLAGS is enough now.  Similar for
	GNUSTEP_USER_TARGET_LIBRARIES_FLAGS and
	GNUSTEP_NETWORK_TARGET_LIBRARIES_FLAGS.
	
Sun Sep 30 13:46:38 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* test-library.make ($(SCRIPTS_DIRECTORY)/config/unix.exp): Do not
	use GNUSTEP_SYSTEM_LIBRARIES_ROOT or similar variables considered
	internal to common.make; use the obvious replacement
	$(GNUSTEP_SYSTEM_ROOT)/Libraries and similar instead.

Sun Sep 30 13:36:43 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* common.make: (GNUSTEP_SYSTEM_FRAMEWORKS_TARGET_LIBRARIES):
	Variable removed.  (GNUSTEP_SYSTEM_FRAMEWORKS_LIBRARIES):
	Definition updated for removal of variable.
	(GNUSTEP_LOCAL_FRAMEWORKS_TARGET_LIBRARIES),
	(GNUSTEP_LOCAL_FRAMEWORKS_LIBRARIES): Similar changes.
	(GNUSTEP_USER_FRAMEWORKS_TARGET_LIBRARIES),
	(GNUSTEP_USER_FRAMEWORKS_LIBRARIES): Similar changes.
	(GNUSTEP_NETWORK_FRAMEWORKS_TARGET_LIBRARIES),
	(GNUSTEP_NETWORK_FRAMEWORKS_LIBRARIES): Similar changes.
	
Sun Sep 30 13:22:39 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* common.make (GNUSTEP_LOCAL_FRAMEWORKS_TARGET_LIBRARIES_FLAGS):
	Variable removed.
	(GNUSTEP_NETWORK_FRAMEWORKS_TARGET_LIBRARIES_FLAGS): Idem.
	(GNUSTEP_USER_FRAMEWORKS_TARGET_LIBRARIES_FLAGS): Idem.

Sun Sep 30 13:10:43 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* common.make (GNUSTEP_SYSTEM_HEADERS_FLAGS): New variable.
	(GNUSTEP_SYSTEM_FRAMEWORKS_HEADERS_FLAGS): Idem.
	(GNUSTEP_SYSTEM_LIBRARIES_FLAGS): Idem.
	(GNUSTEP_SYSTEM_FRAMEWORKS_LIBRARIES_FLAGS): Idem.
	* rules.make (ALL_OBJCFLAGS): Use the new variables.
	(ALL_CFLAGS): Idem.  
	(LIB_DIRS_NO_SYSTEM): Idem.  
	(ALL_LIB_DIRS): Idem.  
	(ALL_FRAMEWORK_DIRS): Idem.

Sun Sep 30 12:55:14 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* common.make (GNUSTEP_LOCAL_LIBRARIES_FLAG): Renamed to
	GNUSTEP_LOCAL_LIBRARIES_FLAGS.
	(GNUSTEP_USER_LIBRARIES_FLAG): Similar change.
	(GNUSTEP_NETWORK_LIBRARIES_FLAG): Similar change.

	(GNUSTEP_LOCAL_TARGET_LIBRARIES_FLAG): Renamed to
	GNUSTEP_LOCAL_TARGET_LIBRARIES_FLAGS.
	(GNUSTEP_USER_TARGET_LIBRARIES_FLAG): Similar change.
	(GNUSTEP_NETWORK_TARGET_LIBRARIES_FLAG): Similar change.

	(GNUSTEP_LOCAL_FRAMEWORKS_LIBRARIES_FLAG): Renamed to
	GNUSTEP_LOCAL_FRAMEWORKS_LIBRARIES_FLAGS.
	(GNUSTEP_USER_FRAMEWORKS_LIBRARIES_FLAG): Similar change.
	(GNUSTEP_NETWORK_FRAMEWORKS_LIBRARIES_FLAG): Similar change.

	(GNUSTEP_LOCAL_FRAMEWORKS_TARGET_LIBRARIES_FLAG): Renamed to
	GNUSTEP_LOCAL_FRAMEWORKS_TARGET_LIBRARIES_FLAGS.
	(GNUSTEP_USER_FRAMEWORKS_TARGET_LIBRARIES_FLAG): Similar change.
	(GNUSTEP_NETWORK_FRAMEWORKS_TARGET_LIBRARIES_FLAG): Similar
	change.
	
	(GNUSTEP_LOCAL_HEADERS_FLAG): Renamed to
	GNUSTEP_LOCAL_HEADERS_FLAGS.
	(GNUSTEP_USER_HEADERS_FLAG): Renamed to
	(GNUSTEP_NETWORKS_HEADERS_FLAG): Renamed to

	(GNUSTEP_LOCAL_FRAMEWORKS_HEADERS_FLAG): Renamed to
	GNUSTEP_LOCAL_FRAMEWORKS_HEADERS_FLAGS.
	(GNUSTEP_USER_FRAMEWORKS_HEADERS_FLAG): Renamed to
	(GNUSTEP_NETWORKS_FRAMEWORKS_HEADERS_FLAG): Renamed to

	(GNUSTEP_HEADERS_TARGET_FLAG): Renamed to
	GNUSTEP_HEADERS_TARGET_FLAGS.
	
	* rules.make (ALL_OBJCFLAGS): Updated for variable name change.
	(ALL_CFLAGS): Idem.
	(ALL_FRAMEWORK_DIRS): Idem.
	(ALL_LIB_DIRS): Idem.
	(LIB_DIRS_NO_SYSTEM): Idem.
	
Sun Sep 30 12:09:52 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* common.make: (GNUSTEP_LOCAL_TARGET_LIBRARIES_FLAG): Define -
	fixing the bug that -L/opt/GNUstep/Local/Libraries/ix86/linux-gnu
	was missing on the link line.

2001-09-25  Adam Fedor  <fedor@gnu.org>

	* Documentation/README.MinGW: Update
	* Documentation/machines.texi: Likewise.
	* GNUstep-HOWTO: Regen.

Fri Sep 21 13:39:08 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* application.make ($(APP_FILE)): Added ALL_FRAMEWORK_DIRS to 
	the link command.

Wed Sep 19 18:40:00 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* palette.make ($(PALETTE_FILE)): Fixed typo, OBJC_FILES_TO_LINK
	which should have been OBJ_FILES_TO_LINK

Tue Sep 18 13:16:08 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* library.make (internal-install-dirs): Depend on
	$(LIBRARY_INSTALL_DIR) rather than on $(GNUSTEP_LIBRARIES) and
	$(GNUSTEP_LIBRARIES_ROOT)/$(GNUSTEP_TARGET_DIR).
	($(GNUSTEP_LIBRARIES_ROOT)/$(GNUSTEP_TARGET_DIR)): Target removed.
	($(GNUSTEP_LIBRARIES)): Target removed.
	($(LIBRARY_INSTALL_DIR)): New target.  
	* tool.make (internal-tool-uninstall): Remove the shell script
	wrapper.
	* library.make (internal-uninstall-lib): When not using DLL, 
	remove the $(SONAME_LIBRARY_FILE) as well.
	
Mon Sep 17 14:23:03 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* bundle.make ($(BUNDLE_FILE)): Added missing \ at the end of
	line.

Sun Sep 16 17:32:29 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* rules.make (CURRENT_FRAMEWORK_HEADERS_FLAG): New variable;
	define it to be -I$(DERIVED_SOURCES) if we are compiling as part
	of a framework.  (ALL_OBJCFLAGS, ALL_CFLAGS): Added
	$(CURRENT_FRAMEWORK_HEADERS_FLAG) to the flags.
		
Sat Sep 15 13:59:31 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* rules.make (OBJ_FILES_TO_LINK): New variable holding all object
	files to be linked into the resulting app or lib or whatever.
	* application.make ($(APP_FILE)): Use the new variable rather
	than listing manually all different object files.
	* bundle.make ($(BUNDLE_FILE)): Idem.	
	* framework.make ($(FRAMEWORK_FILE)): Idem.
	($(DUMMY_FRAMEWORK_FILE)): Idem.
	* gswapp.make ($(GSWAPP_FILE)): Idem.
	* gswbundle.make ($(GSWBUNDLE_FILE)): Idem.
	* library.make ($(GNUSTEP_OBJ_DIR)/$(VERSION_LIBRARY_FILE)): 
	Idem.
	* objc.make
	($(GNUSTEP_OBJ_DIR)/$(INTERNAL_objc_program_NAME)$(EXEEXT)): 
	Idem.
	* palette.make ($(PALETTE_FILE)): Idem.
	* service.make ($(SERVICE_FILE)): Idem.
	* subproject.make ($(GNUSTEP_OBJ_DIR)/$(SUBPROJECT_PRODUCT)):
	Idem.
	* test-library.make
	($(GNUSTEP_OBJ_DIR)/$(INTERNAL_testlib_NAME)): Idem.
	* tool.make ($(GNUSTEP_OBJ_DIR)/$(INTERNAL_tool_NAME)$(EXEEXT)):
	Idem.
	* library.make (DLL_OFILES): Replaced with OBJ_FILES_TO_LINK.

	Implemented support for C++ files.
	* rules.make (.SUFFIXES): Added .C, .cp, .cpp, .cxx, .cc.
	(ALL_CCFLAGS): New variable.
	($(GNUSTEP_OBJ_DIR)/%${OEXT}): Added implicit rules for building
	object files from .C, .cp, .cpp, .cxx and .cc files.
	(%.variables): Extract CC_FILES from xxx_CC_FILES, and pass them
	down to the submake.
	(CC_OBJS, CC_OBJ_FILES): New variables.
	(OBJ_FILES_TO_LINK): Added CC_OBJ_FILES.
	
2001-09-14  Adam Fedor  <fedor@gnu.org>

	* debian/changelog: Minor fixes to get debian to build correctly
	(suggestions from James.Mills@tenzing.com).

Thu Sep 13 23:20:36 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUmakefile.in (install): Do not install rootinstall.sh and
	rootuninstall.sh.
	(uninstall): Do not uninstall rootinstall.sh and rootuninstall.sh
	
Thu Sep 13 23:17:52 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* test-tool.make (internal-check): Removed.

2001-09-12  Adam Fedor  <fedor@gnu.org>

	* target.make (TARGET_SYSTEM_LIBS): Remove -lgcc from
	darwin/MacOSX/NeXT targets.

2001-09-11  Adam Fedor  <fedor@gnu.org>

	* brain.make: If nx-gnu-gnu, add -lobjc to OBJC_LIBS
	* target.make: Extend darwin1.1 rule to darwin1.x

Tue Sep 11 12:19:24 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* rules.make (before-install): Removed code to check installation
	permissions.
	(internal-check-install-permissions): New target with code to
	check installation permissions, extended to give more extensive
	help.
	(install): At makelevel 0, depend on
	internal-check-install-permissions before all.
	
Tue Sep 11 10:44:11 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* documentation.make (internal-doc-clean): Added a complete
	recursive cleaning of the INTERNAL_doc_NAME directory for javadoc.

Tue Sep 11 10:39:39 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* documentation.make (internal-doc-clean): Removed buggy `;' at
	the end of line which was causing the last files to be considered
	a command by the shell rather than arguments to `rm'.

Mon Sep 10 15:40:06 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* documentation.make (internal-doc-clean): Fixed make clean for
	gsdoc - removed old useless shell loop which was causing rm to be
	run unnecessarily many times.

Mon Sep 10 11:25:58 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* rootinstall.sh: Removed as obsolete.
	* rootuninstall.sh: Idem.	

Tue Sep  4 16:23:12 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* bundle.make (bundle-localized-resource-files): Use -d instead of
	! -f to check for existence of .lproj dirs; emit a warning if a
	required .lproj directory is not found; run the localizable
	resource copying code only if the .lproj directory actually
	exists.
	* application.make (app-localized-resource-files): Idem.
	* framework.make (framework-components): Idem (but no warning
	here).
	(framework-localized-resource-files): Idem.
	(framework-localized-webresource-files): Idem.
	* subproject.make (framework-components): Idem, plus fixed wrong
	dirs and missing fi.
	(framework-localized-resource-files): Idem, plus fixed misplaced
	fi.
	* gswapp.make (gswapp-components): Idem (no warning here), plus
	fixed wrong dir.
	(gswapp-localized-resource-files): Idem, plus fixed wrong dir.
	(gswapp-localized-webresource-files): Idem, plus fixed wrong dir.
	* gswbundle.make (gswbundle-components): Idem (no warning here),
	plus fixed wrong dir.
	(gswbundle-localized-resource-files): Idem, plus fixed wrong dir.
	(gswbundle-localized-webresource-files): Idem, plus fixed wrong
	dir.
	
	* framework.make (framework-localized-webresource-files):
	Rearranged code; always install the new localized webresource
	files over the old ones if any.  
	* gswapp.make (gswapp-localized-webresource-files): Do not echo
	the full shell commands.
	(gswapp-localized-resource-files): Idem.
	(gswapp-resource-files): Idem.
	(gswapp-webresource-files): Idem (also removed final semicolon
	here).
	(gswapp-components): Idem.
	(gswapp-components): Depend on $(GSWAPP_DIR_NAME)/Resources rather
	than $(GSWAPP_DIR_NAME).
	* gswbundle.make (internal-clean): Use GSWBUNDLE_NAME rather than
	BUNDLE_NAME.
	(GSWBUNDLE_EXTENSION): Define as it wasn't defined anywhere.  I
	used .gswbundle as a guess of what it should be.

Mon Sep  3 17:24:43 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* gswbundle.make (gswbundle-webresource-files): Fixed misplaced
	parenthesis in check for empty WEBSERVER_RESOURCE_FILES.
	(internal-bundle-install): Removed \ in excess.
	
Mon Sep  3 15:13:49 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* rules.make (before-install): If MAKELEVEL is 0, check that
	GNUSTEP_INSTALLATION_DIR is writable by us; if it isn't, abort
	with an error message.

Fri Aug 31 15:33:30 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* bundle.make (bundle-localized-resource-files): Bug fix - added
	missing ) at then end of command.

2001-08-21  Adam Fedor  <fedor@gnu.org>

	* configure.in (gs_cv_objc_libdir): Don't look for gcc's
	installed libobjc.so since it's usually in a standard dir anyway.

Mon Aug  6 19:15:35 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* library.make (internal-install-dirs): Insert a / between
	$(GNUSTEP_HEADERS) and $(HEADER_FILES_INSTALL_DIR).
	($(GNUSTEP_HEADERS)/$(HEADER_FILES_INSTALL_DIR)): Idem.
	(internal-install-headers): Idem.
	(internal-uninstall-headers): Idem.
	
2001-08-02  Adam Fedor  <fedor@gnu.org>

	* GNUstep.sh.in: Look for user script in ~/GNUstep.
	* GNUstep.csh.in: Likewise.

Mon Jul 30 20:15:48 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* documentation.make (HAS_LATEX2HTML): New variable to reduce the
	number of times that LATEX2HTML is evaluated.

2001-07-26  Adam Fedor  <fedor@gnu.org>

	* GNUstep.csh.in: Set GCC_SO_DIR
	* GNUstep.sh.in: Export GCC_SO_DIR
	* ld_lib_path.sh: Use it in library path.
	* ld_lib_path.csh: Likewise.

	* gnustep-make.spec.in: Remove csh rules so rpm won't depend
	on csh.

	* Documentation/README.MingW: Update.
	* Documentation/machines.texi: Likewise.

Thu Jul 26 12:26:10 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* Documentation/internals.tex: Revised and updated this document
	to describe the new gnustep-make internals.

Tue Jul 24 13:48:24 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* rules.make (ALL_JAVADOCFLAGS): Readded INTERNAL_JAVADOCFLAGS
	which had been removed by mistaked.

2001-07-19  Adam Fedor  <fedor@gnu.org>

	* documentation.make (LATEX2HTML): Filter out which error messages.
	* Documentation/makedoc.make: Likewise.

	* Documentation/readme.texi: Explain license more clearly.
	* Documentation/gnustep-howto.texi: Likewise.
	* Documentation/README.MinGW: Update.

Thu Jul 19 10:35:22 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* application.make: Removed annoying debugging message.

Mon Jul 16 11:35:51 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* bundle.make (internal-clean): Depend on .subprojects; make clean
	rules moved here; modified to remove all compiled bundles by using
	BUNDLE_NAME.
	(internal-distclean): Idem.
	(internal-bundle-clean, internal-bundle-distclean): Idem.
	* gswbundle.make: Same changes to the same rules.
	
Fri Jul 13 18:31:26 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* test-application.make (APP_EXTENSION): Set it, fixing 
	the bug on make clean.

Fri Jul 13 18:29:03 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* application.make (internal-clean): Simplified by using 
	GNUSTEP_OBJ_DIR.
	* gswapp.make (internal-clean): Idem.
	* service.make (internal-clean): Idem.
	* test-application.make (internal-clean): Idem.

Fri Jul 13 17:55:45 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* test-library.make (internal-clean): Depend on .subprojects; make
	clean rules moved here.
	(internal-distclean): Idem.
	(internal-testlib-distclean): Removed.
	(internal-testlib-clean): Removed.

Fri Jul 13 17:53:38 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* test-application.make (internal-clean, internal-distclean):
	Updated to changes in application.make.

Fri Jul 13 17:48:55 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* documentation.make (internal-doc-clean): Ignore problems 
	in make clean.

Fri Jul 13 17:35:13 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* subproject.make (internal-clean): Commands to make clean moved
	here; depend on .subprojects.
	(internal-distclean): Idem.
	(internal-subproject-clean, internal-subproject-distclean):
	Removed.
	
Fri Jul 13 17:26:49 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* palette.make (internal-clean): Commands to make clean moved
	here; depend on .subprojects.
	(internal-palette-clean): Removed.
	(.PHONY): Removed internal-palette-clean.
	* service.make (internal-clean): Commands to make clean moved
	here; depend on .subprojects.
	(internal-svc-clean): Removed.
	(.PHONY): Removed internal-svc-clean.
	* service.make: All targets renamed by replacing `svc' with
	`service'.
	
Fri Jul 13 17:19:05 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* library.make (internal-clean): Commands to make clean moved
	here; depend on .subprojects.
	(internal-distclean): Idem.
	(internal-library-clean, internal-library-distclean): Removed.
	(.PHONY): Removed internal-library-clean and
	internal-library-distclean.
	* objc.make (internal-clean): Commands to make clean moved here;
	depend on .subprojects.
	(internal-distclean): Idem.
	(internal-objc_program-clean, internal-objc_program-distclean):
	Removed.
	(.PHONY): Removed internal-objc_program-clean and
	internal-objc_program-distclean.
	
Fri Jul 13 16:48:29 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* application.make (internal-clean): Commands to make clean moved
	here; depend on .subprojects.
	(internal-distclean): Idem.
	(internal-app-clean, internal-app-distclean): Removed.
	(.PHONY): Removed internal-app-clean and internal-app-distclean.
	* gswapp.make: Identical changes.
	
Fri Jul 13 16:17:36 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* tool.make (internal-clean): Short-cut the recursive make
	invocation, and clean immediately for all tools here.  But 
	depend on the .subprojects rule in order to make clean in 
	eventual subprojects.
	(internal-distclean): Idem.
	(internal-tool-clean): Removed.
	(internal-tool-distclean): Removed.
	(.PHONY): Removed internal-tool-clean and internal-tool-distclean.
	* ctool.make: Exactly the same changes as in tool.make.
	* test-tool.make (internal-clean): Updated to mirror the change in
	tool.make.
	(internal-distclean): Idem.
	
Fri Jul 13 13:45:54 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* rules.make (%.variables, %.tools, %.subprojects): Removed usage
	of $(call ...) for backward compatibility with old versions of GNU
	make.

Fri Jul 13 10:18:15 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* rules.make (%.subprojects): Use the __done trick.
	(%.tools): Idem.
	
Thu Jul 12 18:10:31 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* subproject.make (.PHONY): Added.
	(localized-framework-resource-files): Renamed to
	framework-localized-resource-files for consistency.

Thu Jul 12 17:26:40 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* rules.make (%.variables): Depend on %.tools and %.subprojects.
	Corresponding code to build framework tools and subprojects moved
	into new %.tools and %.subprojects rules.
	(.PRECIOUS): Added %.variables, %.subprojects and %.tools to
	prevent make from trying to delete them as if they were temporary
	files.
	
Thu Jul 12 16:54:01 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* rules.make (%.variables): Pass TARGET down to submake so that
	the before-$(TARGET)-all and after-$(TARGET)-all rules actually
	work.
	
Thu Jul 12 11:54:28 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* rules.make: Removed PROCESS_SECOND_TIME.
	(%.variables, %.build): Merged the two rules, which removes a make
	invocation per operation.  The new rule is called %.variables, so
	we no longer have a %.build rule.

Wed Jul 11 19:18:57 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* framework.make (framework-components): Use a makefile
	conditional.
	(framework-resource-files): Idem.
	(framework-localized-resource-files): Idem.
	(framework-localized-webresource-files): Idem.
	(framework-webresource-files): Idem
	(framework-webresource-files): Have two rules, include the one
	which depends on framework-webresource-dir only if we have
	WEBSERVER_RESOURCE_FILES.
	(framework-localized-webresource-files): Idem.
	(framework-webresource-dir): Reorganized to build directories only
	when needed.  Remove the non-link file - if any - before making
	the link.
	(localized-framework-resource-files): Renamed to
	framework-localized-resource-files for consistency.
	(framework-webresource-files): Rewritten code.
	
Wed Jul 11 18:36:14 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* framework.make ($(DUMMY_FRAMEWORK_FILE)): Simplified,
	standardized looking for classes in object files.

Wed Jul 11 18:17:43 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* framework.make (before-$(TARGET)-all): Do not depend on
	FRAMEWORK_HEADER_FILES because build-headers already does that.
	(FRAMEWORK_HEADER_FILES): Use addprefix to manage also header
	files not ending in .h.
	(FRAMEWORK_RESOURCE_DIRS): Use addprefix.
	(FRAMEWORK_WEBSERVER_RESOURCE_DIRS): Idem.
	(FRAMEWORK_INSTALL_DIR): Use = rather than :=.

Wed Jul 11 15:51:43 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* subproject.make (internal-subproject-all): Only depend on
	framework rules if we are building in a framework.  Include the
	framework rules only if building in a framework.
	(framework-components): Turned shell conditional into makefile
	conditional.
	(localized-framework-resource-files): Idem.
	(framework-webresource-dir): Idem.
	(framework-webresource-files): Idem.
	(framework-localized-webresource-files): Idem.
	(framework-resource-files): Idem; and do not build the framework
	resource directory here as it is already built by the framework
	build-header rules.
	
Wed Jul 11 13:35:49 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* framework.make (internal-framework-all): Do not depend on
	build-framework-dir as that is already done by before all.
	(build-framework-dir): Renamed to build-framework-dirs; depend on
	single separate rules building - only if needed! - the directories
	rather than building them directly in this rule.  Create all the
	needed symbolic links in this rule.  Remove files which are not
	symbolic links before creating the links.
	($(FRAMEWORK_HEADER_FILES)): Do not create any symbolic link in
	this rule.
	* subproject.make (internal-install): If not inside a framework,
	run internal install to install the headers.
	(internal-uninstall): Idem.
	($(GNUSTEP_OBJ_DIR)/$(SUBPROJECT_PRODUCT)): Depend on
	SUBPROJECT_OBJ_FILES to account for sub-subprojects.
	($(FRAMEWORK_HEADER_FILES)): Use makefile conditional; do not
	create the framework symbolic links which are done by the
	framework; depend on FRAMEWORK_HEADERS_DIR rather than building it
	here.
	($(FRAMEWORK_HEADERS_DIR)): New rule.
	All internal installation/uninstallation rules are now included 
	only if FRAMEWORK_NAME is empty.
	(HEADER_FILES_DIR): Set.
	(internal-install-subproject-dirs): Removed; added rules to build 
	the single dirs instead.
	(internal-install-subproject-headers): Renamed to
	internal-install-headers, and simplified.

Wed Jul 11 12:06:29 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* framework.make (before-all): Run internal build-headers target
	rather than internal before-all target.
	(internal-framework-before-all): Renamed to
	internal-framework-build-headers; do not echo a message.
	* subproject.make (before-all): Renamed to build-headers.
	(internal-subproj-before-all): Renamed to
	internal-subproj-build-headers; do not echo a message.
	* rules.make (%.build): Use build-headers rather than before-all
	in the ifneq to avoid processing $*_TOOLS.
	* subproject.make: Changed `subproj' in all targets to the more
	readable `subproject'.
	
Wed Jul 11 11:34:48 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* rules.make (%.build): When passing xxx_SUBPROJECTS to a submake,
	call the passed variable _SUBPROJECTS to avoid conflicts with
	SUBPROJECTS as used by aggregate.make.
	(SUBPROJECT_OBJ_FILES): Set this variable using _SUBPROJECTS.

2001-07-10  Adam Fedor  <fedor@gnu.org>

	* configure.in: Quote $gcc_shared_libobjc in test.

Tue Jul 10 18:13:51 2001  Nicola Pero  <nicola@brainstorm.co.uk>
	
	* rules.make (%.build): Modified message when processing
	subprojects, as the operation might not necessarily be building.
	* subproject.make (internal-subproj-all): Do not depend on
	before-all and after-all.
	(build-framework-headers): Renamed to internal-subproj-before-all.
	Only include this rule for frameworks.
	(internal-subproj-before-all): Print a message saying that we are
	building the public headers.
	(before-all): New rule used only with frameworks.
	(before-$(TARGET)-all): Do not depend on $(FRAMEWORK_HEADER_FILES)
	because internal-subproj-before-all does it already.
	(after-all): Removed.
	($(FRAMEWORK_HEADER_FILES)): Use makefile conditional on
	FRAMEWORK_NAME rather than shell one. Fixed bug:
	INTERNAL_framework_NAME was used instead of FRAMEWORK_NAME.
	
Tue Jul 10 17:09:34 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* framework.make (build-framework-headers): Renamed to
	internal-framework-before-all.
	(internal-framework-before-all): Print a message that we are
	building the framework public headers.
	(before-all): New rule.
	* rules.make (%.build): Removed code running manually a submake
	invocation to run the build-framework-headers operation.  Do not
	process TOOLS when the operation is before-all.  Fixed typo/bug -
	$ff was used insted of $$f in warning messages.
		
Tue Jul 10 15:46:38 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* rules.make (%.build): Reverted some makefile conditionals to
	shell conditionals.

Tue Jul 10 15:28:21 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* common.make: Protect from multiple inclusions (suggested by
	Richard).

Tue Jul 10 12:13:09 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* test-tool.make: Rewritten.
	* test-application.make: Idem.
	
Tue Jul 10 11:32:12 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* documentation.make (internal-doc-clean): Do not print clean
	commands.
	(internal-textdoc-clean): Idem.
	(internal-doc-distclean): Idem.

Tue Jul 10 11:16:47 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* GNUmakefile.in (MAKE_FILES): Removed woapp.make and
	wobundle.make.

Tue Jul 10 11:13:47 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* documentation.make (internal-doc-clean): Use a single rm command
	for removing most files.  Remove *.aux when latex is used.
	(internal-doc-distclean): Do not remove *.aux for latex as it is
	done by clean now.  Do not remove *~ as it is already done by
	clean in rules.make.  If latex and latex2html are used, and if
	$(INTERNAL_doc_NAME) is a directory, then rm -rf it.
	
Tue Jul 10 10:49:59 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* woapp.make: Removed.
	* wobundle.make: Removed.
	
Tue Jul 10 10:44:11 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* aggregate.make: Do not include rules.make if RULES_MAKE_LOADED
	is not empty.
	* application.make: Idem.
	* bundle.make: Idem.
	* ctool.make: Idem.
	* documentation.make: Idem.
	* framework.make: Idem.
	* gswapp.make: Idem.
	* gswbundle.make: Idem.
	* java-tool.make: Idem.
	* java.make: Idem.
	* library.make: Idem.
	* objc.make: Idem.
	* palette.make: Idem.
	* service.make: Idem.
	* subproject.make: Idem.
	* test-application.make: Idem.	
	* test-library.make: Idem.
	* test-tool.make: Idem.
	* tool.make: Idem.
	
Tue Jul 10 10:17:59 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* rules.make (%.build): Removed doubled code to compute
	subprojects list.  Use extensively makefile conditionals to
	improve performance and readability.  Added more verbose messages
	about what we are doing when building frameworks.
	
Tue Jul 10 10:08:18 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* java-tool.make (.PHONY): Added _FORCE.

2001-07-09  Adam Fedor  <fedor@gnu.org>


	* aggregate.make: Propogate GNUSTEP_INSTALLTION_DIR to subprojects.

	* configure.in: Look for gcc's libobjc.so library. Use it to run
	tests.
	* GNUstep.sh.in (GCC_SO_DIR):  Holds location of libobjc.so from gcc
	(Need to pass this along so it is put in LD_LIBRARY_PATH).

Mon Jul  9 18:46:59 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* rpm.make (.PHONY): Added.
	($(SPEC_FILE)): Use makefile conditionals instead of shell
	conditionals.
	* source-distribution.make (.PHONY): Added.
	
Mon Jul  9 18:30:02 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* service.make (internal-svc-install): Depend on
	$(GNUSTEP_SERVICES).
	($(GNUSTEP_SERVICES)): Create the directory if it doesn't exist.
	(.PHONY): Added.
	(svc-resource-dir): Removed.
	(svc-resource-files): Use makefile conditional.
	(internal-svc-install): Run the commands in a single subshell.

Mon Jul  9 18:15:26 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* palette.make (.PHONY): Added.
	(palette-resource-files): Use makefile conditional.

Mon Jul  9 17:58:33 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* objc.make (.PHONY): Added.
	(internal-install-objc-dirs): Removed.
	(internal-objc_program-clean): Do not remove $(OBJC_PROGRAM_NAME)
	because it is not built.

Mon Jul  9 17:46:02 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* library.make (.PHONY): Added.
	(internal-uninstall-import-lib): Unused rule removed.
	(import-library): Idem.
	(internal-library-uninstall): Removed duplicated dependency on
	before-uninstall, after-uninstall.
	(before-uninstall, after-uninstall): Removed.
	(internal-install-headers): Turned shell conditional into makefile
	conditional.
	(internal-uninstall-lib): Use a single rm command.
	
Mon Jul  9 17:19:17 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* java.make (.PHONY): Added.
	(internal-java_package-install): Do not depend on
	internal-java_package-all.
	(internal-install-java-dirs): Turned shell conditional into
	makefile conditional.
	(install-java_package): Idem.
	(internal-java_package-clean): Use a single rm command.

Mon Jul  9 17:02:22 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* java-tool.make (.PHONY): Added.
	(internal-java_tool-install): Do not depend on
	internal-java_tool-all.
	(internal-install-java_tool-dirs): Turned shell conditional into
	makefile conditional.
	($(GNUSTEP_INSTALLATION_DIR)/Tools/$(INTERNAL_java_tool_NAME)):
	Force rebuilding always to take into account changes in
	PRINCIPAL_CLASS.
	(install-java_tool): Turned shell conditionals into makefile ones;
	strip the variables when checking, and don't use the __done trick.
	(internal-java_tool-clean): Use a single rm command.
	* java-executable.template (java_vm): Fixed bug in evaluating 
	shell variables.
	
Mon Jul  9 16:45:09 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* gswbundle.make (localized-gswbundle-resource-files): Renamed to
	gswbundle-localized-resource-files for consistency with the other
	makefiles.
	(.PHONY): Added.
	(gswbundle-components): Turned shell conditional into makefile
	conditional.
	(gswbundle-webresource-files): Idem.
	(gswbundle-localized-webresource-files): Idem.
	(gswbundle-resource-files): Idem.
	(gswbundle-localized-resource-files): Idem.
	(internal-bundle-install): Idem.
	(internal-bundle-uninstall): Idem.

Mon Jul  9 16:23:19 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* gswapp.make (.PHONY): Added.
	(internal-gswapp-install): Do not depend on internal-gswapp-all.
	Run the rule commands in a single subshell.
	(gswapp-components): Turned shell conditional into makefile
	conditional.
	(gswapp-webresource-files): Idem.
	(gswapp-localized-webresource-files): Idem.
	(gswapp-resource-files): Idem.
	(gswapp-localized-resource-files): Idem.

Mon Jul  9 16:05:06 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* documentation.make (.PHONY): Added.
	(internal-textdoc-check, internal-doc-check): Removed.
	(internal-install-dirs): Removed.
	(internal-textdoc-install, internal-doc-install): Depend directly
	on $(GNUSTEP_DOCUMENTATION)/$(DOC_INSTALL_DIR) rather than
	internal-install-dirs.

Mon Jul  9 15:53:54 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* ctool.make (.PHONY): Added.
	(internal-install-dirs): Removed.
	(internal-ctool-install): Depend directly on
	$(CTOOL_INSTALLATION_DIR) rather than internal-install-dirs.
	(install-ctool): Reorganized for readability.
	* tool.make (install-tool): Reorganized for readability.
	
Mon Jul  9 14:32:37 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* bundle.make (.PHONY): Added.
	(bundle-resource-files): Turned shell conditional into makefile
	conditional; strip RESORCE_FILES.
	(localized-bundle-resource-files): Idem.
	(RESOURCE_FILES, LOCALIZED_RESOURCE_FILES): Do not override them
	to "" if they contain only spaces.
	(internal-bundle-install): Turned shell conditionals into makefile
	conditionals.
	(internal-bundle-uninstall): Idem.
	(localized-bundle-resource-files): Renamed to
	bundle-localized-resource-files for consistency with other
	makefiles.
	
Mon Jul  9 12:49:02 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* application.make (.PHONY): Added.
	(app-resource-files): Turned shell conditional into makefile
	conditional; use strip on RESOURCE_FILES.
	(app-localized-resource-files): Idem.
	(RESOURCE_FILES, LOCALIZED_RESOURCE_FILES): Do not override them
	to "" if they contain only spaces.

Mon Jul  9 12:26:59 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* application.make (internal-install-dirs): Removed.
	(internal-app-install): Depend on $(GNUSTEP_APPS) directly.
	(app-resource-dir): Removed.
	(app-resource-files, app-localized-resource-files): Depend on
	$(APP_RESOURCE_DIRS) directly.
	($(APP_DIR_NAME)/$(INTERNAL_app_NAME), internal-app-install):
	Run the shell commands in a single subshell.

Mon Jul  9 11:54:20 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* tool.make (.PHONY): Added.
	(internal-tool-all): Simplified.
	(install-tool): Turned shell conditional into makefile
	conditional.

Mon Jul  9 11:35:48 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* rules.make ($(GNUSTEP_OBJ_DIR)): Do not protect this rule
	against multiple inclusions as the whole file is already
	protected.

Mon Jul  9 11:30:21 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* rules.make ($(GNUSTEP_OBJ_DIR)): Send the three shell commands
	in this rule together.

Mon Jul  9 11:08:55 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* rules.make ($(GNUSTEP_MAKEFILES)/*.make): New empty rule.
	($(GNUSTEP_MAKEFILES)/$(GNUSTEP_TARGET_DIR)/config.make): Idem.
	($(GNUSTEP_MAKEFILES)/Additional/*.make): Idem.
	* rules.make (%.build): Turned shell `if' conditional for
	framework into makefile `if[n]eq' conditionals.

Fri Jul  6 10:22:46 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* target.make (LD_LIB_PATH): Removed.  This old unused variable
	was seriously degrading performance.

Thu Jul  5 11:19:46 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* documentation.make (internal-textdoc-all): Do not depend on
	before-all and after-all.
	(internal-doc-clean): Use $(GSDOC_OBJECT_FILES) when installing
	gsdoc files.
	(internal-textdoc-clean): Removed gsdoc related code from here.
	(internal-doc-all): for building gsdoc, depend on
	$(GSDOC_OBJECT_FILES) rather than $(INTERNAL_doc_NAME).html.
	($(INTERNAL_doc_NAME).html): Replaced this rule for gsdoc with a
	rule for $(GSDOC_OBJECT_FILES).
	
Thu Jul  5 10:28:11 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* rules.make (INTERNAL_CLASSPATHFLAGS): Moved ADDITIONAL_CLASSPATH
	before CLASSPATH.

Wed Jul  4 14:37:36 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* common.make (INTERNAL_JAVACFLAGS, INTERNAL_JAVAHFLAGS): 
	Removed.
	* rules.make (INTERNAL_CLASSPATHFLAGS): New flags; add 
	ADDITIONAL_CLASSPATH to the -classpath option as well.
	(ALL_JAVACFLAGS, ALL_JAVAHFLAGS): Use INTERNAL_CLASSPATHFLAGS
	rather than INTERNAL_JAVACFLAGS and INTERNAL_JAVAHFLAGS.
	(ALL_JAVADOCFLAGS): Added INTERNAL_CLASSPATHFLAGS.
	(%.build): Pass ADDITIONAL_CLASSPATH to subprocesses.
	
Fri Jun 29 14:53:51 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* Documentation/.latex2html-init: New file.
	* Documentation/internals.tex: New document.
	* Documentation/GNUmakefile.in: Define TAR.  Compile 
	internals.

Fri Jun 29 14:22:33 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* java.make: Removed old obsolete JAVA_PACKAGE_PREFIX support.

2001-06-28  Adam Fedor  <fedor@gnu.org>

	* common.make (GNUSTEP_USER_FRAMEWORKS_LIBRARIES_FLAG): Typo
	fix (was previously overriding GNUSTEP_USER_LIBRARIES_FLAG.

2001-06-22  Adam Fedor  <fedor@gnu.org>

	* Documentation/gnustep-howto.texi: Update.
	* Documentation/machines.texi: Update.

Thu Jun 21 12:51:34 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* java.make (install-java_package), (internal-java_package-clean):
	Fixed, simplified, and optimized management of nested classes.
	* java-tool.make (install-java_tool), (internal-java_tool-clean),
	(internal-java_tool-uninstall): Idem.
	
Thu Jun 21 10:13:55 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* rules.make (.PHONY): Fixed typo ('=' was used instead of ':')
	which was causing the phony target declaration to be ignored.

	* rules.make (install): Depend on `all' target at makelevel 0.
	* application.make (internal-app-install): Do not depend on
	internal-app-all.
	* bundle.make (internal-install): Do not depend on all.
	* ctool.make (internal-ctool-install): Do not depend on
	internal-ctool-all.
	* documentation.make (internal-install): Do not depend on all.
	* framework.make (internal-install): Do not depend on all.
	* gswbundle.make (internal-install): Do not depend on all.
	* library.make (internal-install): Do not depend on all.
	* objc.make (internal-objc_program-install): Do not depend on
	internal-objc_program-all.
	* palette.make (internal-install): Do not depend on all.
	* subproject.make (internal-install): Do not depend on all.
	* tool.make (internal-tool-install): Do not depend on
	internal-tool-all.
	* wobundle.make (internal-install): Do not depend on all.
	
Wed Jun 20 12:24:35 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* rules.make (.PHONY): Added internal-after-install.

Tue Jun 19 10:00:06 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* java-tool.make (install-java_tool): Install nested classes as
	well.  (internal-java_tool-clean): Remove nested classes as well.

2001-06-18 Richard Frith-Macdonald <rfm@gnu.org>

	* java.make: Added code to cope with install and clean for inner
	classes (extra class files generated from .java files)

2001-05-29  Adam Fedor  <fedor@gnu.org>

	* Version: 1.0.1

2001-05-28  Adam Fedor  <fedor@gnu.org>

	* config.site: Check GNUSTEP_FLATTENED when setting bindir,libdir.

	* Documentation/README.MinGW: Update
	* Documentation/news.texi: Likewise.

2001-05-18  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* framework.make ($(DUMMY_FRAMEWORK_FILE)): added missed fi.

Fri May 18 01:41:03 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* debugapp.in, openapp.in, opentool.in: Fixed adding EXEEXT at the
	end.

2001-05-12  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* framework.make ($(DUMMY_FRAMEWORK_FILE)): does not append NULL if
	classlist does not contains classes.
	(patch by Stephen Brandon <stephen@pyrusmalus.com>)

2001-05-10  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* target.make (SHARED_FRAMEWORK_LINK_CMD): fix framework soname for
	FreeBSD ELF.
	* framework.make (internal-framework-install): handle symlink for
	libxxx.so.n files. (patches by Kim Shrier <kim@tinker.com>)
	
2001-05-08  Adam Fedor  <fedor@gnu.org>

	* bundle.make ($(BUNDLE_DIR_NAME)/Contents/Resources): Remove
	link before making it (Solaris ln -f doesn't work).
	* openapp.in: Add linefeed at end (Solaris sed doesn't work well
	without it).

2001-05-05  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* target.make: fix library soname for FreeBSD ELF.
	(patch by Kim Shrier <kim@tinker.com>)

Sat May  5 12:40:39 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUstep.sh.in (CLASSPATH): Set classpath before the user
	initialization code is executed, and before running make_services,
	so that the classpath is safely set even if they fail.
	* GNUstep.csh.in: Idem.
	
2001-05-03  Adam Fedor  <fedor@gnu.org>

	* target.make: Rm -lm from default TARGET_SYSTEM_LIB

Fri Apr 27 10:53:50 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	Implemented support for Java tools.
	* java-tool.make: New file.
	* java-executable.template: New file.
	* GNUmakefile.in: Install the new files.
	
2001-04-26  Adam Fedor  <fedor@gnu.org>

	* configure.in (with-thread-lib): New option to specify alternate
	thread library.
	* Documenation/install.texi: Update.

Thu Apr 26 12:48:27 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* documentation.make (JAVADOC_BUILD_ALWAYS): New variable to allow
	asking gnustep-make to rebuild javadoc documentation each time it
	is run.
	
2001-04-25  Adam Fedor  <fedor@gnu.org>

	* configure.in: Check OBJC_RUNTIME_LIB from library_combo and set
	NeXT_RUNTIME if appropriate (only for thread test).
	* config_thread.m: Don't include NSConstStr if NeXT_RUNTIME.

2001-04-25 Richard Frith-Macdonald <rfm@gnu.org>

	* documentation.make: Revert last change ... it broke javadoc makes
	for targets like gnu.gnustep.base ... So how do we write proper
	makefile dependency rules for javadoc?

Wed Apr 25 14:01:32 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* java.make (JAVA_INSTALLATION_DIR): New variable to configure
	where to install.  JAVA_PACKAGE_PREFIX has been deprecated.

Wed Apr 25 11:05:49 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* Version: Use the standard names GNUSTEP_MAKE_MAJOR_VERSION,
	GNUSTEP_MAKE_MINOR_VERSION, GNUSTEP_MAKE_SUBMINOR_VERSION rather
	than MAKE_MAJOR_VERSION, MAKE_MINOR_VERSION and
	MAKE_SUBMINOR_VERSION.
	* configure.in: Substitute the new variables; do not output
	GNUSTEP_VERSION any longer.
	* configure: Regenerated.
	* config.make.in: Define GNUSTEP_MAKE_VERSION,
	GNUSTEP_MAKE_MAJOR_VERSION, GNUSTEP_MINOR_VERSION,
	GNUSTEP_SUBMINOR_VERSION so that client code can easily get
	the version of gnustep-make which is used by reading these
	variables in their makefiles.
	
2001-04-25 Richard Frith-Macdonald <rfm@gnu.org>

	* documentation.make: For Java,
	$(INTERNAL_doc_NAME)/index.html depends on *any* of the Java source
	files used.  Rebuilds entire javadoc tree if any file is changed.

2001-04-21  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* framework.make ($(DUMMY_FRAMEWORK_FILE)): fix for empty $classlist.

2001-04-21  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* target.make (SHARED_LIB_LINK_CMD): fixed NeXT target.

2001-04-14  Adam Fedor  <fedor@gnu.org>

	* GNUstep.sh.in: Put Tools directory first in search path so
	it will find scripts first.
	* GNUstep.csh.in: Likewise.

2001-04-14  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* target.make: fixed target for FreeBSD aout.

2001-04-13  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* target.make: check for freebsd instead of freebsdelf.
	* clean_os.sh: likewise.

2001-04-13  Adam Fedor  <fedor@gnu.org>

	* GUI Backend built as bundle by default. Remove backend component
	of LIBRARY_COMBO throughout makefiles and scripts.
	* configure.in: Add enable-backend-bundle.
	* config.make.in: Define BACKEND_BUNDLE.

	* Documenation/DESIGN,gnustep-howto.texi,install.texi: Update.

	* openapp.in: Simplify - use executable.template script for work.
	* opentool.in: Likewise.
	(patches from Jeff Teunissen <deek@dusknet.dhs.org>).
	
Wed Apr 11 12:03:55 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* documentation.make [TEXI_FILES] ($(INTERNAL_doc_NAME)_toc.html):
	Do not abort if command fails (presumably because texi2html could
	not be found).  (internal-doc-install): Install html only if it
	has been generated.
	
2001-04-09  Adam Fedor  <fedor@gnu.org>

	* Merge 1.0 branch back into main.

2001-03-23  Jonathan Gapen  <jagapen@home.com>

	* configure.in: Also look for 'gnutar' tar program.
	* configure: Re-generate.

2001-04-05  Adam Fedor  <fedor@gnu.org>

	* Version: 1.0.0
	* GNUstep-HOWTO, NEWS: Regenerated.
	* Documentation/machines.texi: Update

2001-04-04  Adam Fedor  <fedor@gnu.org>

	* config.guess: Update to latest version
	* config.sub: Likewise.
	* configure.in: Quote $host_os
	* Documentation/*texi: Update

2001-03-31  Adam Fedor  <fedor@gnu.org>

	* target.make (TARGET_SYSTEM_LIBS): Set default libs.

2001-03-30  Adam Fedor  <fedor@gnu.org>

	* target.make: Define TARGET_SYSTEM_LIBS for cygwin.

2001-03-29  Adam Fedor  <fedor@gnu.org>

	* Documentation/GNUmakefile.in: Use standard rules for documentation.
	* Documentation/*texi: Update
	* GNUstep-HOWTO, INSTALL, README: Regen.

2001-03-28  Adam Fedor  <fedor@gnu.org>

	* configure.in: Remove spurious ','.

	* which_lib.c (search_for_library_in_directory): Translate Windows
	//c paths to c: so MingW functions can find them.

2001-03-27  Adam Fedor  <fedor@gnu.org>

	* target.make: Add darwin target.

	* Documentation/machines.texi: Update.
	* Documentation/faq.texi: Likewise.
	* Documentation/gnustep-howto.texi: Likewise

Mon Mar 19 14:30:01 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* rules.make (install): Depend on internal-after-install after all
	the other rules.  (internal-after-install): Added empty rule.
	* rpm.make (after-install): Rule moved to
	(internal-after-install).  This makes sure the file list is always 
	generated *after* all application installation code, after-install 
	included, has been run.
	
Mon Mar 19 14:09:08 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* GNUmakefile.in (test-RPM_TOPDIR): New target to test that
	RPM_TOPDIR is set before attempting to generate the RPM, and exit
	with an error if not.  (rpm): Depend on the new target.

Mon Mar 19 00:14:24 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* transform_paths.sh: Fixed, rewritten.

Sun Mar 18 17:49:59 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* application.make ($(APP_DIR_NAME)/Resources/Info-gnustep.plist):
	Micro optimization: replaced sed call with subst.
	* palette.make ($(PALETTE_DIR_NAME)/Resources/palette.table): Idem.

	* bundle.make ($(BUNDLE_DIR_NAME)/Resources/Info.plist),
	($(BUNDLE_DIR_NAME)/Resources/Info-gnustep.plist): Idem, plus
	strip .gorm and .nib extensions as well as .gmodel.
	* gswapp.make ($(GSWAPP_DIR_NAME)/Resources/Info-gnustep.plist):
	Idem.
	
Sun Mar 18 16:47:05 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* opentool.in: Do not run sed to attempt remove slashes at the 
	end of tool name.  This makes sense for apps, but not for tools.

Sun Mar 18 16:19:49 2001  Nicola Pero  <n.pero@mi.flashnet.it>
	
	* service.make: Define GNUSTEP_MAKE_SERVICES to be make_services
	if not yet set.
	($(SERVICE_DIR_NAME)/Resources/Info-gnustep.plist): Use
	$(GNUSTEP_MAKE_SERVICES) rather than `opentool make_services' to
	run make_services.
	* application.make: Do not use opentool when running plmerge.
	* common.make: Warn the user if PATH is not set up correctly.
	
Sun Mar 18 14:49:31 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUmakefile.in (generated-files): Added opentool,
	executable.template and gnustep-make.spec which were missing;
	added missing rules for executable.template and gnustep-make.spec.
	* opentool.in (case $tool in */*): Fixed case of relative path.
	
Sat Mar 17 00:11:52 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* application.make ($(APP_FILE)): Micro optimization: Replace 
	sed with subst.
	* gswapp.make ($(GSWAPP_FILE)): Idem.
	* woapp.make ($(WOAPP_FILE)): Idem.
	
Fri Mar 16 20:01:58 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* rules.make (before-all): Do not create the symbolic link
	obj->$(GNUSTEP_OBJ_DIR).  ($(GNUSTEP_OBJ_DIR)): Create the link in
	this rule, so that it is only created when/if the object directory
	is created.  (internal-clean): Remove the obj symbolic link too.

Fri Mar 16 14:48:51 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* configure.in: Fixed syntax of some new tests.
	* configure: Regenerated.
	
2001-03-15  Adam Fedor  <fedor@gnu.org>

	* configure.in: Use autoconf tests to detect CYGWIN, MINGW32,
	EXEEXT, and OBJEXT. Add threading test for Mingw.
	* config.make.in (OEXT): Use OBJEXT.

Thu Mar 15 00:55:19 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUstep.sh.in, GNUstep.csh.in: Compute GNUSTEP_HOST_CPU,
	GNUSTEP_HOST_OS, GNUSTEP_HOST_VENDOR only if not yet set.

Wed Mar 14 19:16:01 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* aggregate.make: Micro optimization: Replace sed with subst.

Wed Mar 14 18:49:53 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUstep.sh.in, GNUstep.csh.in: Removed references to the old
	variable GNUSTEP_BUILD_ROOT.

Wed Mar 14 11:48:10 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* application.make: Optimization: rearranged targets as not to run
	mkdirs to create directories if the directories already exists.
	* bundle.make: Idem.
	* documentation.make: Idem.
	* library.make: Idem.
	* java.make: Idem.
	* tool.make: Idem.

	* ctool.make: Same optimization but I had not the opportunity to
	test it.  Please anybody having, do and fix it if needed.
	* gswapp.make: Idem.
	* gswbundle.make: Idem.
	* objc.make: Idem.
	* palette.make: Idem.
	* service.make: Idem.

2001-03-14 Richard Frith-Macdonald <rfm@gnu.org>

	* rules.make: Quicks hack in before-all... create a symbolic link
	from 'obj' to the directory in which we store object files ...
	purely as a convenience.  Probably can get cleaner code for this
	but I'm not a makefiles expert.

Wed Mar 14 10:40:45 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* rules.make (%.variables): Bug fix: rewritten the rule as it was
	not able to manage names containing dots.

Wed Mar 14 09:14:22 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* library.make (SOVERSION): Minor optimization: Replace awk call
	with simple subt and word calls.

Wed Mar 14 00:15:15 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	Huge speed up.  As an example of the order of magnitude, on my
	home system these optimizations reduce the time taken by gnustep
	to install the base library to 40% of the original time.
	* common.make (GNUSTEP_OBJ_PREFIX): Major optimization: replace
	invocation of sed with invocation of the make internal function
	subst.
	* rules.make (%.variables): Optimization: replaced three sed calls
	with subst and word.
	
2001-03-13  Adam Fedor  <fedor@gnu.org>

	* configure.in (objc_thread_lib): Correct test for threading
	on non GNU/Linux, no bsd systems - actually add -lthread to link
	line. Don't set -lthread when cross-compiling. Also add extra_LIBS
	to objc_thread_lib.
	* target.make (solaris/TARGET_SYSTEM_LIBS): Don't add posix4 (should
	be in objc_thread_lib if needed.

2001-03-10  Adam Fedor  <fedor@gnu.org>

	* Version 0.9.2
	* objc.make (WITH_DLL): Add DLL defs when WITH_DLL=yes

2001-03-08  Adam Fedor  <fedor@gnu.org>

	* clean_cpu.sh: Make all alpha variants the same.

2001-03-07  Adam Fedor  <fedor@gnu.org>

	* GNUstep.sh.in: Switch PATH back to the way it was so GNUstep
	paths are first.

2001-03-06  Adam Fedor  <fedor@gnu.org>

	* GNUmakefile.in: Remove extra '/' from GNUSTEP_..._ROOT paths.

2001-03-01 Richard Frith-Macdonald <rfm@gnu.org>

	* GNUstep.sh.in: Added check to ensure we don't add the same info
	to the path twice.

2001-02-28  Adam Fedor  <fedor@gnu.org>

	* rules.make (LIBRARIES_DEPEND_UPON): Use ALL_LIB_DIRS not 
	LIB_DIRS_NO_SYSTEM.
	* Documentation/README.NetBSD: New file.

2001-02-27  Adam Fedor  <fedor@gnu.org>

	* rules.make (LIBRARIES_DEPEND_UPON): Switch order of -L flags so
	additional flags are first.
	* target.make (SHARED_LIB_LINK_CMD): Remove redundant -L flags.

Tue Feb 27 04:45:42 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* configure.in (Version): source it as ./Version rather than just
	Version (suggested by Juliusz Chroboczek <jch@pps.jussieu.fr>).
	* configure: Regenerated.
	
2001-02-26  Adam Fedor  <fedor@gnu.org>

	* Documenation/makedoc.make: New file mostly copied from
	documentation.make. 
	* Documenation/makerules.make: New mostly copied from rules.make
	* Documenation/gnustep-howto.texi: Moved from core/Documenation
	* Documenation/faq.texi: Likewise.
	* Documenation/machines.texi: Likewise.
	* GNUstep-HOWTO, FAQ: Regenerated.
	* README.MinGW: Moved from core

2001-02-25  Adam Fedor  <fedor@gnu.org>

	* configure.in: Separate def of LD_LIBRARY_PATH from export.

2001-02-24  Nicola Pero  <n.pero@mi.flashnet.it>

	* configure.in (GNUSTEP_NETWORK_ROOT): Fixed typo.
	* configure: Regenerated.
	
2001-02-22  Adam Fedor  <fedor@gnu.org>

	* which_lib.c (main): Add back the -L paths.

2001-02-23  Nicola Pero  <n.pero@mi.flashnet.it>

	* opentool.in: If a local tool is found, do not search further in
	other directories.

2001-02-21  Adam Fedor  <fedor@gnu.org>

	* Documentation/make.texi: Update
	* Documentation/news.texi: Likewise
	* Documentation/install.texi: Likewise
	* NEWS, INSTALL: Regenerate

2001-02-19  Nicola Pero  <nicola@brainstorm.co.uk>

	* configure.in: Accept --with-local-root and --with-network-root 
	options to specify special placement of GNUSTEP_LOCAL_ROOT and 
	GNUSTEP_NETWORK_ROOT.
	* configure: Regenerated.
	* GNUmakefile.in (GNUSTEP_LOCAL_ROOT), (GNUSTEP_NETWORK_ROOT): 
	* GNUstep.sh.in (GNUSTEP_LOCAL_ROOT), (GNUSTEP_NETWORK_ROOT): 
	* GNUstep.csh.in (GNUSTEP_LOCAL_ROOT), (GNUSTEP_NETWORK_ROOT):
	Substitute values from configure.
	* GNUmakefile.in: Updated to work with the new arrangement.  In
	particular, to install in special directories when building binary
	packages, you now use make install special_prefix=xxx.
	* gnustep-make.spec.in: Use the new special_prefix instead of
	prefix.
	* debian/rules: Idem.

	* GNUmakefile.in (tgz): New target.
	
2001-02-14  Adam Fedor  <fedor@gnu.org>

	* GNUmakefile.in (cvs-tag): New targete for maintainance
	* source-distribution.make (cvs-tag): Likewise.

2001-02-13  Adam Fedor  <fedor@gnu.org>

	* Version: 0.9.1

2001-02-12  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* target.make (OBJC_CLASS_SECTION): define class section in obj file.
	* framework.make: fixed to support various object section.

2000-02-11 Manuel Guesdon <mguesdon@orange-concept.com>

	* common.make: added $(FOUNDATION_LIBRARY_DEFINE) to
	AUXILIARY_CPPFLAGS
	
2001-02-08 Richard Frith-Macdonald <rfm@gnu.org>

	Fix by David Wetzel to framework.make
	if($$2 == "R") changed to if($$2 == "D")

Tue Feb  6 16:59:20 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	Javadoc support added.
	* common.make (JAVADOC): Set it. 
	* rules.make (ALL_JAVADOCFLAGS): Set it.  (%.build): Pass
	JAVADOC_FILES and JAVADOC_SOURCEPATH down.
	* documentation.make: Added support for javadoc documentation.
	
Sun Feb  4 23:19:38 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* debian/*: Applied patches by Matthias Klose <doko@debian.org> to
	make it more debian compliant.

2001-01-30  Adam Fedor  <fedor@gnu.org>

	* configure.in: Redo setting prefix again! set root_prefix to
	base directory (typically /usr/GNUstep) 
	* GNUmakefile.in: Update for new prefix, root_prefix, GNUSTEP_ROOT
	* GNUstep.csh.in: Likewise.
	* GNUstep.sh.in: Likewise.

Mon Jan 29 23:38:25 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* debian: New directory.
	* debian/changelog: New file.
	* debian/control: New file.
	* debian/copyright: New file.
	* debian/rules: New file.

2001-01-29  Adam Fedor  <fedor@gnu.org>

	* configure.in: Correct setting of prefix and GNUSTEP_ROOT.
	* GNUmakefile.in: Replace GNUSTEP_PREFIX with GNUSTEP_ROOT

Mon Jan 29 16:57:53 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* GNUmakefile.in (install): Create the
	$GNUSTEP_MAKEFILES/Additional directory.
	* brain.make: Moved base, gui, xgps and xdps specific code into
	makefiles created and installed into $GNUSTEP_MAKEFILES/Additional
	by the base, gui, xgps and xdps packages themselves.
	* common.make: Include all makefiles found in
	$GNUSTEP_LOCAL_ADDITIONAL_MAKEFILES and
	$GNUSTEP_MAKEFILES/Additional.
	* config.make.in: (GRAPHIC_LIBS), (GRAPHIC_CFLAGS),
	(GRAPHIC_LFLAGS), (X_PRE_LIBS): Removed.
	(CONFIG_SYSTEM_DEFS): Removed SYSTEM_DEFS and DPS_DEFINE.
	* configure.in: Moved base, gui, xgps and xdps specific code 
	into the configure.in inside each library.
	
2001-01-25 Richard Frith-Macdonald <rfm@gnu.org>

	* configure.in: Added check for recent versions of GMP
	* configure: Regenerated.

Mon Jan 22 12:55:13 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* configure.in (LD_LIBRARY_PATH): set it before running the tests
	to fix problems in executing tests against a shared libobjc.
	* configure: Regenerated.
	
2001-01-19  Nicola Pero  <nicola@brainstorm.co.uk>

	* spec-debug-rules.template: Bug fix: removed a '/' at the end of
	INSTALL_ROOT_DIR.

2001-01-18  Adam Fedor  <fedor@gnu.org>

	* opentool.in: Fix typo in setting GNUSTEP_HOST_LDIR

Thu Jan 18 18:07:36 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* spec-debug-rules.template: Speed up filtering.

2001-01-18  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* tool.make: modified to build framework tools. (installed in the
	framework resource dir)
	* rules.make (%.build): build framework tools.
	* framework.make: updated docs.

Thu Jan 18 12:15:11 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* gnustep-make.spec.in: Do a make distclean before running
	configure.
	
2001-01-17  Adam Fedor  <fedor@gnu.org>

	* library.make: Revert last change, add LIBRARY_INSTALL_DIR
	which replaces GNUSTEP_LIBRARIES.
	* target.make: Replace GNUSTEP_LIBRARIES with LIBRARY_INSTALL_DIR.

	* source-distribution.make: Add cvs-dist and cvs-snapshot targets

Wed Jan 17 17:19:58 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* rpm.make: GNUSTEP_BASE_INSTALL changed to INSTALL_ROOT_DIR since
	this variable is already used in gnustep-base to do the same job.
	* spec-rules.template, spec-debug-rules.template, 
	spec-debug-alone-rules.template: Updated for change.

2001-01-17  Adam Fedor  <fedor@gnu.org>

	* library.make (LIBRARY_OBJ_DIR): New redefinable var to specify
	where libraries go. Some packages can specify backend independant
	libs to go in library_combo/..
	* configure.in: Check for libobjc in new dir.
	Avoid referencing problem by just always including the GNUstep
	Headers and Libraries directory in search paths.

Wed Jan 17 16:49:54 2001  Nicola Pero  <nicola@brainstorm.co.uk>
 
	* rpm.make (rpm): Fixed typo in copying tar gz file.
	($(SPEC_FILE)): Fixed typo in checking RPM_DISABLE_RELOCATABLE
	and in PACKAGE_NEEDS_CONFIGURE.
	
Wed Jan 17 13:58:34 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* GNUmakefile.in (cvs-snapshot), (rpm): New targets.
	* source-distribution.make (tgz): Generate .tar.gz rather than
	.tgz.
	* rpm.make: Modified example to use .tar.gz source rather than
	.tgz.
	* gnustep-make.spec.in: Heavily simplified, rewritten. 

Wed Jan 17 10:29:22 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* rpm.make ($(SPEC_FILE)): Add line to set %{gs_configure} to YES
	or NO in the rpm spec file according to PACKAGE_NEEDS_CONFIGURE
	variable.
	* spec-rules.template: Run configure if %{gs_configure} is YES.
	* spec-debug-rules.template: Idem.
	* spec-debug-alone-rules.template: Idem.

	* source-distribution.make (tgz): Added a dependency of `tgz' from
	`distclean'.
	* rpm.make (rpm): Build tgz - which involves a make distclean -
	before specfile.

	* spec-debug-rules.template (%install): Fixed generation of non
	debugging file list; fixed and uncommented filtering of debugging
	file list through the non debugging one.

	* rpm.make ($(PACKAGE_NAME)-debug.spec.in): Do not any longer 
	generate it from the non debugging one.
	
Tue Jan 16 19:52:58 2001  Nicola Pero  <n.pero@mi.flashnet.it>

	* aggregate.make: Fixed to work with empty $(SUBPROJECTS) as well.

Tue Jan 16 19:01:21 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	RPM support redesigned and rewritten from scratch.
	* source-distribution.make: New file.
	* rpm.make: Rewritten from scratch.
	* spec-rules.template: New file.
	* spec-debug-rules.template: New file.
	* spec-debug-alone-rules.template: New file.
	* template-spec.in: Removed.
	* rules.make: Include source-distribution.make.
	* common.make: Removed the new variables for installation.
	* application.make, bundle.make, framework.make, target.make:
	Reverted to old code.
	* file-list.make: Removed.
	* rules.make: Do not include file-list.make
	* log_install_dir.sh.in: Removed.
	* log_install_ln_s.sh: Removed.
	* log_install.sh: Removed.
	* install-complete-dir.sh.in: Removed.
	* GNUmakefile.in: Updated for added/removed files.
	* configure.in (AC_OUTPUT): Removed install-complete-dir.sh and
	log_install_dir.sh.
	* configure: Regenerated.
	
Mon Jan 15 16:45:48 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* common.make (REMOVE_INSTALLED_DIR): New variable to be used to
	remove an installed dir.
	* application.make (internal-app-install): Use it.
	* bundle.make (internal-bundle-install): Idem.
	* framework.make (internal-framework-install): Idem. 
	* framework.make (internal-framework-install): Use
	REMOVE_INSTALLED_LN_S.
	* file-list.make (REMOVE_INSTALLED_DIR): Redefine to do nothing.

	Made file list rpm specific - so it is now suitable to be included
	directly with `%file -f' directives into rpm spec files.
	* file-list.make: Add an `%attr (-, root, root)' at the beginning
	of the file list.
	* log_install_dir.sh.in: Rpm specific fix - output `%dir' before
	the directory name.

	* file-list.make (FILE_LIST): Output different file list 
	for debugging and non-debugging cases.
	
2001-01-13  Adam Fedor  <fedor@gnu.org>

	* openapp.in (additional_library_paths): Set for FLATTENED structure
	* debugapp.in: Add FLATTENED structure support.
	(fix from Frederic <frederic.chauvin@noos.fr>).

	* GNUmakefile.in: Add target to make dist file.

Fri Jan 12 17:38:06 2001  Nicola Pero  <nicola@brainstorm.co.uk>

	* configure.in (AC_OUTPUT): Added install-complete-dir.sh and
	log_install_dir.sh.
	* configure: Regenerated.
	* log_install_sh: New file.
	* log_install_ln_s.sh: New file.
	* log_install_dir.sh.in: New file.
	* install-complete-dir.sh.in: New file.
	* GNUmakefile.in (MAKE_FILES): Added file-list.make.
	* GNUmakefile.in (install): Install log_install.sh,
	log_install_ln_s.sh, log_install_dir.sh, install-complete-dir.sh.
	* rules.make: Include file-list.make.
	* file-list.make: New file.
	* target.make (AFTER_INSTALL_SHARED_LIB_COMMAND): Use
	$(REMOVE_INSTALLED_LN_S) rather than rm -f, and $(INSTALL_LN_S)
	rather than $(LN_S).
	* common.make: Define INSTALL_LN_S to be the same as LN_S;
	REMOVE_INSTALLED_LN_S to be rm -f; INSTALL_COMPLETE_DIR to point
	to the install-complete-dir.sh script.
	* application.make: Use INSTALL_COMPLETE_DIR when installing.
	* bundle.make: Idem.
	* framework.make: Idem.
	
2001-01-10  Adam Fedor  <fedor@gnu.org>

	* Version: Prerelease version 0.9.0

	* Documentation/GNUmakfile.in: New targets to make documentation.
	* Documentation/make.texi: New file
	* aclocal.m4: Set CPPFLAGS not CFLAGS

2001-01-08  Adam Fedor  <fedor@gnu.org>

	* GNUmakefile.in (MAKE_FILES): Add rpm.make and template.spec.in
	* rules.make: Include rpm.make
	* rpm.make: New file
	* template.spec.in: New file.

	* config.make.in: Set CONFIG_SYSTEM_INCL to CPPFLAGS (since most
	CPPFLAGS are really include directives).
	* brain.make (SYSTEM_INCLUDES): Include CONFIG_SYSTEM_INCL.
	This makes sure these includes can be overriden in GNUmakefiles

	* config_thread.m: Include impl of NXConstantString for shared libobjc
	that doesn't include it.
	
	* configure.in: Check for alternate shared libobjc library also.
	Compile config_thread.m as objective-c program.
	Set enable-ffcall to be yes by default (unless libs aren't installed).
	* Version: New file.

2001-01-03  Adam Fedor  <fedor@gnu.org>

	* configure.in: Change test for objc forwarding hook to match gcc
	patch.

2001-01-02  Adam Fedor  <fedor@gnu.org>

	* bundle.make (BUNDLE_FILE): Use INTERNAL_bundle_NAME.
	($(BUNDLE_DIR_NAME)/Contents/Info.plist): Likewise.
	($(BUNDLE_DIR_NAME)/Resources/Info.plist): Likewise.
	(Fixes building of multiple bundles in one directory).

2000-01-02  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* target.make (SHARED_LIB_LINK_CMD, SHARED_FRAMEWORK_LINK_CMD): removed
	TARGET_SYSTEM_LIBS.
	* ld_lib_path.sh, ld_lib_path.csh: fixed path for framework libraries.

2000-12-26  Adam Fedor  <fedor@gnu.org>

	* configure.in: Look for libxml2 (patch from Kim Shrier
	<kim@tinker.com>).

Mon Dec 25 01:20:25 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* library.make (internal-library-all): Bug fix: removed duplicated
	before-all and after-all.  They are already in rules.make and so
	they were executed twice.

2000-12-18  Nicola Pero  <n.pero@mi.flashnet.it>

	* bundle.make ($(BUNDLE_DIR_NAME)/Resources/Info.plist): Readded
	rule which had been accidentally deleted.

2000-12-18  Richard Frith-Macdonald <rfm@gnu.org>

	* bundle.make: Add a couple of missing backslashes as reported by
	enrico@imago.ro

2000-12-14  Adam Fedor  <fedor@gnu.org>

	* configure.in (CFLAGS): Strip -g (debug=yes adds that automatically).

2000-12-13  Adam Fedor  <fedor@gnu.org>

	* configure: Fix mistaken setting of CPPFLAGS from CFLAGS.

2000-12-12  Adam Fedor  <fedor@gnu.org>

	* bundle.make (build-macosx-bundle): Build suitable files for
	MacOSX bundle (fixes from Helge Hess <helge.hess@skyrix.com>).
	* GNUmakefile.in (install): Make Tools ...LDIR (For win32 machines).
	* setlocaltz.sh: Correct location of NSTimeZones (fixes from 
        Tomas Hurka <tom@hukatronic.cz>.).

2000-12-08  Adam Fedor  <fedor@gnu.org>

	* configure.in: Add check for --enable-ffcall
	* Documentation/GNUmakefile.in: New file.
	* Documentation/install.texi: New file.
	* Documentation/readme.texi: New file.
	* README, INSTALL: Regenerate.

2000-12-06  Richard Frith-Macdonald <rfm@gnu.org>

	* openapp.in:
	* opentool.in: Updated for flattened directory structure.
	* application.make:
	* gswapp.make:
	* service.make:
	* woapp.make:
	* wobundle.make: Fix 'clean' for flattened structure.

2000-12-04 Georg Fleischmann <georg@vhf.de>

	* subproject.make: workaround for empty list in for loops added.

2000-12-05  Richard Frith-Macdonald <rfm@gnu.org>

	* GNUmakefile.in:
	* GNUstep.csh.in:
	* GNUstep.sh.in:
	* MediaBook.func:
	* README:
	* application.make:
	* brain.make:
	* bundle.make:
	* common.make:
	* configure:
	* configure.in:
	* ctool.make:
	* framework.make:
	* gswapp.make:
	* gswbundle.make:
	* ld_lib_path.csh:
	* ld_lib_path.sh:
	* library.make:
	* palette.make:
	* service.make:
	* target.make:
	* tool.make:
	* woapp.make:
	* wobundle.make:
	Updated for flattened directory structure - use GNUSTEP_XXX_DIR and
	GNUASTEP_XXX_LDIR for referring to directories with and without the
	library combo.  Localise changes as much as possible.

Mon Nov 27 16:28:12 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* documentation.make (internal-doc-clean): Ignore errors when
	removing the HTML generated from latex - because the error could
	be caused by a CVS subdir.
	(internal-doc-distclean): for latex, don't remove HTML document
	directory (might contain CVS subdir).
	(internal-doc-install): For latex2html, install only html and css
	files and not the full latex2html output.
	(internal-doc-uninstall): For latex2html, uninstall only html and
	css files.
	
2000-11-18  Richard Frith-Macdonald <rfm@gnu.org>

	* configure.in: Check for GMP

Thu Nov 16 14:56:35 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* documentation.make (internal-doc-all): Fixed dependency of LaTeX
	output on all LATEX_FILES.  (internal-doc-clean): Remove generated
	.aux files if LaTeX is involved.  (internal-doc-distclean): Remove
	any .aux files in the directory if LaTeX is involved.

2000-11-15  Richard Frith-Macdonald <rfm@gnu.org>

	* configure.in: Check for OpenSSL

Tue Nov 14 23:47:11 2000  Adam Fedor  <fedor@yogi.doc.com>

	* GNUstep.sh.in: Use grep instead of fgrep. Some OSs (Solaris)
	can't deal with fgrep -v
	* ld_library_path.sh: Likewise

2000-11-06  Adam Fedor  <fedor@gnu.org>

	* documentation.make: Remove conversion of tmpl.texi files to
	texi files (no longer necessary).

Mon Nov  6 16:43:22 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUmakefile.in (install): Create the
	System/Documentation/Developer and System/Documentation/User
	directories.
	* common.make (GNUSTEP_DOCUMENTATION): Changed to be
	$(GNUSTEP_INSTALLATION_DIR)/Documentation rather than
	$(GNUSTEP_INSTALLATION_DIR)/Libraries
	* rules.make: Added DOC_INSTALL_DIR and LATEX_FILES.
	* documentation.make: Major improvement.  Implemented installation
	and uninstallation of documentation, and support for LaTeX based
	documentation projects.
	
2000-11-04  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* configure.in: fixed gtar checking.

2000-10-29  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* framework.make (FRAMEWORK_WEBSERVER_RESOURCE_DIRS),
	(framework-components), (framework-webresource-dir): 
	(framework-webresource-files), (framework-localized-webresource-files):
	new specific gsweb targets.
	* subproject.make (framework-components), (framework-webresource-dir),
	(framework-webresource-files), (framework-localized-webresource-files):
	likewise.
	* rules.make (SUBPROJECT_ROOT_DIR): new variable.
	* gswapp.make ($(GSWAPP_FILE)): added ALL_FRAMEWORK_DIRS

2000-10-28  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* configure.in:  added --with-libxml-include, --with-libxml-library
	and --with-libiconv-library.
	Added -I/usr/local/include and -L/usr/local/lib for FreeBSD.

	* framework.make: new file.
	* common.make: added common frameworks defines (library, header paths).
	* bundle.make: added ALL_FRAMEWORKS_DIRS
	* rules.make: added frameworks headers flags. Prebuild framework
	header dir. Set framework name/dir/version.
	* subproject.make: build framework headers and resource files.
	* target.make: added SHARED_FRAMEWORK_LINK_CMD
	* tool.make: added ALL_FRAMEWORKS_DIRS
	* ld_lib_path.csh: added paths for frameworks.
	* ld_lib_path.sh (lib_paths): added paths for frameworks.
	* GNUmakefile.in (MAKE_FILES): added framework.make

Thu Oct 19 15:46:02 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* opentool.in: Fix for passing arguments protected by quote.
	* openapp.in: Idem.
	
2000-10-17  Adam Fedor  <fedor@gnu.org>

	* target.make (OpenBSD): Add -fpic to SHARED_CFLAGS. 

Fri Oct 13 11:26:49 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* service.make (internal-svc-distclean): Remove the service 
	directory when making a distclean.

2000-10-02  Adam Fedor  <fedor@gnu.org>

	* configure.in: Work even if $av_cv_lib_iconv_main not defined.

2000-09-29  Richard Frith-Macdonald <rfm@gnu.org>

	* configure.in: Check for libxml 2.2.3 or later

Tue Sep 26 10:21:51 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* application.make: Use opentool when running plmerge.
	* service.make: Use opentool when running make_services.

2000-09-25  Adam Fedor  <fedor@gnu.org>

	* common.make (JAVA_HOME): Revert previous change.

2000-09-20  Adam Fedor  <fedor@gnu.org>

	* bundle.make (internal-bundle-install): Fix previous fix.
	* target.make: Don't define BUILD_DLL if shared=no.

2000-09-18  Adam Fedor  <fedor@gnu.org>

	* configure.in: Check for mingw also
	* bundle.make (internal-bundle-install): Correct tar command.

2000-09-14  Adam Fedor  <fedor@gnu.org>

	* configure.in: Check for iconv support.

2000-09-13  Adam Fedor  <fedor@gnu.org>

	* config.make.in: Add CPPFLAGS

2000-09-11  Adam Fedor  <fedor@gnu.org>

	* library.make (DLL_INSTALLATION_DIR): New default location for
	installing DLLs.

	* common.make (JAVA_HOME): Check if 'which' returns a path.

2000-09-11  Richard Frith-Macdonald <rfm@gnu.org>

	* configure.in: Added test for libxml so we link with it if it is
	available.

2000-08-30  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* configure.in: Check for gtar.
	* config.make.in: New definition for TAR.

Thu Aug 17 09:28:22 2000  Adam Fedor  <fedor@ultra.doc.com>

	* configure.in: Use CC_FOR_BUILD when checking for mingw32.

Wed Aug 16 18:24:13 2000  Adam Fedor  <fedor@ultra.doc.com>

	* mkinstalldirs: Test if mkdir accepts -p arg.

2000-08-06  Adam Fedor  <fedor@gnu.org>

	* Version 0.6.6 released.

2000-08-02  Adam Fedor  <fedor@gnu.org>

	* GNUstep.sh.in: Add GNUSTEP_NETWORK_ROOT back into prefix list.
	* GNUstep.csh.in: Likewise. (patches from Jeff Teunissen 
	<deek@dusknet.dhs.org>).

Sat Jul 29 22:49:23 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* rules.make: Added again rule for APPLICATION_ICON which had 
	been lost.

Fri Jul 28 14:45:21 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* jni.make: New file to be included when compiling JNI projects.
	* GNUmakefile.in (MAKE_FILES): Added jni.make.

Fri Jul 28 12:17:02 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* common.make: Set INTERNAL_JAVACFLAGS and INTERNAL_JAVAHFLAGS to
	specify classpath adding ./ at the beginning.
	* rules.make: Changed ALL_JAVAFLAGS to ALL_JAVACFLAGS.

Thu Jul 27 18:03:34 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* common.make (JAVA_HOME): Set JAVA_HOME if not set, guessing if
	appropriate; set JAVAC and JAVAH from JAVA_HOME if needed.

Tue Jul 25 15:01:43 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	Added support to build jni headers from java classes.
	* rules.make: Added rules to build jni headers from java classes
	using JAVAH; added JAVA_JNI_OBJ_FILES, JAVA_JNI_OBJS; added
	ALL_JAVAHFLAGS.
	* java.make (internal-java_package-all): Build also JAVA_JNI_FILES
	(internal-java_package-clean): Remove the jni headers too.
	
2000-07-21  Richard Frith-Macdonald <rfm@gnu.org>

	* GNUmakefile.in: Use C version of which_lib exclusively.

2000-07-18  Richard Frith-Macdonald <rfm@gnu.org>

	* ctool.make: Changed installation dir to be CTOOL_INSTALLATION_DIR
	and fixed it to install above the objc library based directory.

2000-07-16  Adam Fedor  <fedor@gnu.org>

	* palette.make (PALETTE_INSTALL_DIR): Default to GNUSTEP_PALETTES
	if not set.

	* GNUmakefile.in: Use C version of which_lib exclusively.

2000-07-14  Adam Fedor  <fedor@gnu.org>

	* common.make (GNUSTEP_HEADERS_GUI_FLAG): Remove.

2000-06-30  Adam Fedor  <fedor@gnu.org>

	* GNUstep.sh.in: Add .../${LIBRARY_COMBO} dir back into path (for
	DLL search).
	* configure.in: Always run search for libwraster.

	* bundle.make: Filter '-' out of defines.
	* ctool.make: Likewise.
	* rules.make: Likewise.
	* tool.make: Likewise.
	* woapp.make: Likewise.
	* wobundle.make: Likewise.

2000-06-27  Adam Fedor  <fedor@gnu.org>

	* common.make (OPTFLAG): Remove -fno-strict-aliasing (Doesn't 
	work on old gcc2.8.0).
	* target.make (solaris/TARGET_SYSTEM_LIBS): Re-add posix4 when threaded
	(Solaris/BUNDLE_LDFLAGS): Go back to old flags - new ones don't
	work with gcc 2.8.0.
	* configure.in: Cache search for libwraster, fix searching for
	other graphics libs.
	* GNUstep.csh.in: Shorted GNUSTEP_PATHPREFIX_LIST since length of
	variable breaks some csh's. Check if CALSSPATH exists before setting.

2000-06-22  Adam Fedor  <fedor@gnu.org>

	* configure.in: Fix for exporting vars on old sh's.

Thu Jun 22 18:58:41 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* common.make (JAVAH): Set it to 'javah' if null.

2000-06-21  Adam Fedor  <fedor@gnu.org>

	* configure.in: Check for alternate objc libraries

	* library.make: Clean the library_name of '-' so it can be
	used in a define.

	* target.make: Target for cygwin

Wed Jun 21 12:35:43 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	Rewritten and simplified java support.
	* GNUstep.sh.in: Only append to the CLASSPATH if not already there. 
	* GNUstep.csh.in: Simplified java classpath.
	* brain.make (SYSTEM_INCLUDES): Removed JAVA_INCLUDES.
	* common.make (JAVAC): Set it to 'javac' only if it is null, 
	so it can be overridden.
	* common.make (GNUSTEP_JAVA): New variable.
	* config.make.in: Removed old java code.
	* configure.in: Idem.
	* configure: Rebuilt.
	* openapp.in: Removed old java code.
	* rules.make: Completely remanaged java stuff.

	* GNUmakefile.in (MAKE_FILES): Added java.make.
	* java.make: New makefile for compiling not-GNUstep java 
	packages.

Tue Jun 20 19:59:19 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* objc.make (internal-objc_program-install): Depend on building
	the program first.

2000-06-19  Adam Fedor  <fedor@gnu.org>

	* bundle.make (bundle-resource-files): Remove dependancy on 
	RESOURCE_FILES, which may not exist

	* configure.in: Add test for cygwin

2000-06-12  Adam Fedor  <fedor@gnu.org>

	Patches from Helge Hess for Windows/DLL support
	* GNUmakefile.in: Use  perl which_lib script on machines that have it.
	* GNUstep.csh.in: Remove GNUSTEP_NETWORK_ROOT from PATHPREFIX_LIST.
	* GNUstep.sh.in: Likewise.

	* common.make: Add some new default directories. Support for 
	runtime with GC.
	* config.guess: Add check for mingw32.
	* configure.in: Likewise. Check for perl.

	* brain.make: Add flags for libFoundation with GC. Add WO library flags.
	* bundle.make: Add support for DLLs on Windows.
	* ctool.make: Likewise.
	* library.make: Likewise.
	* rules.make: Likewise. Handle subdirs better. WO Resources
	* tool.make: Likewise.

	* target.make: Handle mingw32.

	* which_lib.c: Handle \r\n on Windows.
	(pathes from Helge Hess  <helge.hess@mdlink.de>, modified by
	fedor@gnu.org).

Wed May  3 18:07:54 2000  Nicola Pero  <nicola@brainstorm.co.uk>

	* library.make: Use 'override' flag to force substitution of
	variable which otherwise was not taking place.

2000-05-01  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* clean_os.sh: removed os version number for FreeBSD-elf

2000-04-21  Jonathan Gapen  <jagapen@whitewater.chem.wisc.edu>

	* application.make: Incorporate appnameInfo.plist into Info.plist
	using plmerge tool.

2000-04-20  Adam Fedor  <fedor@gnu.org>

	* configure.in (libwraster): Make sure we have version 2.0.

2000-04-13  Adam Fedor  <fedor@gnu.org>

	* gswapp.make: Remove common.make include.
	* gswbundle.make: Likewise.

2000-04-06  Richard Frith-Macdonald <rfm@gnu.org>

	* target.make: If 'shared=no' is specified, link with '-static' to
	force static link.
	Add library fixes for HPUX
	* ld_lib_path.sh: Added setup for HPUX
	* ld_lib_path.ssh: ditto

2000-03-27  Adam Fedor  <fedor@gnu.org>

	* documentation.make: Correct cp typo.

2000-03-20  Adam Fedor  <fedor@gnu.org>

	* gswapp.make: include common.make for TAR
	* gswbundle.make: Likewise.

	* GNUstep.sh.in: Replace pushd/popd with cd equivalent since not
	all OS's have it.

	* bundle.make: Include localization support (from gswbundle.make)
	(Patch from Jonathan Gapen <jagapen@whitewater.chem.wisc.edu>)

	* documentation.make: Take out sed of @email and @url since
	texinfo has them now.

	* configure.in (GRAPHIC_LIBS): Check for libXmu if libwraster
	not found. Add X libs if libwraster not found.

2000-03-19  Richard Frith-Macdonald <rfm@gnu.org>

	* rules.make: added rule for GSDOC
	* documentation.make: added gsdoc make rules.

2000-03-11  Adam Fedor  <fedor@gnu.org>

	* brain.make: Use new GRAPHIC_ variables. Remove old TIFF, JPEG
	and X varialbles.
	* config.make.in: Likewise.
	* configure.in: Check for wraster library. Avoid checking for
	tiff, jpeg, etc, if found.

2000-03-06  Adam Fedor  <fedor@gnu.org>

	* config.guess: Better guess of NetBSD systems.
	* target.make: Support for shared libs on NetBSD. (patch from 
	Peter Cooper <comrade@obverse.com.au>).

	* makeinstalldirs: Add '-p' option to mkdir, which prevents
	race condition when running make with the '-j' option. Some
	makes may not have this option, so we'll see if this works.

Fri Feb 25 13:32:00 2000  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* rules.make: replace rule for PALETTE_ICON that somehow got lost.

Thu Feb 24 21:12:00 2000  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* bundle.make: fixes to permit use of BUNDLE_INSTALL_DIR variable.
	patch by jagapen@whitewater.chem.wisc.edu

2000-02-23  Adam Fedor  <fedor@gnu.org>

	* configure.in: Make separate sytem root the default. Disable by
	using --without-system-root when configuring.

	* rules.make: Change compilation rule so filename is at beginning
	of line (patch from David Relson <relson@expressgate.net>).

2000-02-20  Matthias Klose  <doko@cs.tu-berlin.de>

	* names.make: GNUSTEP_HOST: Use value of GNUSTEP_HOST_GUESS.
	* GNUstep.csh.in: Use GNUSTEP_MAKEFILES.

2000-02-18  Adam Fedor  <fedor@gnu.org>

	* GNustep.sh.in: Use pushd/popd to changes dirs.

2000-01-26  Adam Fedor  <fedor@gnu.org>

	* rules.make: Revert previous change of parens around tmp.

2000-02-18  Adam Fedor  <fedor@gnu.org>

	* Version: 0.6.5 Released.

2000-02-16  Adam Fedor  <fedor@gnu.org>

	* GNUmakefile.in: Standardize prefix/GNUSTEP_INSTALLATION_DIR
	settings.
	* gnustep-make.spec: Newfile

	* common.make: Add default installation dirs.
	* bundle.make: Use default installation dir.
	* ctool.make: Likewise.
	* objc.make: Likewise.
	* palette.make: Likewise.
	* tool.make: Likewise.

	* GNUstep.csh.in: Use pushd/popd to changes dirs.

2000-02-08  Adam Fedor  <fedor@gnu.org>

	* config.guess: New version
	* config.sub: Likewise.

2000-01-24  Adam Fedor  <fedor@gnu.org>

	* names.make (GNUSTEP_HOST_GUESS): New variable. Evaluate config.guess
	and config.sub separately.

2000-01-22 Manuel Guesdon <mguesdon@sbuilders.com>

	* gswapp.make, gswbundle.make: tar options changed 
	
2000-01-22 Manuel Guesdon <mguesdon@sbuilders.com>

	* GNUmakefile: add gswapp.make and gswbundle.make
	
2000-01-22 Manuel Guesdon <mguesdon@sbuilders.com>

	* rules.make and bundle.make: changes for GNUstepWeb
	* gswapp.make and gswbundle.make: added
	
2000-01-14  Adam Fedor  <fedor@gnu.org>

	* GNUstep.csh.in (GNUSTEP_LOCAL_ROOT): Use correct quotes.

Sun Jan  9 00:16:15 2000  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUmakefile.in (install): Create directory
 	$(prefix)/Library/Colors to store color lists.

Fri Jan  7  6:05:00 2000  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* application.make: use xxx_PRINCIPAL_CLASS to override the value
	of NSExecutable in Info.plist so we can have callses other than
	NSApplication as the app class.
	* palette.make: use PRINCIPAL_CLASS rather than PALETTE_CLASS
	* rules.make: remove PALETTE_CLASS

1999-12-09  Adam Fedor  <fedor@gnu.org>

	* rules.make: Remove paren's from around tmp to stop spurious
	evaluation (suggested by Jonathan Gapen
	<jagapen@whitewater.chem.wisc.edu>).

Tue Dec  7  5:24:00 1999  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* rules.make: Escape some dollar signs - patch by Jonathon Gapen
	for an earlier fix somehow reverted.

1999-12-02  Adam Fedor  <fedor@gnu.org>

	* GNUstep.csh.in: Run GNUSTEP_HOST through config.sub to get correct
	CPU, etc.
	* GNUstep.sh.in: Likewise.
	* debugapp.in: Likewise.
	* executable.template.in: Likewise.
	* names.make: Likewise.
	* openapp.in: Likewise.
	* opentool.in: Likewise.

Fri Nov 12 11:52:14 1999  Lyndon Tremblay <ltremblay@mezzanine.xnot.com>

	* rules.make: Moved some Java rules into gstep-java.
	
Fri Nov 12  7:43:00 1999  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* GNUstep.sh.in: Fix error in exporting CLASSPATH

Fri Nov 12  6:36:00 1999  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* which_lib.c: Fix for bug reported by Pascal Bourguignon.
	If 'shared=no' and 'debug=yes', but no debug library exists, then
	find a static library.

Thu Nov 11 12:22:00 1999  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* GNUstep.csh.in: Fix for typo reported by Pascal Bourguignon.

1999-11-11  David Lazaro Saz  <khelekir@encomix.es>

	* configure.in (objc_thread_lib): Added support for FreeBSD native
	POSIX threads (from libc_r).  Made this the first option to test as
	this is the best working one.
	* configure: New build to support the above mentioned.

Wed Nov 10 12:05:16 1999  Lyndon Tremblay <ltremblay@mezzanine.xnot.com>

	* library.make: Added some uninstalling commands, specifically,
	when the 'LIBRARY_NAME.so' file links to 'LIBRARY_NAME_d.so',
	remove that stale link. (using if [ ! -e <link ], maybe that's wrong,
	but it works)
	* rootinstall.sh: changed rooot to root.
	* tool.make: Also added install commands here, to remove the
	'GNUSTEP_INSTALLATION_DIR/Tools/<toolname>' script as well as the
	real tool binary.
	
Mon Nov 08 11:41:00 1999  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* names.make: Fix to run config scripts in /tmp in order to avoid
	directory permission problems in current directory.

Sun Nov 07 14:00:00 1999  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* common.make: define GSWARN unless 'warn=no' is on command line.

Fri Nov 05 11:23:00 1999  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* application.make: Added comment about including info.plist stuff.
	* bundle.make: Added support for inclusion of info.plist stuff.

1999-10-03  Lyndon Tremblay  <ltremblay@mezzanine.xnot.com>

	* GNUstep.sh.in: Added CLASSPATH settings.
	* GNUstep.csh.in: Likewise, untested.
	
1999-10-02  Lyndon Tremblay  <ltremblay@mezzanine.xnot.com>

	* target.make: Links LIBNAME.so to LIBNAME_d.so, so you can build
	applications without debug, but using the GNUstep debug libraries.
	Needs to be added for other systems, I don't want to risk it, I don't
	have any besides Linux ELF.
	* rules.make: Added Java classpath, and working Java dependency per
	Java package name; (org.gnu.gnustep.HiClass ->
		GNUSTEP_SYSTEM_ROOT/Java/org/gnu/gnustep/HiClass.class, etc)
	
1999-10-01  Lyndon Tremblay  <ltremblay@mezzanine.xnot.com>

	* openapp.in: Added working Java application support
	* rules.make: Likewise, and general Java changes.
	
1999-10-01  Lyndon Tremblay  <ltremblay@mezzanine.xnot.com>

	* java-wrapper.make: Removed.
	* java-application.make: Removed.
	* java-executable.template: Removed.

	These will be added in gstep-java.

1999-10-30  Lyndon Tremblay  <ltremblay@mezzanine.xnot.com>

	* brain.make: Added Java support.
	* common.make: Likewise
	* config.make.in: Added JAVA_INCLUDE/JAVAC vars.
	* configure: New build for Java support.
	* configure.in: Added JAVA_INCLUDE/JAVAC vars.
	* java-application.make: Added, but not worked on yet.
	* java-executable.template: Added basics, not complete.
	* java-wrapper.make: Working as close to Apple's bridget tool as I know.
	* rules.make: Added Java support.

	NOTE: building a java wrapper right now is basically useless now, until
	I commit the bridging library and tools, which are in the works.
	

1999-10-23  Adam Fedor  <fedor@gnu.org>

	* debugapp: Allow debugger to be set from environment (patch from 
	<davidl@wpi.edu>).

	* depend.make: New file - first try at dependency processing from
	Kai Henningsen <kai@cats.ms>.

1999-10-17  Adam Fedor  <fedor@gnu.org>

	* target.make (OSF): Set SHARED_LIBRARIES to yes.

	* configure.in (GNUSTEP_PREFIX): Was set in wrong place for
	separate system root.

1999-10-14  Adam Fedor  <fedor@gnu.org>

	* target.make (AUXILIARY_CPPFLAGS): Change from ADDITIONAL... so
	it doesn't get reset by other Makefiles

1999-10-11  Lyndon Tremblay <humasect@coolmail.com>

	* debugapp: Added support for core files, if found

1999-10-11 Adam Fedor <fedor@gnu.org>

	* Allow for separate System root directory and other changes
	suggested by Dennis Leeuw <adl@casema.net>.
	* configure.in: Add test for separate system root directory.
	* GNUmakefile.in (GNUSTEP_PREFIX): Absolute GNUstep root. Move
	man and info dirs to separate Documentation dir.
	* GNUstep.csh.in: (GNUSTEP_ROOT): Absolute root. Define Local dir
	interms of this. Add Network dir.
	* GNUstep.sh.in: Likewise.
	* common.make: Move documentation dirs. Add Network dir info.
	Look for gui Headers in gnustep/AppKit. 
	* rules.make: Add Network dir info.

Tue Sep 28 19:05:00 1999  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* brain.make: Define GS_WITH_GC and link with gc version of objc
	runtime if 'gc=yes' on command line.

Fri Sep 24 19:30:00 1999  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* GNUstep.csh.in: Fix so that paths are set up correctly again.
	* GNUstep.sh.in: Fix so that paths are set up correctly again and
	add checks to try to avoid duplicating information in paths.
	* ld_lib_path.sh: Add checks to try to avoid duplication in path.

Mon Sep 20  9:40:00 1999  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	Patch from cls@seawood.org -
	* GNUstep.sh.in: avoid multiple GNUstep entries in path
	* GNUstep.csh.in: avoid multiple GNUstep entries in path

Sun Sep 19  1999  Nicola Pero  <n.pero@mi.flashnet.it>

	* bundle.make (internal-bundle-distclean): Added
	$(BUNDLE_DIR_NAME) so that the bundle is removed on distclean.

Fri Sep 17  1999  Nicola Pero  <n.pero@mi.flashnet.it>

	* rules.make (distclean): added test, so that distclean invokes
	clean only in the top dir.  This avoids having 'make clean'
	executed uselessly a lot of times in subdirs.

1999-09-14  Adam Fedor  <fedor@gnu.org>

	* common.make, config.make.in: Remove -o from LDFLAGS.
	* application.make, bundle.make, ctool.make, objc.make,
	service.make, target.make, test-library.make, tool.make: Add -o
	in LD command.

1999-09-11  Adam Fedor  <fedor@gnu.org>

	* target.make: Remove two erronous newlines in the MacOSX section.

1999-09-07  Adam Fedor  <fedor@gnu.org>

	* Version: 0.6.0

	* GNUstep.csh.in: Don't set GNUSTEP_HOST if already set.
	* GNUstep.sh.in: Likewise.

	* configure.in: Add test for solaris libraries

	* target.make: Use -lposix for Solaris (regardless of threaded).

1999-09-07  David Lazaro Saz  <khelekir@encomix.es>

	* configure.in: Added threading support for FreeBSD.
	* target.make: Likewise.
 
1999-08-15  Adam Fedor  <fedor@gnu.org>

	* subproject.make (internal-subproj-all): Make sure files from
	subprojects of subprojects get linked. (Patch from Pedro Ivo 
	Andrade Tavares <ptavares@iname.com>).

	* target.make: Add partial OSF support.

1999-08-09  Adam Fedor  <fedor@gnu.org>

	* GNUstep.csh.in: Fix the setting of GNUSTEP_MAKEFILES (patch
	from Christopher Seawood <cls@seawood.org>).

	* target.make: Change freebsd3 to freebsd to find all versions,
	except put freebsd2 first so it is still unique.

1999-08-09  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	Fixes so that things don't bomb out if you don't have write access
	to your current directory.
	* GNUstep.csh.in: Run config.guess in /tmp
	* GNUstep.sh.in: ditto
	* executable.template.in: ditto
	* openapp.in: ditto
	* opentool: ditto
	* opentool.in: ditto

1999-08-03  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* application.make: Make installation directory if necessary.

1999-08-01  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	Fix suggested by beppu@rigel.oac.uci.edu
	* GNUstep.sh.in: Put GNUSTEP_MAKEFILES in the environment.
	* GNUstep.csh.in: Likewise

1999-07-29  Adam Fedor  <fedor@gnu.org>

	* config.guess: Updated from latest version + fix for Netwinder.
	* config.sub: Likewise.

	* subproject.make: Add install targets for headers (Patch from
	Pedro Ivo Andrade Tavares <ptavares@iname.com>).

	* target.make: Add MacOSX target (from Helge Hess <hh@mdlink.de>).

1999-07-26  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* GNUstep.sh.in: Safe and restor value of IFS as suggested by
	prashant singh

1999-07-15  Adam Fedor  <fedor@gnu.org>

	* application.make: Force Info-gnustep.plist to be remade everytime

	* GNUstep.sh.in: Add $GNUSTEP_SYSTEM_ROOT/Libraries/man to MANPATH
	* GNUstep.csh.in: Likewise.

1999-07-14  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* target.make: Patch for threads on Solaris by bgg@itga.com.au

1999-07-05  Adam Fedor  <fedor@gnu.org>

        * configure.in: Fix prefix check.
	
1999-06-28  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* GNUstep.csh.in: Include Tools/host-cpu/host-os in path for any
	utilities that are installed without a startup script.
	* GNUstep.sh.in: ditto.

1999-06-24  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* common.make: include -Wall when building for debug

1999-06-16  Adam Fedor  <fedor@gnu.org>

	* executable.template.in: Add double quotes around $@ to quote
	arguments properly (Suggested by Roman Puttkammer
	<puttkamm.ny@fp.cibc.com>).

Fri Jun 11 17:23:59 1999  Adam Fedor  <fedor@ultra.doc.com>

	* executable.template.in: Fixes to work on Solaris

1999-06-03  Adam Fedor  <fedor@gnu.org>

	* ctool.make: New file for making C tools.
	* GNUmakefile.in: Install it.
	* whichlib.pl.in: Bug fixes.
	* GNUstep.csh.in: Fix up PATHPREFIX expansion 
	(patches and files from from Helge Hess <hh@mdlink.de>)

	* GNustep.sh.in: Insert GNUstep path before PATH.

1999-06-01  Adam Fedor  <fedor@gnu.org>

	* executable.template.in: New file to be used as shell script
	application/tool starter.
	* configure.in: Configure it.
	* GNUmakefile.in: Install it.
	* GNUstep.sh.in: Use simpler path and add GNUSTEP_PATHPREFIX_LIST
	* GNUstep.csh.in: Likewise.
	* openapp.in: Use GNUSTEP_PATHPREFIX_LIST and simpler path search
	* debugapp.in: Likewise.
	* application.make: Copy it to main app directory (using app name).
	* tool.make: Install it to main Tool directory when installing.

Fri May 28  6:10:00 1999  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* application.make: Incorporate appnameInfo.plist into the Info.plist
	if it exists.

Wed May 19 10:20:00 1999  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* rules.make: Add APPLICATION_ICON
	* application.make: Use APPLICATION_ICON to add icon name to plist

1999-04-27  Adam Fedor  <fedor@gnu.org>

	* congif.site (includedir): Put include files in Headers, not in
	OS/CPU specific dir.

1999-04-22  Adam Fedor  <fedor@gnu.org>

	* GNUstep.csh.in: Don't define LIBRARY_COMBO if already set.
	* GNUstep.sh.in: Likewise.

	* configure.in: Check to see if -lz is needed by -ltiff.

	* target.make (SHARED_CFLAGS): Use +z on HP when CC=cc

Wed Apr  7 21:35:00 1999  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* brain.make: Add extension X lib for xgps.

1999-04-01  Adam Fedor  <fedor@gnu.org>

	* configure.in: Handle cross-platform compilation better by
	finding programs with proper prefix for target.
	Look for extra X libs needed by dps.
	* config.make.in (X_PRE_LIBS): Define extra X libs
	* brain.make: Use them.

Wed Mar 31 01:24:50 1999  Masatake Yamato  <masata-y@is.aist-nara.ac.jp>

	* application.make (ALL_GUI_LIBS): Put BACKEND_LIBS after
	GUI_LIBS.  This causes a problem when building a static library.
	The patch is provided by Takaaki MORIYAMA
	<taka@airlab.cs.ritsumei.ac.jp>.
        
1999-03-17  Adam Fedor  <fedor@gnu.org>

	* Fix include/includes problem. Use autoconf 2.13

1999-03-14  Adam Fedor  <fedor@gnu.org>

	* configure.in: Add check for cygwin32

1999-03-12  Adam Fedor  <fedor@gnu.org>

	* target.make: Turn off shared libs for FreeBSD 2.x

Wed Mar 10 15:23:00 1999  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* configure.in: Fix configure to set up installation directory
	correctly when the user doesn't specify the system root directory.

1999-03-08  Adam Fedor  <fedor@gnu.org>

	* Merge dawn branch into main.

Tue Mar  2 08:57:00 1999  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* make/target.make: Include GNUSTEP_SYSTEM_LIBRARIES in link list
	  to fix shared-lib linking error on linux elf.

Tue Mar  2 08:04:00 1999  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* Merge in 'dawn' CVS branch.

1999-02-22  Scott Christley  <scottc@golden.net-community.com>

	* opentool: New file.

1999-02-19  Scott Christley  <scottc@golden.net-community.com>

	* MediaBook.sh (MB_GNUSTEP_SOURCE, MB_FINANCE_SOURCE): New variables.
	(MB.init): Renamed to MBinit.sh and put under GNUSTEP_USER_ROOT.
	* setlocaltz.sh: New file.
	* MediaBook.func: Add help for new commands.

1999-03-08  Adam Fedor  <fedor@gnu.org>

	* Version 0.5.5 Released.

1999-03-05  Adam Fedor  <fedor@gnu.org>

	* brain.make: Switch order of TIFF_INCLUDE and X_INCLUDE.

1999-03-04  Adam Fedor  <fedor@gnu.org>

	* configure.in: Check if tiff libary nees jpeg. Rearrange tiff and
	jpeg checks so they exit if not found and compiling core libraries.
	* config.make.in (JPEG): New variable to hold "-ljpeg" if needed.
	* brain.make: Use it. Switch order of TIFF_LIB and X_LIBS (For solaris).
	
Wed Mar  3 06:56:00 1999  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* configure.in: Fix to detect jpeglib.h on redhat

Tue Mar  2 17:05:57 1999  Adam Fedor  <fedor@ultra.doc.com>

	* configure.in: Make AC_ERROR into AC_WARN (since make could be
	used with non-gui libs).

1999-03-01  Adam Fedor  <fedor@gnu.org>

	* configure.in: New search for DPS libraries.

1999-02-27  Matthias Klose  <doko@cs.tu-berlin.de>

	* make/target.make: Link shared libs against other libs (Linux
	  only, should be possible for all ELF targets).

1999-02-28  Adam Fedor  <fedor@gnu.org>

	* GNUmakefile.in: Use CFLAGS from configure rather than setting
	our own.
	* config.make.in (OPTFLAG): Use CFLAGS from configure.
	* common.make (OPTFLAG): Remove -O if debugging

	* debugapp.in: Remove basename so debugapp can be used to run
	programs in other directories.
	(patches submitted by Christopher Seawood <cls@seawood.org>).

Thu Feb 25 20:25:04 1999  Masatake Yamato  <masata-y@is.aist-nara.ac.jp>

	* service.make ($(SERVICE_DIR_NAME)/Resources/Info-gnustep.plist:): 
	Added contents of SYSTEM_LIB_DIR to LD_LIBRARY_PATH.
	
	* configure.in (AC_ARG_WITH(jpeg_library)): Fix a typo. (DIS->DIR).

1999-02-25  Adam Fedor  <fedor@gnu.org>

	* target.make (IRIX/SHARED_LIB_LINK_CMD): Fix typo.

Thu Feb 25 03:01:48 1999  Masatake Yamato  <masata-y@is.aist-nara.ac.jp>

	* configure.in: Added macros to check existence of jpeg and tiff.
        Stolen from gimp-1.0.0/configure.in.

	* config.make.in (TIFF_INCLUDE): New variable definitions.
	(TIFF_LIB): Likewise.
	(JPEG_INCLUDE): Likewise.
	(JPEG_LIB): Likewise.

	* brain.make (SYSTEM_INCLUDES): Added $(TIFF_INCLUDE) $(JPEG_INCLUDE)
	(SYSTEM_LIB_DIR): Added $(TIFF_LIB) $(JPEG_LIB).

1999-02-24  Matthias Klose  <doko@cs.tu-berlin.de>

	* Makefiles/rules.make (%.build): evaluate LIBRARIES_DEPEND_UPON
	  in this target, not when the file is read, else library names in
	  foo_LIBRARIES_DEPEND_UPON macros are not transformed.

1999-02-22  Adam Fedor  <fedor@gnu.org>

	* configure.in: Substitute version info.
	* config.make.in: Include version info.
	* brain.make: Define GNUSTEP if using GNUstep libraries. 
	* common.make (AUXILARY_CPPFLAGS): Include GNUSTEP and Version defines.
	
Sun Feb 21 15:01:48 1999  Masatake Yamato  <masata-y@is.aist-nara.ac.jp>

	* target.make (Solaris::AFTER_INSTALL_SHARED_LIB_COMMAND): 
	Removed two duplicated lines.

Sun Feb 21 13:49:55 1999  Masatake Yamato  <masata-y@is.aist-nara.ac.jp>

	* rules.make (%.build): Check the length of string, $($*_SUBPROJECTS).

1999-02-19  Adam Fedor  <fedor@gnu.org>

	* subproject.make: New file.
	* common.make (SUBPROJECT_PRODUCT): New variable so all
	makefiles agree on the name of the object a subproject produces. 
	* rules.make:  Added recursive invokation of subproject makefiles
	in the %.build target.
	* application.make, library.make, ... (SUBPROJECT_OBJ_FILES): New
	dependency. 
	* target.make (OBJ_MERGE_CMD): For merging subproject
	files. (patches from Jonathan Gapen
	<jagapen@whitewater.chem.wisc.edu>).

Wed Feb 17 17:15:47 1999  Adam Fedor  <fedor@ultra.doc.com>

	* bundle.make (PRINCIPAL_CLASS): Override if not set (Report from
	Julian van Greunen <vangrn@lantic.co.za>). 

1999-02-17  Scott Christley  <scottc@net-community.com>

	* opentool.in: New file.
	* rootinstall.sh: New file.
	* rootuninstall.sh: New file.
	* openapp.in: Add help text.
	* debugapp.in: Add help text.
	* configure.in: Add opentool.in.
	* configure: Regenerate.
	* GNUmakefile.in: Install/uninstall new files.

Tun Feb 16 16:26:00 1999  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* services.make: Tidied with removal of some unneccessary dependencies.

1999-02-14  Scott Christley  <scottc@net-community.com>

	* ld_lib_path.sh (DYLD_LIBRARY_PATH, LD_LIBRARY_PATH): Add the tool
	library path.
	* ld_lib_patch.csh (DYLD_LIBRARY_PATH, LD_LIBRARY_PATH): Likewise.

Mon Feb 15 1999		Michael Hanni <mhanni@sprintmail.com>

	* Added IRIX to target.make as requested.

Mon Feb 15  8:48:00 1999  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* aggregate.make: Strip space from name variable before use.
	* application.make: ditto
	* bundle.make: ditto
	* documentation.make: ditto
	* library.make: ditto
	* objc.make: ditto
	* service.make: ditto
	* test-application.make: ditto
	* test-library.make: ditto
	* test-tool.make: ditto
	* tool.make: ditto

Mon Feb  8 08:24:39 1999  Masatake Yamato  <masata-y@is.aist-nara.ac.jp>

	* ld_lib_path.csh: Rename additional_library_paths to
	additional_lib_paths.  It was too long for solaris2.

1999-02-01  Adam Fedor  <fedor@gnu.org>

	* target.make: Add openbsd target (Patch from Michael Hanni
	<michael@zaft.state.gov>).
	Add Irix support.
	(SHARED_LIB_LINK_CMD): Add /usr/lib/c++rt0.o to *BSD commands.

Thu Jan 28 10:20:00 1999  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* target.make: use '-lm' for freebsd and osf

Thu Jan  7 16:16:36 1999  Adam Fedor  <fedor@ultra.doc.com>

	* brain.make: Add support for xgps library.

Thu Jan  7 18:00:00 1999  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* GNUstep.sh.in: Run make_services to rebuild caches.
        * GNUstep.csh.in: ditto

Sat Jan  2 12:26:20 1999  Adam Fedor  <fedor@ultra.doc.com>

	* configure.in: Check for DPS/dpsNXargs.h header.

Wed Dec 30 15:08:14 1998  Adam Fedor  <fedor@doc.com>

	* target.make (TARGET_SYSTEM_LIBS): Add FreeBSD specific libs. Use
 	$(objc_threaded) when adding thread lib to Solaris.

Mon Dec 21 11:04:45 1998  Matthias Klose  <doko@cs.tu-berlin.de>

	* common.make: New macros MAJOR_VERSION (0), MINOR_VERSION (5),
	  SUBMINOR_VERSION (0) forming VERSION.
	* library.make: internal-uninstall-lib: rm SONAME_LIBRARY_FILE.
          Rename VERSION_MAJOR_LIBRARY_FILE to SONAME_LIBRARY_FILE.
          New macro SOVERSION.
	* target.make: define -D_REENTRANT for linux-gnu objc_threaded.
          For Solaris define AFTER_INSTALL_SHARED_LIB_COMMAND and set
          shared object name for library.

Mon Dec 21 11:04:45 1998  Matthias Klose  <doko@cs.tu-berlin.de>

	* aggregate.make: Exit with original exit status from submakes.

Sat Dec 19 01:26:06 1998  Matthias Klose  <doko@cs.tu-berlin.de>

	* config.make.in: New macro MKDIRS defaults to
          $(GNUSTEP_MAKEFILES)/mkinstalldirs.
	* application.make: Use macro MKDIRS.
	* bundle.make: likewise
	* library.make: likewise
	* documentation.make: likewise
	* objc.make: likewise
	* rules.make: likewise
	* service.make: likewise
	* tool.make: likewise
	* test-library.make: likewise

Sat Dec 19 10:57:22 1998  Adam Fedor  <fedor@ultra.doc.com>

	* aggregate.make: Look for Makefile.

Thu Dec 17 11:42:06 1998  Adam Fedor  <fedor@ultra.doc.com>

	* test-library.make (ALL_TEST_LIBRARY_LIBS): Remove duplicate lib.

Wed Dec 16 13:46:09 1998  Adam Fedor  <fedor@ultra.doc.com>

	* target.make (AFTER_INSTALL_SHARED_LIB_COMMAND): New macro for
 	Linux (patch from Matthias Klose <doko@cs.tu-berlin.de>).

Tue Dec 15 12:36:52 1998  Adam Fedor  <fedor@ultra.doc.com>

	* GNUmakefile.in: Add $(EXEEXT) to which_lib
	* objc.make (INTERNAL_objcprogram_NAME): Add $(EXEXT) to executable.
	* tool.make (INTERNAL_tool_NAME): Likewise.
	
	* target.make (BUNDLE_LD): Change to $(CC).
	(SHARED_LIB_LINK_CMD): Set shared name using major version num.
	* library.make (VERSION_MAJOR_LIBRARY_FILE): name using major
	version number.

	* configure.in (ac_cv_objc_threaded): Put the result of
 	objc_threaded conftest in config.cache file (patch from Matthias
 	Klose <doko@cs.tu-berlin.de>).

Mon Dec  7 09:58:01 1998  Adam Fedor  <fedor@ultra.doc.com>

	* target.make: Add FreeBSD target for shared libs.
	* config.make.in (EXEEXT): Set from program_suffix.
	* openapp.in (EXEEXT): Likewise.
 	* debugapp.in (EXEEXT): Likewise.
	* application.make (APP_FILE): Add $(EXEEXT).

	* aggregate.make (internal-all): Break if subproject make fails.

Mon Dec  7 16:10:00 1998  Richard Frith-Macdonald <richard@brainstrom.co.uk>

	* service.make: Applied patch supplied by <doko@cs.tu-berlin.de> to
	find make_services if it hasn't been installed.

Mon Dec  7  6:45:00 1998  Richard Frith-Macdonald <richard@brainstrom.co.uk>

	* openapp.in: Removed dependency on xargs - don't see how it could
	have caused the recent problems reported of openapp silently failing
	but it's a possibility.

Wed Nov 25 16:25:09 1998  Adam Fedor  <fedor@doc.com>

	* configure.in (ac_cv_library_combo): Take old value if not set.

Mon Nov 23 14:00:00 1998  Richard Frith-Macdonald <richard@brainstrom.co.uk>

	* GNUmakefile.in: mod for services
	* services.make: new build target for services bundle.
	* application.make: Improved generation of Info-gnustep.plist
	* bundle.make: Improved generation of Info-gnustep.plist

1998-11-19 14:20  Lyndon Tremblay  <tremblay2@home.com>

	* GNUmakefile.in: Added model (un)installation (SavePanel.gmodel), 
	                  model files install in GNUSTEP_ROOT/Library/Model/
	* SavePanel.gmodel: More GUI elements, nearing completion

Wed Nov 18 17:20:02 1998  Adam Fedor  <fedor@hyper.doc.com>

	* brain.make (SYSTEM_LIBS): Remove dps libs from xraw compilation.

Mon Nov 16 15:09:47 1998  Adam Fedor  <fedor@ultra.doc.com>

	* application.make: Change RESOURCE_FILES="none" to ""
	* bunlder.make: Likewise.
	* target.make: Second try on NetBSD.

Thu Nov 12 1998  Felipe A. Rodriguez  <far@ix.netcom.com>

	* test-application.make add support for building individual subprojects
      using the typical command line of "make mySubproject". 
	* application.make revert resource copying to original 0.5.0 in order to
      fix resource copy bug in xraw/Workspace example.

Wed Nov 11 23:30:00 1998  Richard Frith-Macdonald <richard@brainstrom.co.uk>

	* configure.in: Added checks for thread library on linux
	* configure: generated from configure.in
	* config.make.in: Set thread library value
	* target.make: understand thread library option

Mon Nov  9 23:13:28 1998  Ovidiu Predescu  <ovidiu@slip.net>

	* debugapp.in: Added support for fd-xraw.
	* openapp.in: Likewise.
	* test-library.make: Use :: for the $(TEST_LIBRARY_NAME) target.
	* test-tool.make: Likewise for the $(TEST_TOOL_NAME) target.

Fri Jun  5 02:40:11 1998  Ovidiu Predescu  <ovidiu@aracnet.com>

	* GNUstep.csh.in: Use braces around variables.
	* target.make: Added support for AIX 4.1.

Tue May 26 16:01:37 1998  Ovidiu Predescu  <ovidiu@aracnet.com>

	* bundle.make (internal-bundle-install): Don't remove the
 	installed bundle if it exists to avoid removing other binaries
 	already installed.
	* test-tool.make (internal-testtool-uninstall): New target.

Mon Nov  9 16:34:20 1998  Adam Fedor  <fedor@doc.com>

	* configure.in: Don't assume . in path (Fix from Christopher
	Seawood <cls@seawood.org>).

Fri Nov  6 13:15:00 1998  Richard Frith-Macdonald <richard@brainstrom.co.uk>

	* target.make: If objc library built with threads, assume we need to
	link with -lpthread on linux.

Tue Nov  3 10:30:12 1998  Adam Fedor  <fedor@doc.com>

	* target.make (netbsd): New (attempt at) shared lib target.

Wed Oct 21 21:00:00 1998  Richard Frith-Macdonald <richard@brainstrom.co.uk>

	* target.make: Add -rdynamic to ld flags on linux so that bundles
	work correctly.

Mon Oct  5 09:12:41 1998  Adam Fedor  <fedor@ultra.doc.com>

	* GNUstep.csh.in: Fix up syntax problems (from Don Bottstein
	<donh@mapquest.com>).

Mon Sep 14 11:28:26 1998  Adam Fedor  <fedor@ultra.doc.com>

	* ld_lib_path.sh: Add quotes around *_LIBRARY_PATH (patch from
	doko@cs.tu-berlin.de (Matthias Klose)).

Thu Sep  3 15:19:57 1998  Adam Fedor  <fedor@ultra.doc.com>

	* configure.in: Check for DPS.
	* config.make.in: Add DPS_DEFINE.

Tue Aug 25 10:02:03 1998  Adam Fedor  <fedor@doc.com>

	* openapp.in, debugapp.in: Fix typo. (patch from
	doko@cs.tu-berlin.de (Matthias Klose)).
	* GNUstep.csh.in: Add GNUSTEP_BUILD_ROOT for building GNUstep.
	* GNUstep.sh.in: Likewise.

	* config_threaded.m: New config check.
	* configure.in: Use it.
	* config.make.in (objc_threaded): New variable.
	* target.make: Specify thread library and other flags based on 
	objc_threaded.

Thu Aug 20 11:41:48 1998  Adam Fedor  <fedor@doc.com>

	* openapp.in, debugapp.in: Set LIBRARY_COMBO only if not set.
	* brain.make: Likewise for library_combo.
	* GNUstep.csh.in: Add braces around some variables (Changes from
	Christopher Seawood <cls@seawood.org>).
	* ld_lib_path.sh,ld_lib_path.csh: Check if variables set before
	changing. 
	* whichlib.c: Fixup dirent includes.
	
Wed Aug 12 15:25:00 1998  Richard Frith-Macdonald <richard@brainstrom.co.uk>

	* openapp.in: export LIBRARY_COMBO.

Tue Aug  4 16:43:55 1998  Adam Fedor  <fedor@doc.com>

	* application.make: Correct resource installation when
	RESOURCE_FILES not defined.
	* bunlde.make: Likewise.

Tue Aug  4 12:50:00 1998  Richard Frith-Macdonald <richard@brainstrom.co.uk>

	* brain.make: use -ldps even with xraw library.

Tues Aug 4 1998  Felipe A. Rodriguez  <far@ix.netcom.com>

	* test-application.make set $(TEST_APP_NAME) to be a double colon target. 

Sat Jul 31 21:20:00 1998  Richard Frith-Macdonald <richard@brainstrom.co.uk>

	* common.make: Modified to set LDFLAGS to use '-pg' when compiling
	with 'profile=yes' and LD == CC

Fri Jul 31 15:08:25 1998  Richard Frith-Macdonald <richard@brainstrom.co.uk>

	* brain.make: Fixed to use the command-line specification of
	'library_combo' (if given) rather than the default library combo.

Mon Jul 20 10:38:25 1998  Adam Fedor  <fedor@ultra.doc.com>

	* application.make (app-resource-files): Use For loop to copy files.
	* bundle.make (app-resource-files): Likewise.

Fri Jul 10 21:46:19 1998  Adam Fedor  <fedor@ultra.doc.com>

	* target.make (HP_UX SHARED_LINK): Fix up including *.o files.

Wed Jun 17 10:00:20 1998  Adam Fedor  <fedor@ultra.doc.com>

	* brain.make: Add xraw library combo option
	
	* library.make: Add --no-keep-going MAKE option.
	* tool.make: Likewise.

Fri Jun 12 22:15:00 1998  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* which_lib.c Fixed generation of library suffix and logic for shared
	libraries to get debug-profiled libraries chosen correctly.

Fri May 29 13:31:36 1998  Adam Fedor  <fedor@ultra.doc.com>

	* common.make (ADDITIONAL_FLAGS): Add -DDEBUG for debug=yes.
	* target.make (HP-UX SHARED_LINK): Add */*.o files.

Tue Apr 14 22:45:38 1998  Ovidiu Predescu  <ovidiu@aracnet.com>

	* test-tool.make (internal-testtool-check): New target.

Wed Apr  1 19:37:26 1998  Ovidiu Predescu  <ovidiu@aracnet.com>

	* bundle.make (xxx_PRINCIPAL_CLASS): New variable to support
 	specifying the principal class of a bundle.
	* rules.make: Pass PRINCIPAL_CLASS down in the recursive make.
	* test-tool.make (internal-testtool-install): New empty rule.

Wed Mar 11 23:28:11 1998  Ovidiu Predescu  <ovidiu@aracnet.com>

	* brain.make: New makefile variable 'gc' used to specify the Boehm's
	garbage collector (currently works only with libFoundation).

	* Added emacs variables at the end of makefile fragments.
	* Added the missing /bin/sh line in the shell scripts (bug report from
	Helge Hess <hh@mdlink.de>).

Wed Mar  4 22:48:04 1998  Ovidiu Predescu  <ovidiu@aracnet.com>

	* tool.make: Don't pass LIBFOUNDATION_GC_LIBRARY when linking the
 	program.
 	* test-library.make: Likewise.
	* brain.make (OBJC_LIBS): If working with libFoundation compiled
 	with Boehm's garbage collector support, use a special Objective-C
 	runtime library (libobjc_gc) and link against the gc library.

Fri May 15 12:00:27 1998  Adam Fedor  <fedor@ultra.doc.com>

	* application.make (APP_RESOURCE_DIRS): New variable.
	(app-resource-dir): New target.
	(app-resource-files): Include full RESOURCE_FILES path in cp
	to-file. 
	
Wed May 13 16:00:37 1998  Adam Fedor  <fedor@ultra.doc.com>

	* GNUmakefile.in: Create GNUSTEP_LIB_COMBO directory.
	* brain.make (GUI_LIBS): Include -lgnustep-gui twice.
	* target.make (OPENSTEP 4.X): Fix libtool flags.
	* tool.make (TOOL_INSTALLATION_DIR): Conditionally set this.

Sun Apr  5 20:06:03 1998  Scott Christley  <scottc@net-community.com>

	* documentation.make: Have html rule be based upon the table
	of contents file.

Sun Apr  5 19:07:54 1998  Scott Christley  <scottc@net-community.com>

	* GNUmakefile.in: install/uninstall new files; create full
	target subdirectories.
	* GNUstep.sh.in: Add shell magic name.
	* MediaBook.sh: Likewise.
	* clean_cpu.sh: Likewise.
	* clean_os.sh: Likewise.
	* clean_vendor.sh: Likewise.

	* Add csh support.
	* GNUstep.csh.in: New file.
	* ld_lib_path.csh: New file.
	* configure.in: Add GNUstep.csh.in to output files
	* configure: Regenerate.

	* Add documentation support.
	* documentation.make: New file.
	* common.make: Define documentation variables.
	* rules.make: Pass documentation variables to sub-makes.

Tue Mar 24 15:54:55 1998  Adam Fedor  <fedor@ultra.doc.com>

	* bundle.make (BUNDLE_RESOURCE_DIRS): Make all dirs a subdirectory
	of Resources.
	(bundle-resource-files): Include full RESOURCE_FILES path in cp
	to-file. 

	* target.make: Add specifications for HP-UX.

Sat Feb 14 16:32:14 1998  Scott Christley  <scottc@net-community.com>

	* tool.make (TOOL_INSTALLATION_DIR): Move definition outside
	of if clause so that it is always defined.

1998-02-09  Ovidiu Predescu  <ovidiu@net-community.com>

	* common.make (GNUSTEP_MAKEFILES): Moved the definition to the top
 	of the file because it is needed to include several files.

Mon Feb  9 00:23:33 1998  Ovidiu Predescu <ovidiu@net-community.com>

	* brain.make: Added the initial support for the integration of Boehm's
	garbage collector into libFoundation. Include libFoundation.make in
	case it's present and add the Boehm's GC library to the list of
	Foundation libraries.
	* library.make (internal-library-uninstall): Added the 
	before-uninstall and after-uninstall.
	* test-library.make: Added LIBFOUNDATION_GC_LIBRARY to the list of
	files used when linking.
	* tool.make: Likewise.
	* which_lib.c: Collect the rest of flags and output them at the end.
	We should change this mechanism to keep the order in which the flags
	appear on the command line.

Fri Feb  6 12:25:51 1998  Adam Fedor  <fedor@ultra.doc.com>

	* common.make (GNUSTEP_MAKEFILES): Set only if not already set.
	* *.make: Use GNUSTEP_MAKEFILES in place of
	$(GNUSTEP_SYSTEM_ROOT)/Makefiles.

1998-02-05  Ovidiu Predescu  <ovidiu@net-community.com>

	* brain.make (GUI_LIBS): Changed the order of the gui and gmodel
	libraries.
	* library.make (internal-library-all): Added before-all and after-all
	in the list of dependencies. The same thing should be added in the
	other makefile fragments, maybe using a more general way.
	* rules.make (internal-clean): Remove directories that have been
	changed too.
	* tool.make (internal-tool-install): Add internal-tool-all to the list
	of dependencies.

Wed Feb  4 09:01:16 1998  Adam Fedor  <fedor@ultra.doc.com>

	* target.make: Add TARGET_SYSTEM_LIBS for irix OS.

Tue Feb  3 22:47:38 1998  Ovidiu Predescu <ovidiu@net-community.com>

	* brain.make: Include libFoundation.make which is now installed by
	libFoundation to support Boehm's garbage collector.
	* target.make (OPENSTEP): Add LIBRARIES_FOUNDATION_DEPEND_UPON to the
	list of libraries to link against when building a shared library.

Sun Feb  1 04:05:07 1998  Ovidiu Predescu <ovidiu@net-community.com>

	* test-library.make: Force the creation of unix.exp file.

Fri Jan 30 14:14:40 1998  Ovidiu Predescu <ovidiu@net-community.com>

	* application.make: Create the Resources/Info-gnustep.plist to
 	keep information about the application resources. Copy the
 	resource file in the Resources directory.
	(internal-app-install): Remove first the target.
	* brain.make: Add to GUI_LIBS the extensions library.
	* bundle.make: Add support for building the bundle wrapper. Create
 	the Info-gnustep.plist file automatically to keep information
 	about the main bundle class and executable. New target for
 	uninstalling a bundle.
	* library.make (internal-uninstall-headers): Change to support
 	empty HEADER_FILES variables.
	* rules.make (%.build): Pass in the BUNDLE_LIBS variable the
 	global libraries beside those required by a given bundle. Also
 	pass the bundle's installation directory.
	* bundle.make (Solaris/BUNDLE_LDFLAGS): Revert the changes made by
 	Adam to support bundles with 2.7.2.1; these changes also work with
 	2.8.

Tue Jan 27 15:38:12 1998  Adam Fedor  <fedor@doc.com>

	* target.make (Solaris/BUNDLE_LDFLAGS): New flags for gcc2.8.0

Sun Jan 11 13:00:46 1998  Scott Christley  <scottc@net-community.com>

	* GNUmakefile.preamble: Add additional flags.
	* MediaBook.func (c): Display library combo setting and move
	display of the CVS root.
	* application.make: Correct comment.
	* config.make.in (X_INCLUDE, X_LIBS): Define to be empty if
	not using the X Window System.
	* rules.make (%.build): Pass additional flags.
	* target.make (nextstep4): Use ALL_LIB_DIRS instead of
	specifying the individual user, local, and system dirs.
	(nextstep3): Add system specific settings for NEXTSTEP 3.x

Fri Jan  9 12:16:19 1998  Ovidiu Predescu <ovidiu@net-community.com>

	* aggregate.make: Run the recursive make using the makefile specified
	in the MAKEFILE_NAME variable.
	* bundle.make: Likewise.
	* library.make: Likewise.
	* objc.make: Likewise.
	* rules.make: Likewise.
	* test-application.make: Likewise.
	* test-library.make: Likewise.
	* test-tool.make: Likewise.
	* tool.make: Likewise.
	* application.make: Likewise. Copy the resource files into the
	Resources directory inside the app wrapper. Added rule to generate the
	Info-gnustep.plist file.
	* brain.make: Add the gmodel library to the list of GUI libraries.
	* common.make: Define the default value of MAKEFILE_NAME to be
	GNUmakefile.
	* target.make: Added flag to libtool so that we don't treat undefined
	symbols as errors when building a shared library under OPENSTEP.

Tue Jan  6 11:06:27 1998  Ovidiu Predescu <ovidiu@net-community.com>

	* target.make (target OPENSTEP): Added -undefined warning to the
	libtool command line to make possible the creation of shared libraries
	that include symbols defined in the startup object files.

Wed Dec 17 10:40:02 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* ld_lib_path.sh: Don't treat Solaris' LD_LIBRARY_PATH different 
	(patch from Matthias Klose <Matthias.Klose@cs.tu-berlin.de>).

Fri Nov 28 10:47:11 1997  Scott Christley  <scottc@net-community.com>

	* common.make (GNUSTEP_INSTALLATION_DIR): If the default
	GNUSTEP_LOCAL_ROOT is empty then use GNUSTEP_SYSTEM_ROOT.
	(GNUSTEP_LOCAL_HEADERS_FLAG, GNUSTEP_USER_HEADERS_FLAG): New variable.
	(GNUSTEP_LOCAL_TARGET_LIBRARIES_FLAG): New variable.
	(GNUSTEP_LOCAL_LIBRARIES_FLAG): New variable.
	(GNUSTEP_USER_TARGET_LIBRARIES_FLAG): New variable.
	(GNUSTEP_USER_LIBRARIES_FLAG): New variable.
	In places where GNUSTEP_LOCAL_ROOT and GNUSTEP_USER_ROOT are
	used, check to see if they are not blank before using them.
	(GNUSTEP_FND_DIR): Change to just gnustep.
	* objc.make (OBJC_PROGRAM_INSTALLATION_DIR): Add the target
	subdirectory path.
	(objc-program): Change to objc_program for target names.
	* rules.make (ALL_OBJCFLAGS, ALL_CFLAGS): Use flag variables
	for local and user header directories in case they are blank.
	(ALL_LIB_DIRS, LIB_DIRS_NO_SYSTEM): Likewise.

Wed Nov 19 13:07:37 1997  Scott Christley  <scottc@net-community.com>

	* COPYING: New file.
	* config.site: Escape $ characters.

Wed Nov 19 10:58:28 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* debugapp.in: Changed library_combo variable to LIBRARY_COMBO.
	* tool.make: When installing take the tool from GNUSTEP_OBJ_DIR.

Mon Nov 17 13:05:44 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* application.make: Output the file containing the paths for the
	dynamic linker for each library combo instead of a global file for all
	the combinations.
	* openapp.in: Support the above change.
	* debugapp.in: Likewise.
	* rules.m (ALL_OBJCFLAGS, ALL_CFLAGS): Remove unnecessary -I.

Fri Nov 14 12:51:16 1997  Scott Christley  <scottc@net-community.com>

	* test-application.make: New file.
	* test-tool.make: New file.
	* GNUmakefile.in: Install new files.
	* aggregate.make: Prevent multiple inclusions.
	* application.make: Likewise.
	* bundle.make: Likewise.
	* library.make: Likewise.
	* objc.make: Likewise.
	* rules.make: Likewise.
	* test-library.make: Likewise.
	* tool.make: Likewise.

Fri Nov 14 09:53:50 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* brain.make: Added defines for the GUI and backend libraries.
	* configure.in: Set the executable flag for openapp and debugapp.
	* openapp.in: Added support for target abbreviations.
	* debugapp.in: Likewise.
	* rules.make: Removed the debugging comments.

Fri Nov 14 09:31:47 1997  Scott Christley  <scottc@net-community.com>

	* config.make.in (library_combo): Rename to default_library_combo.
	* brain.make: Use the default library combo as an initial setting.

Thu Nov 13 15:08:13 1997  Scott Christley  <scottc@net-community.com>

	* rules.make: Replace dash with underscore for type not target.
	* openapp.in: Determine host information if necessary.
	* debugapp.in: Determine host information if necessary.
	* MediaBook.sh: Save original variables.
	* config.site (bindirtop): Define.
	* MediaBook.func (hostinfo, assignpaths): New functions.
	(librarycombo, systemroot, localroot, userroot): New functions.
	* GNUmakefile.in (GNUSTEP_INSTALLATION_DIR): Define.

Thu Nov 13 11:35:31 1997  Scott Christley  <scottc@net-community.com>

	* GNUstep.sh.in: Add user and local to PATH.  Make user root
	be GNUstep directory in home directory.
	* GNUmakefile.in (uninstall): Only uninstall files that we
	have installed.

Thu Nov 13 09:27:33 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* test.make: Renamed to test-library.make.

Wed Nov 12 19:12:20 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* bundle.make: Changed to work with the new rules.make rules.
	* library.make: Make the install target depend on all.
	* test.make: Reworked for the new rules.make.
	* rules.make: Removed the definitions needed by test.make.

Wed Nov 12 13:29:24 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* common.make (OBJCFLAGS): Removed the -Wno-implicit flag since it
	could hide some programming errors.

Tue Nov 11 14:43:56 1997  Adam Fedor  <fedor@doc.com>

	* target.make (Solaris/BUNDLE_LDFLAGS): Change the flags.

Fri Nov  7 16:33:22 1997  Ovidiu Predescu <ovidiu@net-community.com>

	Reworked a bunch of files to be more general and faster.
	* clean.make: File removed.
	* GNUmakefile.in: Removed the clean.make.
	* rules.make: Reworked to be simpler and faster.
	* library.make: Reworked for the new rules.make.
	* names.make: Likewise.
	* objc.make: Likewise.
	* tool.make: Likewise.
	* application.make: Likewise. Wrote the install target support.

	* config.make.in: New definition for TAR.
	* test.make (testbundle-resource-files): Added __done at the end of
	the for list command so the shell doesn't crash if the list is empty.
	* brain.make: Small changes on the OPENSTEP support.
	* target.make: Added LIBRARIES_DEPEND_UPON to the list of libraries
	for OPENSTEP.

Sat Nov  1 13:17:07 1997  Scott Christley  <scottc@net-community.com>

	* brain.make: Export LIBRARY_COMBO.
	* common.make: Target and GUI header include flags should
	contain user, local, and system roots.  Rename GNUSTEP_TARGET_HEADERS
	to GNUSTEP_HEADERS_TARGET_FLAG.
	* rules.make: Rename GNUSTEP_TARGET_HEADERS to
	GNUSTEP_HEADERS_TARGET_FLAG.  Add AUXILIARY macros for auxiliary
	libraries to add flags (e.g. gnustep-db).
	* test.make: Put additional_library_paths outside of for loop.

Thu Oct 31 11:30:00 1997  Richard Frith-Macdonald <richard@brainstorm.co.uk>

	* which_lib.c: Modified for systems where realloc() doesn't handle
	nul pointers correctly.
	* target.make: Fixed for creation/installation of static libraries
	now that they don't have version numbers again.

Thu Oct 30 17:22:13 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* rules.make: Don't use an additional variable for specifying the
	dynamic linker paths, use the normal linker paths.
	* test.make: Likewise. Correctly process the additional library paths
	so it contains only absolute paths.

Thu Oct 30 15:49:53 1997  Scott Christley  <scottc@net-community.com>

	* rules.make: Fix variables when building test applications.
	* test.make: Fix rules for building test applications.

Thu Oct 30 13:23:31 1997  Scott Christley  <scottc@net-community.com>

	* objc.make: New file.
	* GNUmakefile.in: Install new file.  Add targets to regenerate
	automatically generated files.
	* aggregate.make: Have make stop when error occurs.
	* bundle.make: Elminate stamp files.
	* config.make.in: Save any LIBS specified by user.
	* configure.in: Correct default library combo.
	* configure: Regenerate for configure.in changes.
	* rules.make: Add ObjC program support.  Have make stop when
	error occurs.  Correct variables that are being passed to
	recursive makes.
	* target.make: Do not specify the thread library; instead the
	user should define it when running configure with the LIBS
	environment variable.
	* test.make: Eliminate stamp files.  Correct bundle rules.

Thu Oct 30 09:35:34 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* common.make: Add the cpu/os/runtime include flag only for
	libFoundation since only it requires this for the exception files.
	* debugapp.in: Support for GDBbundle under OPENSTEP.
	* rules.make: Don't show the recursive make command.

Wed Oct 29 09:32:26 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* core.make: Renamed to brain.make to avoid removing it accidentally
	by the configure script.

Wed Oct 29 10:02:37 1997  Adam Fedor  <fedor@doc.com>

	* GNUstep.sh.in: Use -f to find user's GNUstep.sh.
	* configure.in (ac_cv_library_combo): Use dashes instead of
	underlines.

	* target.make (TARGET_SYSTEM_LIBS): Add -lthread for Solaris.

Tue Oct 28 09:32:23 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* common.make: Define the system, local and user headers variables.
	Also define the compilation flags based upon these variables.
	* ld_lib_path.sh: Use LIBRARY_COMBO instead of library_combo because
	the first one is automatically exported by both GNUmake and the shell.
	No longer use the export_variable to print out the name of the dynamic
	linker environment variable.
	* openapp.in: Changed underscores to dashes in the library combo
	names.
	* debugapp.in: Likewise.
	* rules.make: Add search paths for include files to the user, local
	and system header directories. The same with the libraries.
	* test.make: Create the unix.exp file to search for the configuration
	files in all the user, local and system directories. Use
	ld_library_path.sh to setup the dynamic linker's environment variable
	since we can't rely on how different paths are separated in this
	variable.

Mon Oct 27 18:01:38 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* Makefile: Renamed to GNUmakefile.
	* Makefile.preamble: Renamed to GNUmakefile.preamble.
	* Makefile.postamble: Renamed to GNUmakefile.postamble.

Mon Oct 27 17:18:39 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* core.make: Use dashes instead of underscores in the library combo.
	* DESIGN: Updated.

Mon Oct 27 15:46:56 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* library.make: Don't append the version to a static library (bug fix
	from Gregor Hoffleit <flight@thefly.mathi.uni-heidelberg.de>).
	* core.make: Added support for library_combo abbreviations.

Mon Oct 27 14:50:06 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* library.make: Make it recursive so you can build several libraries
	in the same directory.
	* common.make: Added GNUSTEP_INSTALLATION_DIR, the directory where all
	stuff gets installed; by defaults is setup to the local root. Changed
	all the variables accordingly. Removed definitions of INSTALL programs
	since they are in config.make.
	* GNUstep.sh.in: Add the LIBRARY_COMBO variable. Setup the PATH to
	also point to the tools directory.
	* rules.make: New implicit rules %.buildlib and %.installlib to
	support the recursive building of libraries.
	* tool.make: Install the tools in the proper directory.

Fri Oct 24 20:26:41 1997  Ovidiu Predescu <ovidiu@net-community.com>

	Added support for the OPENSTEP Foundation library in the testing
	related makefiles.
	* bundle.make: Replace LD with BUNDLE_LD.
	* common.make: Define a directory for the extensions under OPENSTEP.
	* core.make: Change the definition of NeXT_foundation_LIBRARY to
	NeXT_Foundation_LIBRARY.
	* rules.make (ALL_TEST_LIBRARY_LIBS): Include an additional variable
	AUXILIARY_LIBS.
	* target.make: Set HAVE_BUNDLES to yes only for NeXT runtime. Define
	BUNDLE_LD appropriate for all the targets.
	* test.make: Use BUNDLE_LD when building a bundle. Define the
	Foundation and the runtime used when running DejaGnu.

Tue Oct 21 17:31:27 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* application.make (app-resource-files): Check to see if the
	RESOURCE_FILES variable is defined so we don't get sh parse errors.
	* target.make (OPENSTEP targets): Also search for libraries when
	building a shared library in ADDITIONAL_LIB_DIRS.

Mon Oct 20 08:48:02 1997  Scott Christley  <scottc@net-community.com>

	* rules.make: (%.tool): Rename to %.buildtool.
	* tool.make: Eliminate use of stamp file.

Mon Oct 20 08:26:01 1997  Scott Christley  <scottc@net-community.com>

	* debugapp is like openapp except it runs gdb for the app.
	* debugapp.in: New file.
	* Makefile.in: Install debugapp.
	* configure.in (AC_OUTPUT): Add debugapp.
	* configure: Regenerate for configure.in changes.

	* application.make: Copy resource files into application.

	* rules.make (AUXILIARY_TOOL_LIBS, AUXILIARY_GUI_LIBS)): Add new
	variables which auxiliary library makefile fragments can modify
	so as to have their libraries linked in.

Fri Oct 17 14:17:40 1997  Scott Christley  <scottc@net-community.com>

	* test.make: Add comment about variable.

Fri Oct 17 11:32:24 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* application.make: Don't print the commands for building the
	.iconheader file on OS systems.

Thu Oct 16 17:31:43 1997  Scott Christley  <scottc@net-community.com>

	* names.make: New file.
	* target.make: Move determination of host and target system
	to names.make file.
	* Makefile.in: Install names.make.
	* common.make: Include names.make and set the host and target
	directory variables before including config.make.

Thu Oct 16 12:04:32 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* common.make: Turn off the optimizations when compiling with debug
	enabled.

Thu Oct 16 11:23:05 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* ld_lib_path.sh: Set IFS to blank and newline to make the for loop
	run correctly. Remove double quotes around $additional_library_paths
	in the for loop.
	* openapp.in: Put double quotes around the cat command when obtaining
	the value for additional_library_paths.
	* transform_paths.sh: Search through all the directories in $@,
	not in "$*".

Wed Oct 15 12:14:42 1997  Ovidiu Predescu <ovidiu@net-community.com>

	Better support for building applications.
	* application.make: Reworked to eliminate the need of timestamp files
	which cause weird behavior when building. Also it is possible to have
	different extensions for the application directory based upon the
	debug and profile variables (.app, .debug and .profile).
	* rules.make: Changed the name of the implicit rule %.app to
	%.buildapp to make possible creation of applications with
	different extensions.
	* core.make: Removed targets from the OS 4.x specific section.

	Better support of shared libraries in openapp.
	* openapp.in: Read in the library_paths.openapp file from the
	application directory; this file contains additional directories that
	should be added to the dynamic libraries search paths.
	* ld_lib_path.sh: Support adding additional library paths from an
	environment variable. This is set by openapp from a file inside the
	application.
	* application.make: Output an additional file in the application
	directory containing additional library search paths.
	* common.make: New variable TRANSFORM_PATHS.

	* library.make: First install the library and then the headers.
	* rules.make: Change the order of GUI and Foundation LDFLAGS.
	* openapp.in: Remove the slashed from the end of the application name.
	* DESIGN: Fixed typos. Document how the application's directory
	extension is chosen.

Tue Oct 14 15:28:52 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* DESIGN: Wrote about the naming conventions for libraries and how
	they are chosen by the package.
	* Makefile.preamble: Use += instead of =.
	* application.make (stamp-app-% rule): Added before-link target to
	support building of OPENSTEP 4.x applications.
	(internal-distclean): New target.
	* common.make: Changed the order in which target.make gets included.
	More support for building a native OPENSTEP 4.x application added.
	* core.make: Write the correct linking flags for building an
	application under OPENSTEP 4.x. Create the .iconheader file
	automatically.
	* openapp.in: Check to see if the application really exists before
	checking for the binary. Correctly check for the binary under OS 4.x.
	* target.make: On OS 4.x systems with NeXT's Foundation, use the
	native compiler. If we don't use the native compiler don't pass
	the GNU ObjC runtime library and libgcc to libtool.
	* which_lib.c: Correctly skip the libraries with the same suffix.

Tue Oct 14 11:26:15 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* openapp.in: Add the possibility of passing arguments to the
	application.

Tue Oct 14 10:03:04 1997  Scott Christley  <scottc@net-community.com>

	* README: Update installation instructions.
	* bundle.make (BUNDLE_DIR_NAME): Elminate period.
	* config.make.in (YACC, BISON, FLEX, LEX): New variables.
	* which_lib.c (search_for_library_with_type_in_directory):
	Correct testing of filename so that only legitimate combinations
	of name suffixes are recognized.

Mon Oct 13 16:06:12 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* openapp.in: New file.
	* GNUstep.sh.in: Added $GNUSTEP_SYSTEM_ROOT/Tools to the PATH.
	* Makefile.in: Install openapp in $GNUSTEP_SYSTEM_ROOT/Tools.
	* configure.in: Create openapp.
	* ld_lib_path.sh: Changed to export the library path for different
	systems.

Mon Oct 13 12:21:59 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* configure.in: Check to see if a DPS directory exists inside the X11
	headers tree.

Wed Oct  8 11:57:48 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* library.make: Define the `before-install' target to depend on `all'.
	* rules.make: `install' no longer depends on all.

Tue Oct  7 15:59:28 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* common.make: New FOUNDATION_LIBRARY_NAME, FOUNDATION_LIBRARY_DEFINE
	and RUNTIME_DEFINE make variables. Correctly handle the suffix of a
	library name (using LIBRARY_NAME_SUFFIX).
	* library.make: Append to the name of the library the suffix which
	identifies its type. Output the library in the object files directory.
	* rules.make: Move INTERNAL_LDFLAGS to the end of ALL_LDFLAGS
	definition. Removed unnecessary passing of TARGET_LIB_DIR to shell
	scripts. Process the libraries used to create a test using the
	which_lib program. New variable SCRIPTS_DIRECTORY which identifies the
	location of the dejagnu scripts (it can be not defined in which case
	the current directory is assumed).
	* target.make: For OS 4.x: don't hard code the location to libobjc and
	libgcc, pass -L flags to libtool that point to the various GNUstep
	directories. Define ADDITIONAL_LDFLAGS with a flag to linker that
	disables warning for common symbols.
	* test.make: Assume the driver program is located under the object
	files directory.
	Create the unix.exp file in the config directory where the test
	scripts are located.
	Compressed the internal-check-* targets into a single target.
	* rules.make: Work with the new internal-check-* targets.
	* which_lib.c: Fixed a bug when two libraries that have the same
	prefix were matching.

Sun Oct  5 20:30:01 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* common.make: Take the which_lib script from the host_cpu/host_os
	directory.
	* target.make: Create the target library to be a link to the versioned
	one for OS 4.x.

Sat Oct  4 23:08:01 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* target.make: Set the extension of shared libraries under OS 4.x to
	be .a because the compiler/linker does not handle other extensions.
	* library.make: Output the library in the current directory to be able
	to solve problems with different library paths under systems with 
	shared libraries.

Fri Oct  3 14:48:15 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* Support the host install program if any.
	* Makefile.in: Added definitions for INSTALL variable. Delete the
	which_lib program in the clean target.
	* config.make.in: Define INSTALL to be the value of HOST_INSTALL
	instead of INSTALL.
	* configure.in: Check if the INSTALL program is the install-sh script.
	If so define HOST_INSTALL to be the install script; otherwise it is 
	the host install program.
	* which_lib.c: Include limits.h.

Fri Oct  3 13:43:18 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* Added support for linking with different types of a library,
	depending on the flags you specify at the make time.
	* which_lib.c: New file.
	* config.h.in: New file.
	* Makefile.in: Added rule to build and install the which_lib program.
	* common.make: Added definition for WHICH_LIB_SCRIPT.
	* rules.make: Added rules to process the libraries list and obtain a
	new one based upon the debug, profile and shared variables.
	* configure.in: Added checks for various header files needed to
	compile the which_lib program.
	* library.make: Added new variable LIBRARY_FILE_EXT.

	* application.make: Replaced foreach with :.something=.someotherthing.
	* bundle.make: Likewise.
	* test.make: Likewise.
	* tool.make: Likewise.

	* config.make.in: Changed the hard-coded definition of ld to be $(CC).
	Added definitions for INSTALL programs.
	* configure.in: Added check for the INSTALL program.
	* library.make: New target internal-distclean.
	* rules.make: internal-distclean does not make first the clean target.
	* target.make: Shared libraries under OS 4.x have the .so extension.

Thu Oct  2 14:56:08 1997  Scott Christley  <scottc@net-community.com>

	* ld_lib_path.sh: New file.
	* common.make: Add variables which define explicit paths to the
	system, local, and user library directories.
	* rules.make (ALL_LD_LIB_DIRS): Variable which specifies the
	standard GNUstep and the user's specific directories of where
	the dynamic loader can find shared libraries.
	* target.make (LD_LIB_PATH): Call shell script which returns the
	name of the environment variable used by the dynamic loader.
	* test.make: Set the dynamic loader environment variable
	when running tests.

	* test.make: New file.
	* rules.make: Add test building and check rules.
	* Makefile.in: Install test.make.

Thu Oct  2 10:21:41 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* common.make.in: Remove the default library combo for OPENSTEP 4.x.
	* configure.in: Add a default library combo for OS 4.x here.

Wed Oct  1 18:04:25 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* configure.in: Added the --with-library-combo to support specifying a
	default library combination.
	* core.make: Removed logic that defines a default library
	combination.
	* config.make.in: Add little logic for library combo.

Wed Oct  1 17:03:56 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* common.make: Added -I compile flag when compiling using gnustep-base
	and libFoundation to get the files specific for cpu/os/runtime.
	* core.make: Allow the user to specify a set of variables different
	than the library combo. This is needed when compiling basic libraries
	that don't use the whole library combo (like libFoundation). Also
	define OBJC_RUNTIME that holds the name of the runtime, useful in
	make, and RUNTIME_DEFINE that defines for the runtime, useful while
	compiling. The last one should be added to the additional
	C/ObjC flags.
	* library.make: Define HEADER_FILES_DIR to be . by default.
	Changed the rule for building the library to build it into the object
	files directory. Cleaned the internal-clean rule.
	* rules.make: Remove newlines in compilation rules. Added the 'all'
	target in the list of dependencies for install.
	* target.make: Cleaned the rules for building a shared library under
	OPENSTEP 4.x. Added flags to linker to disable printing of warnings
	for read only relocation symbols.

Wed Oct  1 11:15:22 1997  Scott Christley  <scottc@net-community.com>

	* bundle.make: Add install and uninstall targets.  Use bundle
	extension variable.
	(BUNDLE_LIBS): Libraries to link against when building a bundle.
	* rules.make (BUNDLE_EXTENSION): Allow the user to specify a
	different extension for the bundle directory name.

Tue Sep 30 14:24:20 1997  Scott Christley  <scottc@net-community.com>

	* Add bundle support.
	* bundle.make: Define rules and variables.
	* rules.make: Add main bundle rule.  Surround complete file
	with if to prevent multiple inclusion.
	* target.make: Define bundle variables.

	* application.make: Delete old code.

Tue Sep 30 08:27:28 1997  Scott Christley  <scottc@net-community.com>

	* Makefile.preamble (ADDITIONAL_TOOL_LIBS, ADDITIONAL_GUI_LIBS): Add
 	template variables for additional libraries when linking.
	* application.make (internal-app-all): Build object directory.
	* common.make (GNUSTEP_HEADERS_FND): New variable.
	(GNUSTEP_OBJ_PREFIX): New variable.
	(GNUSTEP_TARGET_LIBRARIES): New variable.
	* library.make: Add uninstall targets.
	* rules.make (ALL_LIB_DIRS): Search GNUSTEP_TARGET_LIBRARIES.
	* tool.make (internal-clean): Remove object directory.

Fri Sep 26 13:16:03 1997  Scott Christley  <scottc@net-community.com>

	* Makefile.in: Define install script.
	* application.make: Correct name of stamp file.
	* common.make: Define install script.
	* config.make.in: Do not define install script.
	* configure.in: Do not check for install script.
	* configure: Regenerate for configure.in changes.
	* library.make: Use -f instead of -e.
	* target.make: Customize alpha-linux system libraries.

Thu Sep 25 23:31:30 1997  Scott Christley <scottc@net-community.com>

	* library.make (internal-install-lib): Install correct file.
	* common.make (GNUSTEP_TARGET_HEADERS): New variable.
	* rules.make (ALL_OBJCFLAGS, ALL_CFLAGS): Add target header
	directory to include directories.

Thu Sep 25 20:20:50 1997  Scott Christley <scottc@net-community.com>

	* Makefile.in (config.site): Install in share directory not
	the makefile package directory.

Thu Sep 25 18:22:43 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* DESIGN: A word about building different types of a project.

Thu Sep 25 17:32:37 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* DESIGN: Updated to contain the latest changes in the package.
	* Makefile.in: Use a for loop to install the files.
	* aggregate.make: Commpress all the internal-* targets into a single
	rule to make the maintanance easier.

	* rules.make: Add rule for creating the object files directory here
	instead of having the same rule in several files.
	* application.make: Remove creation of the object files directory.
	Just add the dependency to the targets.
	* tool.make: Likewise.

	* clean.make: Optimize cannonicalization of host/target cpu/os/vendor
	by adding a flag that says if they are already cannoical or not.
	* target.make: Use the variable defined above to speed up the building
	process.

	* common.make: Added support for building separate versions of
	libraries for debugging, profiling and/or static or shared. Use
	different object file directories instead of using a suffix to the
	file name. Building a shared library is now the default for systems
	that support shared libraries.
	* library.make: Removed the two variables for specifying the shared
	library and the static one. Added two new target variables which
	define commands to be run after the installation of either the static
	or of the shared library.
	* target.make: Define the two new variables above for the different
	supported systems.

	* common.make: Added a partial support for the NeXT compiler. We also
	need a way to determine what compiler is used, which is simple because
	our tools only partially work with the NeXT runtime/compiler.
	* core.make: Support for the NeXT Foundation and AppKit added.
	* rules.make: Use flags to specify the include paths while compiling
	to support NeXT frameworks. Cleanup in the shared libraries support.

	* rules.make: .PRECIOUS target added to disable removing of
	intermediate files (Scott's idea).

Thu Sep 25 11:25:36 1997  Ovidiu Predescu <ovidiu@net-community.com>

	* Makefile.in: Include config.make to get the definition for the
	INSTALL program. Use INSTALL program instead of cp.
	* aclocal.m4: Remove unnecessary file.
	* configure.in: Remove checks for unnecessary X libraries.
	* application.make: Added newline at the end of file.
	* library.make: Likewise.
	* rules.make: Likewise.
	* tool.make: Likewise.
	* common.make: Define SHELL to be /bin/sh to avoid possible problems.

Wed Sep 24 17:54:41 1997  Scott Christley  <scottc@speedy.net-community.com>

	* target.make: Correct settings for solaris.

Wed Sep 24 14:00:03 1997  Scott Christley  <scottc@net-community.com>

	* Makefile.in: Run scripts in current directory.
	* config.site: For autoconf packages in the GNUstep directory
	structure, the headers and libraries must go into the appropriate
	target subdirectory.

Tue Sep 23 15:18:08 1997  Scott Christley  <scottc@net-community.com>

	* application.make: Utilize object directory.
	* tool.make (object_dir): Rename to object-dir.
	* library.make (object_dir): Rename to object-dir.

Tue Sep 23 13:48:02 1997  Scott Christley  <scottc@net-community.com>

	* DESIGN: New file.
	* README: New file.
	* common.make: Add variable for the Resources directory.
	* library.make: Properly install the shared library.
	* rules.make: Delete temporary files.
	* target.make: Remove unneeded code.
	* tool.make: Put the stamps in the object directory.

Mon Sep 22 17:57:50 1997  Scott Christley  <scottc@net-community.com>

	* common.make: Add support for putting object files in a different
	directory.
	* tool.make: Likewise.
	* rules.make: Likewise.
	* library.make: Add support for shared libraries.
	* target.make: Likewise.

Mon Sep 22 15:12:14 1997  Scott Christley  <scottc@net-community.com>

	* ChangeLog: New file.
